
; flat assembler core
; Copyright (c) 1999-2010, Tomasz Grysztar.
; All rights reserved.

include_variable db 'INCLUDE',0

symbol_characters db 27
 db 9,0Ah,0Dh,1Ah,20h,'+-/*=<>()[]{}:,|&~#`;\'

preprocessor_directives:
 db 6,'define'
 dw define_symbolic_constant-directive_handler
 db 7,'include'
 dw include_file-directive_handler
 db 3,'irp'
 dw irp_directive-directive_handler
 db 4,'irps'
 dw irps_directive-directive_handler
 db 5,'macro'
 dw define_macro-directive_handler
 db 5,'match'
 dw match_directive-directive_handler
 db 5,'purge'
 dw purge_macro-directive_handler
 db 4,'rept'
 dw rept_directive-directive_handler
 db 7,'restore'
 dw restore_equ_constant-directive_handler
 db 7,'restruc'
 dw purge_struc-directive_handler
 db 5,'struc'
 dw define_struc-directive_handler
 db 0

macro_directives:
 db 6,'common'
 dw common_block-directive_handler
 db 7,'forward'
 dw forward_block-directive_handler
 db 5,'local'
 dw local_symbols-directive_handler
 db 7,'reverse'
 dw reverse_block-directive_handler
 db 0

operators:
 db 1,'+',80h
 db 1,'-',81h
 db 1,'*',90h
 db 1,'/',91h
 db 3,'and',0B0h
 db 3,'mod',0A0h
 db 2,'or',0B1h
 db 3,'shl',0C0h
 db 3,'shr',0C1h
 db 3,'xor',0B2h
 db 0

single_operand_operators:
 db 1,'+',082h
 db 1,'-',083h
 db 3,'fit',0D1h		;ARM operator fit
 db 3,'not',0D0h
 db 3,'plt',0E1h
 db 3,'rva',0E0h
 db 0

directive_operators:
 db 5,'align',8Ch
 db 2,'as',86h
 db 2,'at',80h
 db 7,'defined',88h
 db 3,'dup',81h
 db 2,'eq',0F0h
 db 6,'eqtype',0F7h
 db 4,'from',82h
 db 2,'in',0F6h
 db 2,'on',84h
 db 3,'ptr',85h
 db 10,'relativeto',0F8h
 db 4,'used',89h
 db 0

;ARM specific tables

; ARMv7 assembler core module v1.27 for flat assembler,
; Copyright (c) 2005-2012, Revolution.
; All rights reserved.

address_sizes:
	db	0

symbols:
	dw	symbols_1-symbols,(symbols_2-symbols_1)/(1+2)
	dw	symbols_2-symbols,(symbols_3-symbols_2)/(2+2)
	dw	symbols_3-symbols,(symbols_4-symbols_3)/(3+2)
	dw	symbols_4-symbols,(symbols_5-symbols_4)/(4+2)
	dw	symbols_5-symbols,(symbols_6-symbols_5)/(5+2)
	dw	symbols_6-symbols,(symbols_7-symbols_6)/(6+2)
	dw	symbols_7-symbols,(symbols_8-symbols_7)/(7+2)
	dw	symbols_8-symbols,(symbols_9-symbols_8)/(8+2)
	dw	symbols_9-symbols,(symbols_10-symbols_9)/(9+2)
	dw	symbols_10-symbols,(symbols_11-symbols_10)/(10+2)
	dw	symbols_11-symbols,(symbols_end-symbols_11)/(11+2)

base_reg	= 0x10
size_opr	= 0x11

		; 0x12	not used (no prefixes in ARM)

banked_reg	= 0x13
banked_reg_low	= 0
banked_reg_high	= banked_reg_low+62		;0-62

base_reg!	= 0x14

vfps_reg	= 0x15
vfps_reg_low	= 0
vfps_reg_high	= vfps_reg_low+31		;0-31

vfpd_reg	= 0x16
vfpd_reg_low	= 0
vfpd_reg_high	= vfpd_reg_low+31		;0-31

		; 0x17  (see below)
		; 0x18	mz, pe, elf, coff, pe64, elf64, binary
		; 0x19	code, data, dwarf, linkinfo, readable, writable, shareable, writeable, executable, linkremove, discardable, notpageable
		; 0x1a	export, fixups, import, resource
		; 0x1b	dll, gui, wdm, native, console
		; 0x1c	ms, ms64

shift_op	= 0x17	;asr, lsl, lsr, ror
shift_op_low	= 0
shift_op_high	= shift_op_low+3		;0-3

rrx_op		= 0x17	;rrx
rrx_op_offset	= shift_op_high+1		;4

endian		= 0x17	;be, le
endian_low	= rrx_op_offset+1
endian_high	= endian_low+1			;5-6

modifier	= 0x17	;!, ^
modifier_low	= endian_high+1
modifier_high	= modifier_low+1		;7-8

psr_reg		= 0x17
psr_reg_low	= modifier_high+1
psr_reg_high	= psr_reg_low+(16+16+3-1)	;9-43

iflags		= 0x17
iflags_low	= psr_reg_high+1
iflags_high	= iflags_low+7			;44-51

cpro_sel	= 0x17
cpro_sel_low	= iflags_high+1
cpro_sel_high	= cpro_sel_low+15		;52-67

cpro_reg	= 0x17
cpro_reg_low	= cpro_sel_high+1
cpro_reg_high	= cpro_reg_low+15		;68-83

vfp_syst	= 0x17
vfp_syst_low	= cpro_reg_high+1
vfp_syst_high	= vfp_syst_low+15		;84-99

acc_40bt	= 0x17
acc_40bt_low	= vfp_syst_high+1
acc_40bt_high	= acc_40bt_low+7		;100-107

iwmmx_wreg	= 0x17
iwmmx_wreg_low	= acc_40bt_high+1
iwmmx_wreg_high	= iwmmx_wreg_low+15		;108-123

iwmmx_creg	= 0x17
iwmmx_creg_low	= iwmmx_wreg_high+1
iwmmx_creg_high	= iwmmx_creg_low+15		;124-139

mvrk_areg	= 0x17				;a0
mvrk_areg_offset= iwmmx_creg_high+1		;140

mvrk_psc	= 0x17				;dspsc
mvrk_psc_offset	= mvrk_areg_offset+1		;141

fpa_freg	= 0x17
fpa_freg_low	= mvrk_psc_offset+1
fpa_freg_high	= fpa_freg_low+7		;142-149

barrier		= 0x17
barrier_low	= fpa_freg_high+1
barrier_high	= barrier_low+15		;150-165

condition	= 0x17
condition_low	= barrier_high+1
condition_high	= condition_low+15		;166-181

simd_qreg	= 0x17
simd_qreg_low	= condition_high+1
simd_qreg_high	= simd_qreg_low+15		;182-197

sysm_reg	= 0x17
sysm_reg_low	= simd_qreg_high+1
sysm_reg_high	= sysm_reg_low+20		;198-218

symbols_1:
	db	'!',modifier,modifier_low+0
	db	'^',modifier,modifier_low+1
symbols_2:
	db	'a0',mvrk_areg,mvrk_areg_offset
	db	'a1',base_reg,0xf0+0
	db	'a2',base_reg,0xf0+1
	db	'a3',base_reg,0xf0+2
	db	'a4',base_reg,0xf0+3
	db	'al',condition,condition_low+0xe
	db	'be',endian,endian_low+1
	db	'c0',cpro_reg,cpro_reg_low+0
	db	'c1',cpro_reg,cpro_reg_low+1
	db	'c2',cpro_reg,cpro_reg_low+2
	db	'c3',cpro_reg,cpro_reg_low+3
	db	'c4',cpro_reg,cpro_reg_low+4
	db	'c5',cpro_reg,cpro_reg_low+5
	db	'c6',cpro_reg,cpro_reg_low+6
	db	'c7',cpro_reg,cpro_reg_low+7
	db	'c8',cpro_reg,cpro_reg_low+8
	db	'c9',cpro_reg,cpro_reg_low+9
	db	'cc',condition,condition_low+0x3
	db	'cs',condition,condition_low+0x2
	db	'd0',vfpd_reg,vfpd_reg_low+0
	db	'd1',vfpd_reg,vfpd_reg_low+1
	db	'd2',vfpd_reg,vfpd_reg_low+2
	db	'd3',vfpd_reg,vfpd_reg_low+3
	db	'd4',vfpd_reg,vfpd_reg_low+4
	db	'd5',vfpd_reg,vfpd_reg_low+5
	db	'd6',vfpd_reg,vfpd_reg_low+6
	db	'd7',vfpd_reg,vfpd_reg_low+7
	db	'd8',vfpd_reg,vfpd_reg_low+8
	db	'd9',vfpd_reg,vfpd_reg_low+9
;;	db	'eq',condition,condition_low+0x0
	db	'f0',fpa_freg,fpa_freg_low+0
	db	'f1',fpa_freg,fpa_freg_low+1
	db	'f2',fpa_freg,fpa_freg_low+2
	db	'f3',fpa_freg,fpa_freg_low+3
	db	'f4',fpa_freg,fpa_freg_low+4
	db	'f5',fpa_freg,fpa_freg_low+5
	db	'f6',fpa_freg,fpa_freg_low+6
	db	'f7',fpa_freg,fpa_freg_low+7
	db	'fp',base_reg,0xf0+11
	db	'ge',condition,condition_low+0xa
	db	'gt',condition,condition_low+0xc
	db	'hi',condition,condition_low+0x8
	db	'hs',condition,condition_low+0x2
	db	'ip',base_reg,0xf0+12
	db	'le',endian,endian_low+0
;;	db	'le',condition,condition_low+0xd
	db	'lo',condition,condition_low+0x3
	db	'lr',base_reg,0xf0+14
	db	'ls',condition,condition_low+0x9
	db	'lt',condition,condition_low+0xb
	db	'mi',condition,condition_low+0x4
	db	'ms',1ch,41h
	db	'mz',18h,20h
	db	'ne',condition,condition_low+0x1
	db	'nx',1Bh,83h
	db	'p0',cpro_sel,cpro_sel_low+0
	db	'p1',cpro_sel,cpro_sel_low+1
	db	'p2',cpro_sel,cpro_sel_low+2
	db	'p3',cpro_sel,cpro_sel_low+3
	db	'p4',cpro_sel,cpro_sel_low+4
	db	'p5',cpro_sel,cpro_sel_low+5
	db	'p6',cpro_sel,cpro_sel_low+6
	db	'p7',cpro_sel,cpro_sel_low+7
	db	'p8',cpro_sel,cpro_sel_low+8
	db	'p9',cpro_sel,cpro_sel_low+9
	db	'pc',base_reg,0xf0+15
	db	'pe',18h,30h
	db	'pl',condition,condition_low+0x5
	db	'q0',simd_qreg,simd_qreg_low+0
	db	'q1',simd_qreg,simd_qreg_low+1
	db	'q2',simd_qreg,simd_qreg_low+2
	db	'q3',simd_qreg,simd_qreg_low+3
	db	'q4',simd_qreg,simd_qreg_low+4
	db	'q5',simd_qreg,simd_qreg_low+5
	db	'q6',simd_qreg,simd_qreg_low+6
	db	'q7',simd_qreg,simd_qreg_low+7
	db	'q8',simd_qreg,simd_qreg_low+8
	db	'q9',simd_qreg,simd_qreg_low+9
	db	'r0',base_reg,0xf0+0
	db	'r1',base_reg,0xf0+1
	db	'r2',base_reg,0xf0+2
	db	'r3',base_reg,0xf0+3
	db	'r4',base_reg,0xf0+4
	db	'r5',base_reg,0xf0+5
	db	'r6',base_reg,0xf0+6
	db	'r7',base_reg,0xf0+7
	db	'r8',base_reg,0xf0+8
	db	'r9',base_reg,0xf0+9
	db	's0',vfps_reg,vfps_reg_low+0
	db	's1',vfps_reg,vfps_reg_low+1
	db	's2',vfps_reg,vfps_reg_low+2
	db	's3',vfps_reg,vfps_reg_low+3
	db	's4',vfps_reg,vfps_reg_low+4
	db	's5',vfps_reg,vfps_reg_low+5
	db	's6',vfps_reg,vfps_reg_low+6
	db	's7',vfps_reg,vfps_reg_low+7
	db	's8',vfps_reg,vfps_reg_low+8
	db	's9',vfps_reg,vfps_reg_low+9
	db	'sb',base_reg,0xf0+9
	db	'sl',base_reg,0xf0+10
	db	'sp',base_reg,0xf0+13
	db	'st',barrier,barrier_low+1110b
	db	'sy',barrier,barrier_low+1111b
	db	'v1',base_reg,0xf0+4
	db	'v2',base_reg,0xf0+5
	db	'v3',base_reg,0xf0+6
	db	'v4',base_reg,0xf0+7
	db	'v5',base_reg,0xf0+8
	db	'v6',base_reg,0xf0+9
	db	'v7',base_reg,0xf0+10
	db	'v8',base_reg,0xf0+11
	db	'vc',condition,condition_low+0x7
	db	'vs',condition,condition_low+0x6
symbols_3:
	db	'a1!',base_reg!,0
	db	'a2!',base_reg!,1
	db	'a3!',base_reg!,2
	db	'a4!',base_reg!,3
	db	'asr',shift_op,shift_op_low+2
	db	'c10',cpro_reg,cpro_reg_low+10
	db	'c11',cpro_reg,cpro_reg_low+11
	db	'c12',cpro_reg,cpro_reg_low+12
	db	'c13',cpro_reg,cpro_reg_low+13
	db	'c14',cpro_reg,cpro_reg_low+14
	db	'c15',cpro_reg,cpro_reg_low+15
	db	'd10',vfpd_reg,vfpd_reg_low+10
	db	'd11',vfpd_reg,vfpd_reg_low+11
	db	'd12',vfpd_reg,vfpd_reg_low+12
	db	'd13',vfpd_reg,vfpd_reg_low+13
	db	'd14',vfpd_reg,vfpd_reg_low+14
	db	'd15',vfpd_reg,vfpd_reg_low+15
	db	'd16',vfpd_reg,vfpd_reg_low+16
	db	'd17',vfpd_reg,vfpd_reg_low+17
	db	'd18',vfpd_reg,vfpd_reg_low+18
	db	'd19',vfpd_reg,vfpd_reg_low+19
	db	'd20',vfpd_reg,vfpd_reg_low+20
	db	'd21',vfpd_reg,vfpd_reg_low+21
	db	'd22',vfpd_reg,vfpd_reg_low+22
	db	'd23',vfpd_reg,vfpd_reg_low+23
	db	'd24',vfpd_reg,vfpd_reg_low+24
	db	'd25',vfpd_reg,vfpd_reg_low+25
	db	'd26',vfpd_reg,vfpd_reg_low+26
	db	'd27',vfpd_reg,vfpd_reg_low+27
	db	'd28',vfpd_reg,vfpd_reg_low+28
	db	'd29',vfpd_reg,vfpd_reg_low+29
	db	'd30',vfpd_reg,vfpd_reg_low+30
	db	'd31',vfpd_reg,vfpd_reg_low+31
	db	'dll',1Bh,80h
	db	'elf',18h,50h
	db	'fp!',base_reg!,11
	db	'gui',1Bh,9
	db	'ip!',base_reg!,12
	db	'ish',barrier,barrier_low+1011b
	db	'lr!',base_reg!,14
	db	'lsl',shift_op,shift_op_low+0
	db	'lsr',shift_op,shift_op_low+1
	db	'msp',sysm_reg,sysm_reg_low+8
	db	'nsh',barrier,barrier_low+0111b
	db	'osh',barrier,barrier_low+0011b
	db	'p10',cpro_sel,cpro_sel_low+10
	db	'p11',cpro_sel,cpro_sel_low+11
	db	'p12',cpro_sel,cpro_sel_low+12
	db	'p13',cpro_sel,cpro_sel_low+13
	db	'p14',cpro_sel,cpro_sel_low+14
	db	'p15',cpro_sel,cpro_sel_low+15
	db	'pc!',base_reg!,15
	db	'psp',sysm_reg,sysm_reg_low+9
	db	'q10',simd_qreg,simd_qreg_low+10
	db	'q11',simd_qreg,simd_qreg_low+11
	db	'q12',simd_qreg,simd_qreg_low+12
	db	'q13',simd_qreg,simd_qreg_low+13
	db	'q14',simd_qreg,simd_qreg_low+14
	db	'q15',simd_qreg,simd_qreg_low+15
	db	'r0!',base_reg!,0
	db	'r1!',base_reg!,1
	db	'r10',base_reg,0xf0+10
	db	'r11',base_reg,0xf0+11
	db	'r12',base_reg,0xf0+12
	db	'r13',base_reg,0xf0+13
	db	'r14',base_reg,0xf0+14
	db	'r15',base_reg,0xf0+15
	db	'r2!',base_reg!,2
	db	'r3!',base_reg!,3
	db	'r4!',base_reg!,4
	db	'r5!',base_reg!,5
	db	'r6!',base_reg!,6
	db	'r7!',base_reg!,7
	db	'r8!',base_reg!,8
	db	'r9!',base_reg!,9
	db	'ror',shift_op,shift_op_low+3
	db	'rrx',rrx_op,rrx_op_offset
	db	's10',vfps_reg,vfps_reg_low+10
	db	's11',vfps_reg,vfps_reg_low+11
	db	's12',vfps_reg,vfps_reg_low+12
	db	's13',vfps_reg,vfps_reg_low+13
	db	's14',vfps_reg,vfps_reg_low+14
	db	's15',vfps_reg,vfps_reg_low+15
	db	's16',vfps_reg,vfps_reg_low+16
	db	's17',vfps_reg,vfps_reg_low+17
	db	's18',vfps_reg,vfps_reg_low+18
	db	's19',vfps_reg,vfps_reg_low+19
	db	's20',vfps_reg,vfps_reg_low+20
	db	's21',vfps_reg,vfps_reg_low+21
	db	's22',vfps_reg,vfps_reg_low+22
	db	's23',vfps_reg,vfps_reg_low+23
	db	's24',vfps_reg,vfps_reg_low+24
	db	's25',vfps_reg,vfps_reg_low+25
	db	's26',vfps_reg,vfps_reg_low+26
	db	's27',vfps_reg,vfps_reg_low+27
	db	's28',vfps_reg,vfps_reg_low+28
	db	's29',vfps_reg,vfps_reg_low+29
	db	's30',vfps_reg,vfps_reg_low+30
	db	's31',vfps_reg,vfps_reg_low+31
	db	'sb!',base_reg!,9
	db	'sl!',base_reg!,10
	db	'sp!',base_reg!,13
	db	'v1!',base_reg!,4
	db	'v2!',base_reg!,5
	db	'v3!',base_reg!,6
	db	'v4!',base_reg!,7
	db	'v5!',base_reg!,8
	db	'v6!',base_reg!,9
	db	'v7!',base_reg!,10
	db	'v8!',base_reg!,11
	db	'wdm',1Bh,81h
	db	'wr0',iwmmx_wreg,iwmmx_wreg_low+0
	db	'wr1',iwmmx_wreg,iwmmx_wreg_low+1
	db	'wr2',iwmmx_wreg,iwmmx_wreg_low+2
	db	'wr3',iwmmx_wreg,iwmmx_wreg_low+3
	db	'wr4',iwmmx_wreg,iwmmx_wreg_low+4
	db	'wr5',iwmmx_wreg,iwmmx_wreg_low+5
	db	'wr6',iwmmx_wreg,iwmmx_wreg_low+6
	db	'wr7',iwmmx_wreg,iwmmx_wreg_low+7
	db	'wr8',iwmmx_wreg,iwmmx_wreg_low+8
	db	'wr9',iwmmx_wreg,iwmmx_wreg_low+9
symbols_4:
	db	'acc0',acc_40bt,acc_40bt_low+0
	db	'acc1',acc_40bt,acc_40bt_low+1
	db	'acc2',acc_40bt,acc_40bt_low+2
	db	'acc3',acc_40bt,acc_40bt_low+3
	db	'acc4',acc_40bt,acc_40bt_low+4
	db	'acc5',acc_40bt,acc_40bt_low+5
	db	'acc6',acc_40bt,acc_40bt_low+6
	db	'acc7',acc_40bt,acc_40bt_low+7
	db	'apsr',psr_reg,psr_reg_low+34
	db	'byte',size_opr,1
	db	'code',19h,5
	db	'coff',18h,40h
	db	'cpsr',psr_reg,psr_reg_low+32
	db	'data',19h,6
	db	'epsr',sysm_reg,sysm_reg_low+6
	db	'ipsr',sysm_reg,sysm_reg_low+5
	db	'ms64',1ch,49h
	db	'pe64',18h,38h
	db	'r10!',base_reg!,10
	db	'r11!',base_reg!,11
	db	'r12!',base_reg!,12
	db	'r13!',base_reg!,13
	db	'r14!',base_reg!,14
	db	'r15!',base_reg!,15
	db	'spsr',psr_reg,psr_reg_low+33
	db	'syst',barrier,barrier_low+1110b
	db	'wcid',iwmmx_creg,iwmmx_creg_low+0
	db	'wcon',iwmmx_creg,iwmmx_creg_low+1
	db	'word',size_opr,4
	db	'wr10',iwmmx_wreg,iwmmx_wreg_low+10
	db	'wr11',iwmmx_wreg,iwmmx_wreg_low+11
	db	'wr12',iwmmx_wreg,iwmmx_wreg_low+12
	db	'wr13',iwmmx_wreg,iwmmx_wreg_low+13
	db	'wr14',iwmmx_wreg,iwmmx_wreg_low+14
	db	'wr15',iwmmx_wreg,iwmmx_wreg_low+15
	db	'xpsr',sysm_reg,sysm_reg_low+3
symbols_5:
	db	'dspsc',mvrk_psc,mvrk_psc_offset
	db	'dwarf',19h,0c0h
	db	'dword',size_opr,8
	db	'eapsr',sysm_reg,sysm_reg_low+2
	db	'elf64',18h,58h
	db	'fpexc',vfp_syst,vfp_syst_low+8
	db	'fpscr',vfp_syst,vfp_syst_low+1
	db	'fpsid',vfp_syst,vfp_syst_low+0
	db	'hword',size_opr,2
	db	'iapsr',sysm_reg,sysm_reg_low+1
	db	'iepsr',sysm_reg,sysm_reg_low+7
	db	'ishst',barrier,barrier_low+1010b
	db	'mvfr0',vfp_syst,vfp_syst_low+7
	db	'mvfr1',vfp_syst,vfp_syst_low+6
	db	'nshst',barrier,barrier_low+0110b
	db	'oshst',barrier,barrier_low+0010b
	db	'r0@16',base_reg,0+16*1
	db	'r0@32',base_reg,0+16*2
	db	'r0@64',base_reg,0+16*3
	db	'r1@16',base_reg,1+16*1
	db	'r1@32',base_reg,1+16*2
	db	'r1@64',base_reg,1+16*3
	db	'r2@16',base_reg,2+16*1
	db	'r2@32',base_reg,2+16*2
	db	'r2@64',base_reg,2+16*3
	db	'r3@16',base_reg,3+16*1
	db	'r3@32',base_reg,3+16*2
	db	'r3@64',base_reg,3+16*3
	db	'r4@16',base_reg,4+16*1
	db	'r4@32',base_reg,4+16*2
	db	'r4@64',base_reg,4+16*3
	db	'r5@16',base_reg,5+16*1
	db	'r5@32',base_reg,5+16*2
	db	'r5@64',base_reg,5+16*3
	db	'r6@16',base_reg,6+16*1
	db	'r6@32',base_reg,6+16*2
	db	'r6@64',base_reg,6+16*3
	db	'r7@16',base_reg,7+16*1
	db	'r7@32',base_reg,7+16*2
	db	'r7@64',base_reg,7+16*3
	db	'r8@16',base_reg,8+16*1
	db	'r8@32',base_reg,8+16*2
	db	'r8@64',base_reg,8+16*3
	db	'r9@16',base_reg,9+16*1
	db	'r9@32',base_reg,9+16*2
	db	'r9@64',base_reg,9+16*3
	db	'wcasf',iwmmx_creg,iwmmx_creg_low+3
	db	'wcgr0',iwmmx_creg,iwmmx_creg_low+8
	db	'wcgr1',iwmmx_creg,iwmmx_creg_low+9
	db	'wcgr2',iwmmx_creg,iwmmx_creg_low+10
	db	'wcgr3',iwmmx_creg,iwmmx_creg_low+11
	db	'wcssf',iwmmx_creg,iwmmx_creg_low+2
symbols_6:
	db	'apsr_g',psr_reg,psr_reg_low+4
	db	'binary',18h,10h
	db	'cpsr_c',psr_reg,psr_reg_low+1
	db	'cpsr_f',psr_reg,psr_reg_low+8
	db	'cpsr_s',psr_reg,psr_reg_low+4
	db	'cpsr_x',psr_reg,psr_reg_low+2
	db	'export',1Ah,0
	db	'fixups',1Ah,5
	db	'fpinst',vfp_syst,vfp_syst_low+9
	db	'import',1Ah,1
	db	'lr_abt',banked_reg,banked_reg_low+20
	db	'lr_fiq',banked_reg,banked_reg_low+14
	db	'lr_irq',banked_reg,banked_reg_low+16
	db	'lr_mon',banked_reg,banked_reg_low+28
	db	'lr_svc',banked_reg,banked_reg_low+18
	db	'lr_und',banked_reg,banked_reg_low+22
	db	'lr_usr',banked_reg,banked_reg_low+6
	db	'native',1Bh,1
	db	'r0@128',base_reg,0+16*4
	db	'r0@256',base_reg,0+16*5
	db	'r10@16',base_reg,10+16*1
	db	'r10@32',base_reg,10+16*2
	db	'r10@64',base_reg,10+16*3
	db	'r11@16',base_reg,11+16*1
	db	'r11@32',base_reg,11+16*2
	db	'r11@64',base_reg,11+16*3
	db	'r12@16',base_reg,12+16*1
	db	'r12@32',base_reg,12+16*2
	db	'r12@64',base_reg,12+16*3
	db	'r13@16',base_reg,13+16*1
	db	'r13@32',base_reg,13+16*2
	db	'r13@64',base_reg,13+16*3
	db	'r14@16',base_reg,14+16*1
	db	'r14@32',base_reg,14+16*2
	db	'r14@64',base_reg,14+16*3
	db	'r15@16',base_reg,15+16*1
	db	'r15@32',base_reg,15+16*2
	db	'r15@64',base_reg,15+16*3
	db	'r1@128',base_reg,1+16*4
	db	'r1@256',base_reg,1+16*5
	db	'r2@128',base_reg,2+16*4
	db	'r2@256',base_reg,2+16*5
	db	'r3@128',base_reg,3+16*4
	db	'r3@256',base_reg,3+16*5
	db	'r4@128',base_reg,4+16*4
	db	'r4@256',base_reg,4+16*5
	db	'r5@128',base_reg,5+16*4
	db	'r5@256',base_reg,5+16*5
	db	'r6@128',base_reg,6+16*4
	db	'r6@256',base_reg,6+16*5
	db	'r7@128',base_reg,7+16*4
	db	'r7@256',base_reg,7+16*5
	db	'r8@128',base_reg,8+16*4
	db	'r8@256',base_reg,8+16*5
	db	'r8_fiq',banked_reg,banked_reg_low+8
	db	'r8_usr',banked_reg,banked_reg_low+0
	db	'r9@128',base_reg,9+16*4
	db	'r9@256',base_reg,9+16*5
	db	'r9_fiq',banked_reg,banked_reg_low+9
	db	'r9_usr',banked_reg,banked_reg_low+1
	db	'sp_abt',banked_reg,banked_reg_low+21
	db	'sp_fiq',banked_reg,banked_reg_low+13
	db	'sp_hyp',banked_reg,banked_reg_low+31
	db	'sp_irq',banked_reg,banked_reg_low+17
	db	'sp_mon',banked_reg,banked_reg_low+29
	db	'sp_svc',banked_reg,banked_reg_low+19
	db	'sp_und',banked_reg,banked_reg_low+23
	db	'sp_usr',banked_reg,banked_reg_low+5
	db	'spsr_c',psr_reg,psr_reg_low+16+1
	db	'spsr_f',psr_reg,psr_reg_low+16+8
	db	'spsr_s',psr_reg,psr_reg_low+16+4
	db	'spsr_x',psr_reg,psr_reg_low+16+2
symbols_7:
	db	'basepri',sysm_reg,sysm_reg_low+17
	db	'console',1Bh,3
	db	'control',sysm_reg,sysm_reg_low+20
	db	'cpsr_cf',psr_reg,psr_reg_low+8+1
	db	'cpsr_cs',psr_reg,psr_reg_low+4+1
	db	'cpsr_cx',psr_reg,psr_reg_low+2+1
	db	'cpsr_fc',psr_reg,psr_reg_low+1+8
	db	'cpsr_fs',psr_reg,psr_reg_low+4+8
	db	'cpsr_fx',psr_reg,psr_reg_low+2+8
	db	'cpsr_sc',psr_reg,psr_reg_low+1+4
	db	'cpsr_sf',psr_reg,psr_reg_low+8+4
	db	'cpsr_sx',psr_reg,psr_reg_low+2+4
	db	'cpsr_xc',psr_reg,psr_reg_low+1+2
	db	'cpsr_xf',psr_reg,psr_reg_low+8+2
	db	'cpsr_xs',psr_reg,psr_reg_low+4+2
	db	'elr_hyp',banked_reg,banked_reg_low+30
	db	'fpinst2',vfp_syst,vfp_syst_low+10
	db	'primask',sysm_reg,sysm_reg_low+16
	db	'r10@128',base_reg,10+16*4
	db	'r10@256',base_reg,10+16*5
	db	'r10_fiq',banked_reg,banked_reg_low+10
	db	'r10_usr',banked_reg,banked_reg_low+2
	db	'r11@128',base_reg,11+16*4
	db	'r11@256',base_reg,11+16*5
	db	'r11_fiq',banked_reg,banked_reg_low+11
	db	'r11_usr',banked_reg,banked_reg_low+3
	db	'r12@128',base_reg,12+16*4
	db	'r12@256',base_reg,12+16*5
	db	'r12_fiq',banked_reg,banked_reg_low+12
	db	'r12_usr',banked_reg,banked_reg_low+4
	db	'r13@128',base_reg,13+16*4
	db	'r13@256',base_reg,13+16*5
	db	'r14@128',base_reg,14+16*4
	db	'r14@256',base_reg,14+16*5
	db	'r15@128',base_reg,15+16*4
	db	'r15@256',base_reg,15+16*5
	db	'spsr_cf',psr_reg,psr_reg_low+16+8+1
	db	'spsr_cs',psr_reg,psr_reg_low+16+4+1
	db	'spsr_cx',psr_reg,psr_reg_low+16+2+1
	db	'spsr_fc',psr_reg,psr_reg_low+16+1+8
	db	'spsr_fs',psr_reg,psr_reg_low+16+4+8
	db	'spsr_fx',psr_reg,psr_reg_low+16+2+8
	db	'spsr_sc',psr_reg,psr_reg_low+16+1+4
	db	'spsr_sf',psr_reg,psr_reg_low+16+8+4
	db	'spsr_sx',psr_reg,psr_reg_low+16+2+4
	db	'spsr_xc',psr_reg,psr_reg_low+16+1+2
	db	'spsr_xf',psr_reg,psr_reg_low+16+8+2
	db	'spsr_xs',psr_reg,psr_reg_low+16+4+2
symbols_8:
	db	'cpsr_all',psr_reg,psr_reg_low+8+1
	db	'cpsr_cfs',psr_reg,psr_reg_low+8+4+1
	db	'cpsr_cfx',psr_reg,psr_reg_low+8+2+1
	db	'cpsr_csf',psr_reg,psr_reg_low+8+4+1
	db	'cpsr_csx',psr_reg,psr_reg_low+4+2+1
	db	'cpsr_ctl',psr_reg,psr_reg_low+1
	db	'cpsr_cxf',psr_reg,psr_reg_low+8+2+1
	db	'cpsr_cxs',psr_reg,psr_reg_low+4+2+1
	db	'cpsr_fcs',psr_reg,psr_reg_low+1+4+8
	db	'cpsr_fcx',psr_reg,psr_reg_low+1+2+8
	db	'cpsr_flg',psr_reg,psr_reg_low+8
	db	'cpsr_fsc',psr_reg,psr_reg_low+1+4+8
	db	'cpsr_fsx',psr_reg,psr_reg_low+4+2+8
	db	'cpsr_fxc',psr_reg,psr_reg_low+1+2+8
	db	'cpsr_fxs',psr_reg,psr_reg_low+4+2+8
	db	'cpsr_scf',psr_reg,psr_reg_low+8+1+4
	db	'cpsr_scx',psr_reg,psr_reg_low+1+2+4
	db	'cpsr_sfc',psr_reg,psr_reg_low+8+1+4
	db	'cpsr_sfx',psr_reg,psr_reg_low+8+2+4
	db	'cpsr_sxc',psr_reg,psr_reg_low+1+2+4
	db	'cpsr_sxf',psr_reg,psr_reg_low+8+2+4
	db	'cpsr_xcf',psr_reg,psr_reg_low+8+1+2
	db	'cpsr_xcs',psr_reg,psr_reg_low+4+1+2
	db	'cpsr_xfc',psr_reg,psr_reg_low+8+1+2
	db	'cpsr_xfs',psr_reg,psr_reg_low+8+4+2
	db	'cpsr_xsc',psr_reg,psr_reg_low+4+1+2
	db	'cpsr_xsf',psr_reg,psr_reg_low+8+4+2
	db	'iflags_a',iflags,iflags_low+4
	db	'iflags_f',iflags,iflags_low+1
	db	'iflags_i',iflags,iflags_low+2
	db	'linkinfo',19h,9
	db	'readable',19h,30
	db	'resource',1Ah,2
	db	'spsr_abt',banked_reg,banked_reg_low+32+20
	db	'spsr_all',psr_reg,psr_reg_low+16+8+1
	db	'spsr_cfs',psr_reg,psr_reg_low+16+8+4+1
	db	'spsr_cfx',psr_reg,psr_reg_low+16+8+2+1
	db	'spsr_csf',psr_reg,psr_reg_low+16+8+4+1
	db	'spsr_csx',psr_reg,psr_reg_low+16+4+2+1
	db	'spsr_ctl',psr_reg,psr_reg_low+16+1
	db	'spsr_cxf',psr_reg,psr_reg_low+16+8+2+1
	db	'spsr_cxs',psr_reg,psr_reg_low+16+4+2+1
	db	'spsr_fcs',psr_reg,psr_reg_low+16+1+4+8
	db	'spsr_fcx',psr_reg,psr_reg_low+16+1+2+8
	db	'spsr_fiq',banked_reg,banked_reg_low+32+14
	db	'spsr_flg',psr_reg,psr_reg_low+16+8
	db	'spsr_fsc',psr_reg,psr_reg_low+16+1+4+8
	db	'spsr_fsx',psr_reg,psr_reg_low+16+4+2+8
	db	'spsr_fxc',psr_reg,psr_reg_low+16+1+2+8
	db	'spsr_fxs',psr_reg,psr_reg_low+16+4+2+8
	db	'spsr_hyp',banked_reg,banked_reg_low+32+30
	db	'spsr_irq',banked_reg,banked_reg_low+32+16
	db	'spsr_mon',banked_reg,banked_reg_low+32+28
	db	'spsr_scf',psr_reg,psr_reg_low+16+8+1+4
	db	'spsr_scx',psr_reg,psr_reg_low+16+1+2+4
	db	'spsr_sfc',psr_reg,psr_reg_low+16+8+1+4
	db	'spsr_sfx',psr_reg,psr_reg_low+16+8+2+4
	db	'spsr_svc',banked_reg,banked_reg_low+32+18
	db	'spsr_sxc',psr_reg,psr_reg_low+16+1+2+4
	db	'spsr_sxf',psr_reg,psr_reg_low+16+8+2+4
	db	'spsr_und',banked_reg,banked_reg_low+32+22
	db	'spsr_xcf',psr_reg,psr_reg_low+16+8+1+2
	db	'spsr_xcs',psr_reg,psr_reg_low+16+4+1+2
	db	'spsr_xfc',psr_reg,psr_reg_low+16+8+1+2
	db	'spsr_xfs',psr_reg,psr_reg_low+16+8+4+2
	db	'spsr_xsc',psr_reg,psr_reg_low+16+4+1+2
	db	'spsr_xsf',psr_reg,psr_reg_low+16+8+4+2
	db	'writable',19h,31
symbols_9:
	db	'cpsr_cfsx',psr_reg,psr_reg_low+8+4+2+1
	db	'cpsr_cfxs',psr_reg,psr_reg_low+8+4+2+1
	db	'cpsr_csfx',psr_reg,psr_reg_low+8+4+2+1
	db	'cpsr_csxf',psr_reg,psr_reg_low+8+4+2+1
	db	'cpsr_cxfs',psr_reg,psr_reg_low+8+4+2+1
	db	'cpsr_cxsf',psr_reg,psr_reg_low+8+4+2+1
	db	'cpsr_fcsx',psr_reg,psr_reg_low+1+4+2+8
	db	'cpsr_fcxs',psr_reg,psr_reg_low+1+4+2+8
	db	'cpsr_fscx',psr_reg,psr_reg_low+1+4+2+8
	db	'cpsr_fsxc',psr_reg,psr_reg_low+1+4+2+8
	db	'cpsr_fxcs',psr_reg,psr_reg_low+1+4+2+8
	db	'cpsr_fxsc',psr_reg,psr_reg_low+1+4+2+8
	db	'cpsr_scfx',psr_reg,psr_reg_low+8+1+2+4
	db	'cpsr_scxf',psr_reg,psr_reg_low+8+1+2+4
	db	'cpsr_sfcx',psr_reg,psr_reg_low+8+1+2+4
	db	'cpsr_sfxc',psr_reg,psr_reg_low+8+1+2+4
	db	'cpsr_sxcf',psr_reg,psr_reg_low+8+1+2+4
	db	'cpsr_sxfc',psr_reg,psr_reg_low+8+1+2+4
	db	'cpsr_xcfs',psr_reg,psr_reg_low+8+4+1+2
	db	'cpsr_xcsf',psr_reg,psr_reg_low+8+4+1+2
	db	'cpsr_xfcs',psr_reg,psr_reg_low+8+4+1+2
	db	'cpsr_xfsc',psr_reg,psr_reg_low+8+4+1+2
	db	'cpsr_xscf',psr_reg,psr_reg_low+8+4+1+2
	db	'cpsr_xsfc',psr_reg,psr_reg_low+8+4+1+2
	db	'faultmask',sysm_reg,sysm_reg_low+19
	db	'iflags_af',iflags,iflags_low+4+1
	db	'iflags_ai',iflags,iflags_low+4+2
	db	'iflags_fa',iflags,iflags_low+1+4
	db	'iflags_fi',iflags,iflags_low+1+2
	db	'iflags_ia',iflags,iflags_low+2+4
	db	'iflags_if',iflags,iflags_low+2+1
	db	'shareable',19h,28
	db	'spsr_cfsx',psr_reg,psr_reg_low+16+8+4+2+1
	db	'spsr_cfxs',psr_reg,psr_reg_low+16+8+4+2+1
	db	'spsr_csfx',psr_reg,psr_reg_low+16+8+4+2+1
	db	'spsr_csxf',psr_reg,psr_reg_low+16+8+4+2+1
	db	'spsr_cxfs',psr_reg,psr_reg_low+16+8+4+2+1
	db	'spsr_cxsf',psr_reg,psr_reg_low+16+8+4+2+1
	db	'spsr_fcsx',psr_reg,psr_reg_low+16+1+4+2+8
	db	'spsr_fcxs',psr_reg,psr_reg_low+16+1+4+2+8
	db	'spsr_fscx',psr_reg,psr_reg_low+16+1+4+2+8
	db	'spsr_fsxc',psr_reg,psr_reg_low+16+1+4+2+8
	db	'spsr_fxcs',psr_reg,psr_reg_low+16+1+4+2+8
	db	'spsr_fxsc',psr_reg,psr_reg_low+16+1+4+2+8
	db	'spsr_scfx',psr_reg,psr_reg_low+16+8+1+2+4
	db	'spsr_scxf',psr_reg,psr_reg_low+16+8+1+2+4
	db	'spsr_sfcx',psr_reg,psr_reg_low+16+8+1+2+4
	db	'spsr_sfxc',psr_reg,psr_reg_low+16+8+1+2+4
	db	'spsr_sxcf',psr_reg,psr_reg_low+16+8+1+2+4
	db	'spsr_sxfc',psr_reg,psr_reg_low+16+8+1+2+4
	db	'spsr_xcfs',psr_reg,psr_reg_low+16+8+4+1+2
	db	'spsr_xcsf',psr_reg,psr_reg_low+16+8+4+1+2
	db	'spsr_xfcs',psr_reg,psr_reg_low+16+8+4+1+2
	db	'spsr_xfsc',psr_reg,psr_reg_low+16+8+4+1+2
	db	'spsr_xscf',psr_reg,psr_reg_low+16+8+4+1+2
	db	'spsr_xsfc',psr_reg,psr_reg_low+16+8+4+1+2
	db	'writeable',19h,31
symbols_10:
	db	'apsr_nzcvq',psr_reg,psr_reg_low+8
	db	'executable',19h,29
	db	'iflags_afi',iflags,iflags_low+4+1+2
	db	'iflags_aif',iflags,iflags_low+4+2+1
	db	'iflags_fai',iflags,iflags_low+1+4+2
	db	'iflags_fia',iflags,iflags_low+1+2+4
	db	'iflags_iaf',iflags,iflags_low+2+4+1
	db	'iflags_ifa',iflags,iflags_low+2+1+4
	db	'linkremove',19h,11
symbols_11:
	db	'apsr_nzcvqg',psr_reg,psr_reg_low+8+4
	db	'basepri_max',sysm_reg,sysm_reg_low+18
	db	'discardable',19h,25
	db	'notpageable',19h,27
symbols_end:

data_directives:
	dw	data_directives_2-data_directives,(data_directives_3-data_directives_2)/(2+3)
	dw	data_directives_3-data_directives,(data_directives_4-data_directives_3)/(3+3)
	dw	data_directives_4-data_directives,(data_directives_end-data_directives_4)/(4+3)

data_directives_2:
	db	'db',1
	dw	data_bytes-instruction_handler
	db	'dd',8
	dw	data_qwords-instruction_handler		;ARM dwords
	db	'dh',2
	dw	data_words-instruction_handler		;ARM hwords
	db	'du',2
	dw	data_unicode-instruction_handler
	db	'dw',4
	dw	data_dwords-instruction_handler		;ARM words
	db	'rb',1
	dw	reserve_bytes-instruction_handler
	db	'rd',8
	dw	reserve_qwords-instruction_handler	;ARM dwords
	db	'rh',2
	dw	reserve_words-instruction_handler	;ARM hwords
	db	'rw',4
	dw	reserve_dwords-instruction_handler	;ARM words
data_directives_3:
data_directives_4:
	db	'file',1
	dw	data_file-instruction_handler
data_directives_end:

instructions:
	dd	instructions_1-instructions,(instructions_2-instructions_1)/(1+3)
	dd	instructions_2-instructions,(instructions_3-instructions_2)/(2+3)
	dd	instructions_3-instructions,(instructions_4-instructions_3)/(3+3)
	dd	instructions_4-instructions,(instructions_5-instructions_4)/(4+3)
	dd	instructions_5-instructions,(instructions_6-instructions_5)/(5+3)
	dd	instructions_6-instructions,(instructions_7-instructions_6)/(6+3)
	dd	instructions_7-instructions,(instructions_8-instructions_7)/(7+3)
	dd	instructions_8-instructions,(instructions_9-instructions_8)/(8+3)
	dd	instructions_9-instructions,(instructions_10-instructions_9)/(9+3)
	dd	instructions_10-instructions,(instructions_11-instructions_10)/(10+3)
	dd	instructions_11-instructions,(instructions_12-instructions_11)/(11+3)
	dd	instructions_12-instructions,(instructions_13-instructions_12)/(12+3)
	dd	instructions_13-instructions,(instructions_14-instructions_13)/(13+3)
	dd	instructions_14-instructions,(instructions_15-instructions_14)/(14+3)
	dd	instructions_15-instructions,(instructions_end-instructions_15)/(15+3)
instructions_1:
	db	'b',0xe0
	dw	ARM_instruction_b-instruction_handler
	db	0
instructions_2:
	db	'bl',0xe0
	dw	ARM_instruction_bl-instruction_handler
	db	'bx',0xe0
	dw	ARM_instruction_bx-instruction_handler
	db	'hb',0xe0
	dw	ARM_instruction_hb-instruction_handler
	db	'if',0x00
	dw	if_directive-instruction_handler
	db	'it',0xf0
	dw	ARM_instruction_it-instruction_handler
	db	0
instructions_3:
	db	'adc',0xe0
	dw	ARM_instruction_adc-instruction_handler
	db	'add',0xe0
	dw	ARM_instruction_add-instruction_handler
	db	'adr',0xe0
	dw	ARM_instruction_adr-instruction_handler
	db	'and',0xe0
	dw	ARM_instruction_and-instruction_handler
	db	'asr',0xe0
	dw	ARM_instruction_asr-instruction_handler
	db	'b.n',0xe4
	dw	ARM_instruction_b-instruction_handler
	db	'b.w',0xe2
	dw	ARM_instruction_b-instruction_handler
	db	'bfc',0xe0
	dw	ARM_instruction_bfc-instruction_handler
	db	'bfi',0xe0
	dw	ARM_instruction_bfi-instruction_handler
	db	'bic',0xe0
	dw	ARM_instruction_bic-instruction_handler
	db	'blx',0xe0
	dw	ARM_instruction_blx-instruction_handler
	db	'bxj',0xe0
	dw	ARM_instruction_bxj-instruction_handler
	db	'b~~',0x00
	dw	ARM_instruction_b-instruction_handler
	db	'cbz',0xf0
	dw	ARM_instruction_cbz-instruction_handler
	db	'cdp',0xe0
	dw	ARM_instruction_cdp-instruction_handler
	db	'clz',0xe0
	dw	ARM_instruction_clz-instruction_handler
	db	'cmf',0xe0
	dw	ARM_instruction_cmf-instruction_handler
	db	'cmn',0xe0
	dw	ARM_instruction_cmn-instruction_handler
	db	'cmp',0xe0
	dw	ARM_instruction_cmp-instruction_handler
	db	'cnf',0xe0
	dw	ARM_instruction_cnf-instruction_handler
	db	'cps',0xf0
	dw	ARM_instruction_cps-instruction_handler
	db	'cpy',0xe0
	dw	ARM_instruction_cpy-instruction_handler
	db	'dbg',0xe0
	dw	ARM_instruction_dbg-instruction_handler
	db	'dmb',0xf0
	dw	ARM_instruction_dmb-instruction_handler
	db	'dsb',0xf0
	dw	ARM_instruction_dsb-instruction_handler
	db	'end',0x00
	dw	end_directive-instruction_handler
	db	'eor',0xe0
	dw	ARM_instruction_eor-instruction_handler
	db	'err',0x00
	dw	err_directive-instruction_handler
	db	'fix',0xe0
	dw	ARM_instruction_fix-instruction_handler
	db	'hbl',0xe0
	dw	ARM_instruction_hbl-instruction_handler
	db	'hbp',0xe0
	dw	ARM_instruction_hbp-instruction_handler
	db	'hvc',0xe0
	dw	ARM_instruction_hvc-instruction_handler
	db	'isb',0xf0
	dw	ARM_instruction_isb-instruction_handler
	db	'ite',0xf0
	dw	ARM_instruction_ite-instruction_handler
	db	'itt',0xf0
	dw	ARM_instruction_itt-instruction_handler
	db	'ldc',0xe0
	dw	ARM_instruction_ldc-instruction_handler
	db	'ldm',0xe0
	dw	ARM_instruction_ldm-instruction_handler
	db	'ldr',0xe0
	dw	ARM_instruction_ldr-instruction_handler
	db	'lfm',0xe0
	dw	ARM_instruction_lfm-instruction_handler
	db	'lsl',0xe0
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsr',0xe0
	dw	ARM_instruction_lsr-instruction_handler
	db	'mar',0xe0
	dw	ARM_instruction_mar-instruction_handler
	db	'mcr',0xe0
	dw	ARM_instruction_mcr-instruction_handler
	db	'mia',0xe0
	dw	ARM_instruction_mia-instruction_handler
	db	'mla',0xe0
	dw	ARM_instruction_mla-instruction_handler
	db	'mls',0xe0
	dw	ARM_instruction_mls-instruction_handler
	db	'mov',0xe0
	dw	ARM_instruction_mov-instruction_handler
	db	'mra',0xe0
	dw	ARM_instruction_mra-instruction_handler
	db	'mrc',0xe0
	dw	ARM_instruction_mrc-instruction_handler
	db	'mrs',0xe0
	dw	ARM_instruction_mrs-instruction_handler
	db	'msr',0xe0
	dw	ARM_instruction_msr-instruction_handler
	db	'mul',0xe0
	dw	ARM_instruction_mul-instruction_handler
	db	'mvn',0xe0
	dw	ARM_instruction_mvn-instruction_handler
	db	'neg',0xe0
	dw	ARM_instruction_neg-instruction_handler
	db	'nop',0xe0
	dw	ARM_instruction_nop-instruction_handler
	db	'org',0x00
	dw	ARM_org_directive-instruction_handler
	db	'orn',0xe0
	dw	ARM_instruction_orn-instruction_handler
	db	'orr',0xe0
	dw	ARM_instruction_orr-instruction_handler
	db	'pld',0xe0
	dw	ARM_instruction_pld-instruction_handler
	db	'pli',0xe0
	dw	ARM_instruction_pli-instruction_handler
	db	'pop',0xe0
	dw	ARM_instruction_pop-instruction_handler
	db	'rev',0xe0
	dw	ARM_instruction_rev-instruction_handler
	db	'rfc',0xe0
	dw	ARM_instruction_rfc-instruction_handler
	db	'rfe',0xf0
	dw	ARM_instruction_rfe-instruction_handler
	db	'rfs',0xe0
	dw	ARM_instruction_rfs-instruction_handler
	db	'ror',0xe0
	dw	ARM_instruction_ror-instruction_handler
	db	'rrx',0xe0
	dw	ARM_instruction_rrx-instruction_handler
	db	'rsb',0xe0
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsc',0xe0
	dw	ARM_instruction_rsc-instruction_handler
	db	'sbc',0xe0
	dw	ARM_instruction_sbc-instruction_handler
	db	'sel',0xe0
	dw	ARM_instruction_sel-instruction_handler
	db	'sev',0xe0
	dw	ARM_instruction_sev-instruction_handler
	db	'sfm',0xe0
	dw	ARM_instruction_sfm-instruction_handler
	db	'smc',0xe0
	dw	ARM_instruction_smc-instruction_handler
	db	'smi',0xe0
	dw	ARM_instruction_smi-instruction_handler
	db	'srs',0xf0
	dw	ARM_instruction_srs-instruction_handler
	db	'stc',0xe0
	dw	ARM_instruction_stc-instruction_handler
	db	'stm',0xe0
	dw	ARM_instruction_stm-instruction_handler
	db	'str',0xe0
	dw	ARM_instruction_str-instruction_handler
	db	'sub',0xe0
	dw	ARM_instruction_sub-instruction_handler
	db	'svc',0xe0
	dw	ARM_instruction_svc-instruction_handler
	db	'swi',0xe0
	dw	ARM_instruction_swi-instruction_handler
	db	'swp',0xe0
	dw	ARM_instruction_swp-instruction_handler
	db	'tbb',0xe0
	dw	ARM_instruction_tbb-instruction_handler
	db	'tbh',0xe0
	dw	ARM_instruction_tbh-instruction_handler
	db	'teq',0xe0
	dw	ARM_instruction_teq-instruction_handler
	db	'tst',0xe0
	dw	ARM_instruction_tst-instruction_handler
	db	'und',0xe0
	dw	ARM_instruction_und-instruction_handler
	db	'wfc',0xe0
	dw	ARM_instruction_wfc-instruction_handler
	db	'wfe',0xe0
	dw	ARM_instruction_wfe-instruction_handler
	db	'wfi',0xe0
	dw	ARM_instruction_wfi-instruction_handler
	db	'wfs',0xe0
	dw	ARM_instruction_wfs-instruction_handler
	db	'wor',0xe0
	dw	ARM_instruction_wor-instruction_handler
	db	0
instructions_4:
	db	'absd',0xe0
	dw	ARM_instruction_absd-instruction_handler
	db	'abse',0xe0
	dw	ARM_instruction_abse-instruction_handler
	db	'abss',0xe0
	dw	ARM_instruction_abss-instruction_handler
	db	'acsd',0xe0
	dw	ARM_instruction_acsd-instruction_handler
	db	'acse',0xe0
	dw	ARM_instruction_acse-instruction_handler
	db	'acss',0xe0
	dw	ARM_instruction_acss-instruction_handler
	db	'adcs',0xe1
	dw	ARM_instruction_adc-instruction_handler
	db	'adds',0xe1
	dw	ARM_instruction_add-instruction_handler
	db	'addw',0xe0
	dw	ARM_instruction_addw-instruction_handler
	db	'adfd',0xe0
	dw	ARM_instruction_adfd-instruction_handler
	db	'adfe',0xe0
	dw	ARM_instruction_adfe-instruction_handler
	db	'adfs',0xe0
	dw	ARM_instruction_adfs-instruction_handler
	db	'ands',0xe1
	dw	ARM_instruction_and-instruction_handler
	db	'asnd',0xe0
	dw	ARM_instruction_asnd-instruction_handler
	db	'asne',0xe0
	dw	ARM_instruction_asne-instruction_handler
	db	'asns',0xe0
	dw	ARM_instruction_asns-instruction_handler
	db	'asrs',0xe1
	dw	ARM_instruction_asr-instruction_handler
	db	'atnd',0xe0
	dw	ARM_instruction_atnd-instruction_handler
	db	'atne',0xe0
	dw	ARM_instruction_atne-instruction_handler
	db	'atns',0xe0
	dw	ARM_instruction_atns-instruction_handler
	db	'bics',0xe1
	dw	ARM_instruction_bic-instruction_handler
	db	'bkpt',0xe0
	dw	ARM_instruction_bkpt-instruction_handler
	db	'bl~~',0x00
	dw	ARM_instruction_bl-instruction_handler
	db	'bx.n',0xe4
	dw	ARM_instruction_bx-instruction_handler
	db	'bx.w',0xe2
	dw	ARM_instruction_bx-instruction_handler
	db	'bx~~',0x00
	dw	ARM_instruction_bx-instruction_handler
	db	'cbnz',0xf0
	dw	ARM_instruction_cbnz-instruction_handler
	db	'cdp2',0xe0
	dw	ARM_instruction_cdp2-instruction_handler
	db	'chka',0xe0
	dw	ARM_instruction_chka-instruction_handler
	db	'cmfe',0xe0
	dw	ARM_instruction_cmfe-instruction_handler
	db	'cmnp',0xe0
	dw	ARM_instruction_cmnp-instruction_handler
	db	'cmpp',0xe0
	dw	ARM_instruction_cmpp-instruction_handler
	db	'cnfe',0xe0
	dw	ARM_instruction_cnfe-instruction_handler
	db	'cosd',0xe0
	dw	ARM_instruction_cosd-instruction_handler
	db	'cose',0xe0
	dw	ARM_instruction_cose-instruction_handler
	db	'coss',0xe0
	dw	ARM_instruction_coss-instruction_handler
	db	'data',0x00
	dw	data_directive-instruction_handler
	db	'dvfd',0xe0
	dw	ARM_instruction_dvfd-instruction_handler
	db	'dvfe',0xe0
	dw	ARM_instruction_dvfe-instruction_handler
	db	'dvfs',0xe0
	dw	ARM_instruction_dvfs-instruction_handler
	db	'else',0x00
	dw	else_directive-instruction_handler
	db	'eors',0xe1
	dw	ARM_instruction_eor-instruction_handler
	db	'eret',0xe0
	dw	ARM_instruction_eret-instruction_handler
	db	'expd',0xe0
	dw	ARM_instruction_expd-instruction_handler
	db	'expe',0xe0
	dw	ARM_instruction_expe-instruction_handler
	db	'exps',0xe0
	dw	ARM_instruction_exps-instruction_handler
	db	'fdvd',0xe0
	dw	ARM_instruction_fdvd-instruction_handler
	db	'fdve',0xe0
	dw	ARM_instruction_fdve-instruction_handler
	db	'fdvs',0xe0
	dw	ARM_instruction_fdvs-instruction_handler
	db	'fixm',0xe0
	dw	ARM_instruction_fixm-instruction_handler
	db	'fixp',0xe0
	dw	ARM_instruction_fixp-instruction_handler
	db	'fixz',0xe0
	dw	ARM_instruction_fixz-instruction_handler
	db	'fldd',0xe0
	dw	ARM_instruction_fldd-instruction_handler
	db	'flds',0xe0
	dw	ARM_instruction_flds-instruction_handler
	db	'fltd',0xe0
	dw	ARM_instruction_fltd-instruction_handler
	db	'flte',0xe0
	dw	ARM_instruction_flte-instruction_handler
	db	'flts',0xe0
	dw	ARM_instruction_flts-instruction_handler
	db	'fmld',0xe0
	dw	ARM_instruction_fmld-instruction_handler
	db	'fmle',0xe0
	dw	ARM_instruction_fmle-instruction_handler
	db	'fmls',0xe0
	dw	ARM_instruction_fmls-instruction_handler
	db	'fmrs',0xe0
	dw	ARM_instruction_fmrs-instruction_handler
	db	'fmrx',0xe0
	dw	ARM_instruction_fmrx-instruction_handler
	db	'fmsr',0xe0
	dw	ARM_instruction_fmsr-instruction_handler
	db	'fmxr',0xe0
	dw	ARM_instruction_fmxr-instruction_handler
	db	'frdd',0xe0
	dw	ARM_instruction_frdd-instruction_handler
	db	'frde',0xe0
	dw	ARM_instruction_frde-instruction_handler
	db	'frds',0xe0
	dw	ARM_instruction_frds-instruction_handler
	db	'fstd',0xe0
	dw	ARM_instruction_fstd-instruction_handler
	db	'fsts',0xe0
	dw	ARM_instruction_fsts-instruction_handler
	db	'hblp',0xe0
	dw	ARM_instruction_hblp-instruction_handler
	db	'hb~~',0x00
	dw	ARM_instruction_hb-instruction_handler
	db	'heap',0x00
	dw	heap_directive-instruction_handler
	db	'itee',0xf0
	dw	ARM_instruction_itee-instruction_handler
	db	'itet',0xf0
	dw	ARM_instruction_itet-instruction_handler
	db	'itte',0xf0
	dw	ARM_instruction_itte-instruction_handler
	db	'ittt',0xf0
	dw	ARM_instruction_ittt-instruction_handler
	db	'ldc2',0xe0
	dw	ARM_instruction_ldc2-instruction_handler
	db	'ldcl',0xe0
	dw	ARM_instruction_ldcl-instruction_handler
	db	'ldfd',0xe0
	dw	ARM_instruction_ldfd-instruction_handler
	db	'ldfe',0xe0
	dw	ARM_instruction_ldfe-instruction_handler
	db	'ldfp',0xe0
	dw	ARM_instruction_ldfp-instruction_handler
	db	'ldfs',0xe0
	dw	ARM_instruction_ldfs-instruction_handler
	db	'ldrb',0xe0
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldrd',0xe0
	dw	ARM_instruction_ldrd-instruction_handler
	db	'ldrh',0xe0
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldrt',0xe0
	dw	ARM_instruction_ldrt-instruction_handler
	db	'lgnd',0xe0
	dw	ARM_instruction_lgnd-instruction_handler
	db	'lgne',0xe0
	dw	ARM_instruction_lgne-instruction_handler
	db	'lgns',0xe0
	dw	ARM_instruction_lgns-instruction_handler
	db	'load',0x00
	dw	load_directive-instruction_handler
	db	'logd',0xe0
	dw	ARM_instruction_logd-instruction_handler
	db	'loge',0xe0
	dw	ARM_instruction_loge-instruction_handler
	db	'logs',0xe0
	dw	ARM_instruction_logs-instruction_handler
	db	'lsls',0xe1
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsrs',0xe1
	dw	ARM_instruction_lsr-instruction_handler
	db	'mcr2',0xe0
	dw	ARM_instruction_mcr2-instruction_handler
	db	'mcrr',0xe0
	dw	ARM_instruction_mcrr-instruction_handler
	db	'mlas',0xe1
	dw	ARM_instruction_mla-instruction_handler
	db	'mnfd',0xe0
	dw	ARM_instruction_mnfd-instruction_handler
	db	'mnfe',0xe0
	dw	ARM_instruction_mnfe-instruction_handler
	db	'mnfs',0xe0
	dw	ARM_instruction_mnfs-instruction_handler
	db	'movs',0xe1
	dw	ARM_instruction_mov-instruction_handler
	db	'movt',0xe0
	dw	ARM_instruction_movt-instruction_handler
	db	'movw',0xe0
	dw	ARM_instruction_movw-instruction_handler
	db	'mrc2',0xe0
	dw	ARM_instruction_mrc2-instruction_handler
	db	'mrrc',0xe0
	dw	ARM_instruction_mrrc-instruction_handler
	db	'mufd',0xe0
	dw	ARM_instruction_mufd-instruction_handler
	db	'mufe',0xe0
	dw	ARM_instruction_mufe-instruction_handler
	db	'mufs',0xe0
	dw	ARM_instruction_mufs-instruction_handler
	db	'muls',0xe1
	dw	ARM_instruction_mul-instruction_handler
	db	'mvfd',0xe0
	dw	ARM_instruction_mvfd-instruction_handler
	db	'mvfe',0xe0
	dw	ARM_instruction_mvfe-instruction_handler
	db	'mvfs',0xe0
	dw	ARM_instruction_mvfs-instruction_handler
	db	'mvns',0xe1
	dw	ARM_instruction_mvn-instruction_handler
	db	'negs',0xe1
	dw	ARM_instruction_neg-instruction_handler
	db	'nrmd',0xe0
	dw	ARM_instruction_nrmd-instruction_handler
	db	'nrme',0xe0
	dw	ARM_instruction_nrme-instruction_handler
	db	'nrms',0xe0
	dw	ARM_instruction_nrms-instruction_handler
	db	'orns',0xe1
	dw	ARM_instruction_orn-instruction_handler
	db	'orrs',0xe1
	dw	ARM_instruction_orr-instruction_handler
	db	'pldw',0xe0
	dw	ARM_instruction_pldw-instruction_handler
	db	'pold',0xe0
	dw	ARM_instruction_pold-instruction_handler
	db	'pole',0xe0
	dw	ARM_instruction_pole-instruction_handler
	db	'pols',0xe0
	dw	ARM_instruction_pols-instruction_handler
	db	'powd',0xe0
	dw	ARM_instruction_powd-instruction_handler
	db	'powe',0xe0
	dw	ARM_instruction_powe-instruction_handler
	db	'pows',0xe0
	dw	ARM_instruction_pows-instruction_handler
	db	'push',0xe0
	dw	ARM_instruction_push-instruction_handler
	db	'qadd',0xe0
	dw	ARM_instruction_qadd-instruction_handler
	db	'qasx',0xe0
	dw	ARM_instruction_qasx-instruction_handler
	db	'qsax',0xe0
	dw	ARM_instruction_qsax-instruction_handler
	db	'qsub',0xe0
	dw	ARM_instruction_qsub-instruction_handler
	db	'rbit',0xe0
	dw	ARM_instruction_rbit-instruction_handler
	db	'rdfd',0xe0
	dw	ARM_instruction_rdfd-instruction_handler
	db	'rdfe',0xe0
	dw	ARM_instruction_rdfe-instruction_handler
	db	'rdfs',0xe0
	dw	ARM_instruction_rdfs-instruction_handler
	db	'rmfd',0xe0
	dw	ARM_instruction_rmfd-instruction_handler
	db	'rmfe',0xe0
	dw	ARM_instruction_rmfe-instruction_handler
	db	'rmfs',0xe0
	dw	ARM_instruction_rmfs-instruction_handler
	db	'rndd',0xe0
	dw	ARM_instruction_rndd-instruction_handler
	db	'rnde',0xe0
	dw	ARM_instruction_rnde-instruction_handler
	db	'rnds',0xe0
	dw	ARM_instruction_rnds-instruction_handler
	db	'rors',0xe1
	dw	ARM_instruction_ror-instruction_handler
	db	'rpwd',0xe0
	dw	ARM_instruction_rpwd-instruction_handler
	db	'rpwe',0xe0
	dw	ARM_instruction_rpwe-instruction_handler
	db	'rpws',0xe0
	dw	ARM_instruction_rpws-instruction_handler
	db	'rrxs',0xe1
	dw	ARM_instruction_rrx-instruction_handler
	db	'rsbs',0xe1
	dw	ARM_instruction_rsb-instruction_handler
	db	'rscs',0xe1
	dw	ARM_instruction_rsc-instruction_handler
	db	'rsfd',0xe0
	dw	ARM_instruction_rsfd-instruction_handler
	db	'rsfe',0xe0
	dw	ARM_instruction_rsfe-instruction_handler
	db	'rsfs',0xe0
	dw	ARM_instruction_rsfs-instruction_handler
	db	'sasx',0xe0
	dw	ARM_instruction_sasx-instruction_handler
	db	'sbcs',0xe1
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbfx',0xe0
	dw	ARM_instruction_sbfx-instruction_handler
	db	'sdiv',0xe0
	dw	ARM_instruction_sdiv-instruction_handler
	db	'sind',0xe0
	dw	ARM_instruction_sind-instruction_handler
	db	'sine',0xe0
	dw	ARM_instruction_sine-instruction_handler
	db	'sins',0xe0
	dw	ARM_instruction_sins-instruction_handler
	db	'sqtd',0xe0
	dw	ARM_instruction_sqtd-instruction_handler
	db	'sqte',0xe0
	dw	ARM_instruction_sqte-instruction_handler
	db	'sqts',0xe0
	dw	ARM_instruction_sqts-instruction_handler
	db	'ssat',0xe0
	dw	ARM_instruction_ssat-instruction_handler
	db	'ssax',0xe0
	dw	ARM_instruction_ssax-instruction_handler
	db	'stc2',0xe0
	dw	ARM_instruction_stc2-instruction_handler
	db	'stcl',0xe0
	dw	ARM_instruction_stcl-instruction_handler
	db	'stfd',0xe0
	dw	ARM_instruction_stfd-instruction_handler
	db	'stfe',0xe0
	dw	ARM_instruction_stfe-instruction_handler
	db	'stfp',0xe0
	dw	ARM_instruction_stfp-instruction_handler
	db	'stfs',0xe0
	dw	ARM_instruction_stfs-instruction_handler
	db	'strb',0xe0
	dw	ARM_instruction_strb-instruction_handler
	db	'strd',0xe0
	dw	ARM_instruction_strd-instruction_handler
	db	'strh',0xe0
	dw	ARM_instruction_strh-instruction_handler
	db	'strt',0xe0
	dw	ARM_instruction_strt-instruction_handler
	db	'subs',0xe1
	dw	ARM_instruction_sub-instruction_handler
	db	'subw',0xe0
	dw	ARM_instruction_subw-instruction_handler
	db	'sufd',0xe0
	dw	ARM_instruction_sufd-instruction_handler
	db	'sufe',0xe0
	dw	ARM_instruction_sufe-instruction_handler
	db	'sufs',0xe0
	dw	ARM_instruction_sufs-instruction_handler
	db	'swpb',0xe0
	dw	ARM_instruction_swpb-instruction_handler
	db	'sxtb',0xe0
	dw	ARM_instruction_sxtb-instruction_handler
	db	'sxth',0xe0
	dw	ARM_instruction_sxth-instruction_handler
	db	'tand',0xe0
	dw	ARM_instruction_tand-instruction_handler
	db	'tane',0xe0
	dw	ARM_instruction_tane-instruction_handler
	db	'tans',0xe0
	dw	ARM_instruction_tans-instruction_handler
	db	'teqp',0xe0
	dw	ARM_instruction_teqp-instruction_handler
	db	'tmcr',0xe0
	dw	ARM_instruction_tmcr-instruction_handler
	db	'tmia',0xe0
	dw	ARM_instruction_tmia-instruction_handler
	db	'tmrc',0xe0
	dw	ARM_instruction_tmrc-instruction_handler
	db	'tstp',0xe0
	dw	ARM_instruction_tstp-instruction_handler
	db	'uasx',0xe0
	dw	ARM_instruction_uasx-instruction_handler
	db	'ubfx',0xe0
	dw	ARM_instruction_ubfx-instruction_handler
	db	'udiv',0xe0
	dw	ARM_instruction_udiv-instruction_handler
	db	'urdd',0xe0
	dw	ARM_instruction_urdd-instruction_handler
	db	'urde',0xe0
	dw	ARM_instruction_urde-instruction_handler
	db	'urds',0xe0
	dw	ARM_instruction_urds-instruction_handler
	db	'usat',0xe0
	dw	ARM_instruction_usat-instruction_handler
	db	'usax',0xe0
	dw	ARM_instruction_usax-instruction_handler
	db	'uxtb',0xe0
	dw	ARM_instruction_uxtb-instruction_handler
	db	'uxth',0xe0
	dw	ARM_instruction_uxth-instruction_handler
	db	'vand',0xe0
	dw	ARM_instruction_vand-instruction_handler
	db	'vbic',0xe0
	dw	ARM_instruction_vbic-instruction_handler
	db	'vbif',0xe0
	dw	ARM_instruction_vbif-instruction_handler
	db	'vbit',0xe0
	dw	ARM_instruction_vbit-instruction_handler
	db	'vbsl',0xe0
	dw	ARM_instruction_vbsl-instruction_handler
	db	'veor',0xe0
	dw	ARM_instruction_veor-instruction_handler
	db	'vldm',0xe0
	dw	ARM_instruction_vldm-instruction_handler
	db	'vldr',0xe0
	dw	ARM_instruction_vldr-instruction_handler
	db	'vmov',0xe0
	dw	ARM_instruction_vmov-instruction_handler
	db	'vmrs',0xe0
	dw	ARM_instruction_vmrs-instruction_handler
	db	'vmsr',0xe0
	dw	ARM_instruction_vmsr-instruction_handler
	db	'vmvn',0xe0
	dw	ARM_instruction_vmvn-instruction_handler
	db	'vorn',0xe0
	dw	ARM_instruction_vorn-instruction_handler
	db	'vorr',0xe0
	dw	ARM_instruction_vorr-instruction_handler
	db	'vpop',0xe0
	dw	ARM_instruction_vpop-instruction_handler
	db	'vstm',0xe0
	dw	ARM_instruction_vstm-instruction_handler
	db	'vstr',0xe0
	dw	ARM_instruction_vstr-instruction_handler
	db	'vswp',0xe0
	dw	ARM_instruction_vswp-instruction_handler
	db	'wand',0xe0
	dw	ARM_instruction_wand-instruction_handler
	db	'wmov',0xe0
	dw	ARM_instruction_wmov-instruction_handler
	db	'wxor',0xe0
	dw	ARM_instruction_wxor-instruction_handler
	db	0
instructions_5:
	db	'absdm',0xe0
	dw	ARM_instruction_absdm-instruction_handler
	db	'absdp',0xe0
	dw	ARM_instruction_absdp-instruction_handler
	db	'absdz',0xe0
	dw	ARM_instruction_absdz-instruction_handler
	db	'absem',0xe0
	dw	ARM_instruction_absem-instruction_handler
	db	'absep',0xe0
	dw	ARM_instruction_absep-instruction_handler
	db	'absez',0xe0
	dw	ARM_instruction_absez-instruction_handler
	db	'abssm',0xe0
	dw	ARM_instruction_abssm-instruction_handler
	db	'abssp',0xe0
	dw	ARM_instruction_abssp-instruction_handler
	db	'abssz',0xe0
	dw	ARM_instruction_abssz-instruction_handler
	db	'acsdm',0xe0
	dw	ARM_instruction_acsdm-instruction_handler
	db	'acsdp',0xe0
	dw	ARM_instruction_acsdp-instruction_handler
	db	'acsdz',0xe0
	dw	ARM_instruction_acsdz-instruction_handler
	db	'acsem',0xe0
	dw	ARM_instruction_acsem-instruction_handler
	db	'acsep',0xe0
	dw	ARM_instruction_acsep-instruction_handler
	db	'acsez',0xe0
	dw	ARM_instruction_acsez-instruction_handler
	db	'acssm',0xe0
	dw	ARM_instruction_acssm-instruction_handler
	db	'acssp',0xe0
	dw	ARM_instruction_acssp-instruction_handler
	db	'acssz',0xe0
	dw	ARM_instruction_acssz-instruction_handler
	db	'adc.n',0xe4
	dw	ARM_instruction_adc-instruction_handler
	db	'adc.w',0xe2
	dw	ARM_instruction_adc-instruction_handler
	db	'adc~~',0x00
	dw	ARM_instruction_adc-instruction_handler
	db	'add.n',0xe4
	dw	ARM_instruction_add-instruction_handler
	db	'add.w',0xe2
	dw	ARM_instruction_add-instruction_handler
	db	'add~~',0x00
	dw	ARM_instruction_add-instruction_handler
	db	'adfdm',0xe0
	dw	ARM_instruction_adfdm-instruction_handler
	db	'adfdp',0xe0
	dw	ARM_instruction_adfdp-instruction_handler
	db	'adfdz',0xe0
	dw	ARM_instruction_adfdz-instruction_handler
	db	'adfem',0xe0
	dw	ARM_instruction_adfem-instruction_handler
	db	'adfep',0xe0
	dw	ARM_instruction_adfep-instruction_handler
	db	'adfez',0xe0
	dw	ARM_instruction_adfez-instruction_handler
	db	'adfsm',0xe0
	dw	ARM_instruction_adfsm-instruction_handler
	db	'adfsp',0xe0
	dw	ARM_instruction_adfsp-instruction_handler
	db	'adfsz',0xe0
	dw	ARM_instruction_adfsz-instruction_handler
	db	'adr.n',0xe4
	dw	ARM_instruction_adr-instruction_handler
	db	'adr.w',0xe2
	dw	ARM_instruction_adr-instruction_handler
	db	'adr~~',0x00
	dw	ARM_instruction_adr-instruction_handler
	db	'align',0x00
	dw	align_directive-instruction_handler
	db	'and.n',0xe4
	dw	ARM_instruction_and-instruction_handler
	db	'and.w',0xe2
	dw	ARM_instruction_and-instruction_handler
	db	'and~~',0x00
	dw	ARM_instruction_and-instruction_handler
	db	'asndm',0xe0
	dw	ARM_instruction_asndm-instruction_handler
	db	'asndp',0xe0
	dw	ARM_instruction_asndp-instruction_handler
	db	'asndz',0xe0
	dw	ARM_instruction_asndz-instruction_handler
	db	'asnem',0xe0
	dw	ARM_instruction_asnem-instruction_handler
	db	'asnep',0xe0
	dw	ARM_instruction_asnep-instruction_handler
	db	'asnez',0xe0
	dw	ARM_instruction_asnez-instruction_handler
	db	'asnsm',0xe0
	dw	ARM_instruction_asnsm-instruction_handler
	db	'asnsp',0xe0
	dw	ARM_instruction_asnsp-instruction_handler
	db	'asnsz',0xe0
	dw	ARM_instruction_asnsz-instruction_handler
	db	'asr.n',0xe4
	dw	ARM_instruction_asr-instruction_handler
	db	'asr.w',0xe2
	dw	ARM_instruction_asr-instruction_handler
	db	'asr~~',0x00
	dw	ARM_instruction_asr-instruction_handler
	db	'atndm',0xe0
	dw	ARM_instruction_atndm-instruction_handler
	db	'atndp',0xe0
	dw	ARM_instruction_atndp-instruction_handler
	db	'atndz',0xe0
	dw	ARM_instruction_atndz-instruction_handler
	db	'atnem',0xe0
	dw	ARM_instruction_atnem-instruction_handler
	db	'atnep',0xe0
	dw	ARM_instruction_atnep-instruction_handler
	db	'atnez',0xe0
	dw	ARM_instruction_atnez-instruction_handler
	db	'atnsm',0xe0
	dw	ARM_instruction_atnsm-instruction_handler
	db	'atnsp',0xe0
	dw	ARM_instruction_atnsp-instruction_handler
	db	'atnsz',0xe0
	dw	ARM_instruction_atnsz-instruction_handler
	db	'bfc~~',0x00
	dw	ARM_instruction_bfc-instruction_handler
	db	'bfi~~',0x00
	dw	ARM_instruction_bfi-instruction_handler
	db	'bic.n',0xe4
	dw	ARM_instruction_bic-instruction_handler
	db	'bic.w',0xe2
	dw	ARM_instruction_bic-instruction_handler
	db	'bic~~',0x00
	dw	ARM_instruction_bic-instruction_handler
	db	'blx.n',0xe4
	dw	ARM_instruction_blx-instruction_handler
	db	'blx.w',0xe2
	dw	ARM_instruction_blx-instruction_handler
	db	'blx~~',0x00
	dw	ARM_instruction_blx-instruction_handler
	db	'break',0x00
	dw	break_directive-instruction_handler
	db	'bxj~~',0x00
	dw	ARM_instruction_bxj-instruction_handler
	db	'b~~.n',0x04
	dw	ARM_instruction_b-instruction_handler
	db	'b~~.w',0x02
	dw	ARM_instruction_b-instruction_handler
	db	'cbz.n',0xf4
	dw	ARM_instruction_cbz-instruction_handler
	db	'cbz.w',0xf2
	dw	ARM_instruction_cbz-instruction_handler
	db	'cdp~~',0x00
	dw	ARM_instruction_cdp-instruction_handler
	db	'clrex',0xe0
	dw	ARM_instruction_clrex-instruction_handler
	db	'clz~~',0x00
	dw	ARM_instruction_clz-instruction_handler
	db	'cmf~~',0x00
	dw	ARM_instruction_cmf-instruction_handler
	db	'cmn.n',0xe4
	dw	ARM_instruction_cmn-instruction_handler
	db	'cmn.w',0xe2
	dw	ARM_instruction_cmn-instruction_handler
	db	'cmn~~',0x00
	dw	ARM_instruction_cmn-instruction_handler
	db	'cmp.n',0xe4
	dw	ARM_instruction_cmp-instruction_handler
	db	'cmp.w',0xe2
	dw	ARM_instruction_cmp-instruction_handler
	db	'cmp~~',0x00
	dw	ARM_instruction_cmp-instruction_handler
	db	'cnf~~',0x00
	dw	ARM_instruction_cnf-instruction_handler
	db	'cosdm',0xe0
	dw	ARM_instruction_cosdm-instruction_handler
	db	'cosdp',0xe0
	dw	ARM_instruction_cosdp-instruction_handler
	db	'cosdz',0xe0
	dw	ARM_instruction_cosdz-instruction_handler
	db	'cosem',0xe0
	dw	ARM_instruction_cosem-instruction_handler
	db	'cosep',0xe0
	dw	ARM_instruction_cosep-instruction_handler
	db	'cosez',0xe0
	dw	ARM_instruction_cosez-instruction_handler
	db	'cossm',0xe0
	dw	ARM_instruction_cossm-instruction_handler
	db	'cossp',0xe0
	dw	ARM_instruction_cossp-instruction_handler
	db	'cossz',0xe0
	dw	ARM_instruction_cossz-instruction_handler
	db	'cps.n',0xf4
	dw	ARM_instruction_cps-instruction_handler
	db	'cps.w',0xf2
	dw	ARM_instruction_cps-instruction_handler
	db	'cpsid',0xf0
	dw	ARM_instruction_cpsid-instruction_handler
	db	'cpsie',0xf0
	dw	ARM_instruction_cpsie-instruction_handler
	db	'cpy.n',0xe4
	dw	ARM_instruction_cpy-instruction_handler
	db	'cpy.w',0xe2
	dw	ARM_instruction_cpy-instruction_handler
	db	'cpy~~',0x00
	dw	ARM_instruction_cpy-instruction_handler
	db	'crc32',0xf0
	dw	ARM_instruction_crc32-instruction_handler
	db	'dbg~~',0x00
	dw	ARM_instruction_dbg-instruction_handler
	db	'dvfdm',0xe0
	dw	ARM_instruction_dvfdm-instruction_handler
	db	'dvfdp',0xe0
	dw	ARM_instruction_dvfdp-instruction_handler
	db	'dvfdz',0xe0
	dw	ARM_instruction_dvfdz-instruction_handler
	db	'dvfem',0xe0
	dw	ARM_instruction_dvfem-instruction_handler
	db	'dvfep',0xe0
	dw	ARM_instruction_dvfep-instruction_handler
	db	'dvfez',0xe0
	dw	ARM_instruction_dvfez-instruction_handler
	db	'dvfsm',0xe0
	dw	ARM_instruction_dvfsm-instruction_handler
	db	'dvfsp',0xe0
	dw	ARM_instruction_dvfsp-instruction_handler
	db	'dvfsz',0xe0
	dw	ARM_instruction_dvfsz-instruction_handler
	db	'entry',0x00
	dw	entry_directive-instruction_handler
	db	'eor.n',0xe4
	dw	ARM_instruction_eor-instruction_handler
	db	'eor.w',0xe2
	dw	ARM_instruction_eor-instruction_handler
	db	'eor~~',0x00
	dw	ARM_instruction_eor-instruction_handler
	db	'expdm',0xe0
	dw	ARM_instruction_expdm-instruction_handler
	db	'expdp',0xe0
	dw	ARM_instruction_expdp-instruction_handler
	db	'expdz',0xe0
	dw	ARM_instruction_expdz-instruction_handler
	db	'expem',0xe0
	dw	ARM_instruction_expem-instruction_handler
	db	'expep',0xe0
	dw	ARM_instruction_expep-instruction_handler
	db	'expez',0xe0
	dw	ARM_instruction_expez-instruction_handler
	db	'expsm',0xe0
	dw	ARM_instruction_expsm-instruction_handler
	db	'expsp',0xe0
	dw	ARM_instruction_expsp-instruction_handler
	db	'expsz',0xe0
	dw	ARM_instruction_expsz-instruction_handler
	db	'extrn',0x00
	dw	extrn_directive-instruction_handler
	db	'fabsd',0xe0
	dw	ARM_instruction_fabsd-instruction_handler
	db	'fabss',0xe0
	dw	ARM_instruction_fabss-instruction_handler
	db	'faddd',0xe0
	dw	ARM_instruction_faddd-instruction_handler
	db	'fadds',0xe0
	dw	ARM_instruction_fadds-instruction_handler
	db	'fcmpd',0xe0
	dw	ARM_instruction_fcmpd-instruction_handler
	db	'fcmps',0xe0
	dw	ARM_instruction_fcmps-instruction_handler
	db	'fcpyd',0xe0
	dw	ARM_instruction_fcpyd-instruction_handler
	db	'fcpys',0xe0
	dw	ARM_instruction_fcpys-instruction_handler
	db	'fdivd',0xe0
	dw	ARM_instruction_fdivd-instruction_handler
	db	'fdivs',0xe0
	dw	ARM_instruction_fdivs-instruction_handler
	db	'fdvdm',0xe0
	dw	ARM_instruction_fdvdm-instruction_handler
	db	'fdvdp',0xe0
	dw	ARM_instruction_fdvdp-instruction_handler
	db	'fdvdz',0xe0
	dw	ARM_instruction_fdvdz-instruction_handler
	db	'fdvem',0xe0
	dw	ARM_instruction_fdvem-instruction_handler
	db	'fdvep',0xe0
	dw	ARM_instruction_fdvep-instruction_handler
	db	'fdvez',0xe0
	dw	ARM_instruction_fdvez-instruction_handler
	db	'fdvsm',0xe0
	dw	ARM_instruction_fdvsm-instruction_handler
	db	'fdvsp',0xe0
	dw	ARM_instruction_fdvsp-instruction_handler
	db	'fdvsz',0xe0
	dw	ARM_instruction_fdvsz-instruction_handler
	db	'fix~~',0x00
	dw	ARM_instruction_fix-instruction_handler
	db	'fldmd',0xe0
	dw	ARM_instruction_fldmd-instruction_handler
	db	'fldms',0xe0
	dw	ARM_instruction_fldms-instruction_handler
	db	'fldmx',0xe0
	dw	ARM_instruction_fldmx-instruction_handler
	db	'fltdm',0xe0
	dw	ARM_instruction_fltdm-instruction_handler
	db	'fltdp',0xe0
	dw	ARM_instruction_fltdp-instruction_handler
	db	'fltdz',0xe0
	dw	ARM_instruction_fltdz-instruction_handler
	db	'fltem',0xe0
	dw	ARM_instruction_fltem-instruction_handler
	db	'fltep',0xe0
	dw	ARM_instruction_fltep-instruction_handler
	db	'fltez',0xe0
	dw	ARM_instruction_fltez-instruction_handler
	db	'fltsm',0xe0
	dw	ARM_instruction_fltsm-instruction_handler
	db	'fltsp',0xe0
	dw	ARM_instruction_fltsp-instruction_handler
	db	'fltsz',0xe0
	dw	ARM_instruction_fltsz-instruction_handler
	db	'fmacd',0xe0
	dw	ARM_instruction_fmacd-instruction_handler
	db	'fmacs',0xe0
	dw	ARM_instruction_fmacs-instruction_handler
	db	'fmdhr',0xe0
	dw	ARM_instruction_fmdhr-instruction_handler
	db	'fmdlr',0xe0
	dw	ARM_instruction_fmdlr-instruction_handler
	db	'fmdrr',0xe0
	dw	ARM_instruction_fmdrr-instruction_handler
	db	'fmldm',0xe0
	dw	ARM_instruction_fmldm-instruction_handler
	db	'fmldp',0xe0
	dw	ARM_instruction_fmldp-instruction_handler
	db	'fmldz',0xe0
	dw	ARM_instruction_fmldz-instruction_handler
	db	'fmlem',0xe0
	dw	ARM_instruction_fmlem-instruction_handler
	db	'fmlep',0xe0
	dw	ARM_instruction_fmlep-instruction_handler
	db	'fmlez',0xe0
	dw	ARM_instruction_fmlez-instruction_handler
	db	'fmlsm',0xe0
	dw	ARM_instruction_fmlsm-instruction_handler
	db	'fmlsp',0xe0
	dw	ARM_instruction_fmlsp-instruction_handler
	db	'fmlsz',0xe0
	dw	ARM_instruction_fmlsz-instruction_handler
	db	'fmrdh',0xe0
	dw	ARM_instruction_fmrdh-instruction_handler
	db	'fmrdl',0xe0
	dw	ARM_instruction_fmrdl-instruction_handler
	db	'fmrrd',0xe0
	dw	ARM_instruction_fmrrd-instruction_handler
	db	'fmrrs',0xe0
	dw	ARM_instruction_fmrrs-instruction_handler
	db	'fmscd',0xe0
	dw	ARM_instruction_fmscd-instruction_handler
	db	'fmscs',0xe0
	dw	ARM_instruction_fmscs-instruction_handler
	db	'fmsrr',0xe0
	dw	ARM_instruction_fmsrr-instruction_handler
	db	'fmuld',0xe0
	dw	ARM_instruction_fmuld-instruction_handler
	db	'fmuls',0xe0
	dw	ARM_instruction_fmuls-instruction_handler
	db	'fnegd',0xe0
	dw	ARM_instruction_fnegd-instruction_handler
	db	'fnegs',0xe0
	dw	ARM_instruction_fnegs-instruction_handler
	db	'frddm',0xe0
	dw	ARM_instruction_frddm-instruction_handler
	db	'frddp',0xe0
	dw	ARM_instruction_frddp-instruction_handler
	db	'frddz',0xe0
	dw	ARM_instruction_frddz-instruction_handler
	db	'frdem',0xe0
	dw	ARM_instruction_frdem-instruction_handler
	db	'frdep',0xe0
	dw	ARM_instruction_frdep-instruction_handler
	db	'frdez',0xe0
	dw	ARM_instruction_frdez-instruction_handler
	db	'frdsm',0xe0
	dw	ARM_instruction_frdsm-instruction_handler
	db	'frdsp',0xe0
	dw	ARM_instruction_frdsp-instruction_handler
	db	'frdsz',0xe0
	dw	ARM_instruction_frdsz-instruction_handler
	db	'fstmd',0xe0
	dw	ARM_instruction_fstmd-instruction_handler
	db	'fstms',0xe0
	dw	ARM_instruction_fstms-instruction_handler
	db	'fstmx',0xe0
	dw	ARM_instruction_fstmx-instruction_handler
	db	'fsubd',0xe0
	dw	ARM_instruction_fsubd-instruction_handler
	db	'fsubs',0xe0
	dw	ARM_instruction_fsubs-instruction_handler
	db	'hbl~~',0x00
	dw	ARM_instruction_hbl-instruction_handler
	db	'hbp~~',0x00
	dw	ARM_instruction_hbp-instruction_handler
	db	'iteee',0xf0
	dw	ARM_instruction_iteee-instruction_handler
	db	'iteet',0xf0
	dw	ARM_instruction_iteet-instruction_handler
	db	'itete',0xf0
	dw	ARM_instruction_itete-instruction_handler
	db	'itett',0xf0
	dw	ARM_instruction_itett-instruction_handler
	db	'ittee',0xf0
	dw	ARM_instruction_ittee-instruction_handler
	db	'ittet',0xf0
	dw	ARM_instruction_ittet-instruction_handler
	db	'ittte',0xf0
	dw	ARM_instruction_ittte-instruction_handler
	db	'itttt',0xf0
	dw	ARM_instruction_itttt-instruction_handler
	db	'label',0x00
	dw	label_directive-instruction_handler
	db	'ldc2l',0xe0
	dw	ARM_instruction_ldc2l-instruction_handler
	db	'ldc~~',0x00
	dw	ARM_instruction_ldc-instruction_handler
	db	'ldm.n',0xe4
	dw	ARM_instruction_ldm-instruction_handler
	db	'ldm.w',0xe2
	dw	ARM_instruction_ldm-instruction_handler
	db	'ldmda',0xe0
	dw	ARM_instruction_ldmda-instruction_handler
	db	'ldmdb',0xe0
	dw	ARM_instruction_ldmdb-instruction_handler
	db	'ldmea',0xe0
	dw	ARM_instruction_ldmea-instruction_handler
	db	'ldmed',0xe0
	dw	ARM_instruction_ldmed-instruction_handler
	db	'ldmfa',0xe0
	dw	ARM_instruction_ldmfa-instruction_handler
	db	'ldmfd',0xe0
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldmia',0xe0
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldmib',0xe0
	dw	ARM_instruction_ldmib-instruction_handler
	db	'ldm~~',0x00
	dw	ARM_instruction_ldm-instruction_handler
	db	'ldr.n',0xe4
	dw	ARM_instruction_ldr-instruction_handler
	db	'ldr.w',0xe2
	dw	ARM_instruction_ldr-instruction_handler
	db	'ldrbt',0xe0
	dw	ARM_instruction_ldrbt-instruction_handler
	db	'ldrex',0xe0
	dw	ARM_instruction_ldrex-instruction_handler
	db	'ldrht',0xe0
	dw	ARM_instruction_ldrht-instruction_handler
	db	'ldrsb',0xe0
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldrsh',0xe0
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldr~~',0x00
	dw	ARM_instruction_ldr-instruction_handler
	db	'lfmea',0xe0
	dw	ARM_instruction_lfmea-instruction_handler
	db	'lfmfd',0xe0
	dw	ARM_instruction_lfmfd-instruction_handler
	db	'lfm~~',0x00
	dw	ARM_instruction_lfm-instruction_handler
	db	'lgndm',0xe0
	dw	ARM_instruction_lgndm-instruction_handler
	db	'lgndp',0xe0
	dw	ARM_instruction_lgndp-instruction_handler
	db	'lgndz',0xe0
	dw	ARM_instruction_lgndz-instruction_handler
	db	'lgnem',0xe0
	dw	ARM_instruction_lgnem-instruction_handler
	db	'lgnep',0xe0
	dw	ARM_instruction_lgnep-instruction_handler
	db	'lgnez',0xe0
	dw	ARM_instruction_lgnez-instruction_handler
	db	'lgnsm',0xe0
	dw	ARM_instruction_lgnsm-instruction_handler
	db	'lgnsp',0xe0
	dw	ARM_instruction_lgnsp-instruction_handler
	db	'lgnsz',0xe0
	dw	ARM_instruction_lgnsz-instruction_handler
	db	'logdm',0xe0
	dw	ARM_instruction_logdm-instruction_handler
	db	'logdp',0xe0
	dw	ARM_instruction_logdp-instruction_handler
	db	'logdz',0xe0
	dw	ARM_instruction_logdz-instruction_handler
	db	'logem',0xe0
	dw	ARM_instruction_logem-instruction_handler
	db	'logep',0xe0
	dw	ARM_instruction_logep-instruction_handler
	db	'logez',0xe0
	dw	ARM_instruction_logez-instruction_handler
	db	'logsm',0xe0
	dw	ARM_instruction_logsm-instruction_handler
	db	'logsp',0xe0
	dw	ARM_instruction_logsp-instruction_handler
	db	'logsz',0xe0
	dw	ARM_instruction_logsz-instruction_handler
	db	'lsl.n',0xe4
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsl.w',0xe2
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsl~~',0x00
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsr.n',0xe4
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsr.w',0xe2
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsr~~',0x00
	dw	ARM_instruction_lsr-instruction_handler
	db	'mar~~',0x00
	dw	ARM_instruction_mar-instruction_handler
	db	'mcrr2',0xe0
	dw	ARM_instruction_mcrr2-instruction_handler
	db	'mcr~~',0x00
	dw	ARM_instruction_mcr-instruction_handler
	db	'miabb',0xe0
	dw	ARM_instruction_miabb-instruction_handler
	db	'miabt',0xe0
	dw	ARM_instruction_miabt-instruction_handler
	db	'miaph',0xe0
	dw	ARM_instruction_miaph-instruction_handler
	db	'miatb',0xe0
	dw	ARM_instruction_miatb-instruction_handler
	db	'miatt',0xe0
	dw	ARM_instruction_miatt-instruction_handler
	db	'mia~~',0x00
	dw	ARM_instruction_mia-instruction_handler
	db	'mla~~',0x00
	dw	ARM_instruction_mla-instruction_handler
	db	'mls~~',0x00
	dw	ARM_instruction_mls-instruction_handler
	db	'mnfdm',0xe0
	dw	ARM_instruction_mnfdm-instruction_handler
	db	'mnfdp',0xe0
	dw	ARM_instruction_mnfdp-instruction_handler
	db	'mnfdz',0xe0
	dw	ARM_instruction_mnfdz-instruction_handler
	db	'mnfem',0xe0
	dw	ARM_instruction_mnfem-instruction_handler
	db	'mnfep',0xe0
	dw	ARM_instruction_mnfep-instruction_handler
	db	'mnfez',0xe0
	dw	ARM_instruction_mnfez-instruction_handler
	db	'mnfsm',0xe0
	dw	ARM_instruction_mnfsm-instruction_handler
	db	'mnfsp',0xe0
	dw	ARM_instruction_mnfsp-instruction_handler
	db	'mnfsz',0xe0
	dw	ARM_instruction_mnfsz-instruction_handler
	db	'mov.n',0xe4
	dw	ARM_instruction_mov-instruction_handler
	db	'mov.w',0xe2
	dw	ARM_instruction_mov-instruction_handler
	db	'mov~~',0x00
	dw	ARM_instruction_mov-instruction_handler
	db	'mra~~',0x00
	dw	ARM_instruction_mra-instruction_handler
	db	'mrc~~',0x00
	dw	ARM_instruction_mrc-instruction_handler
	db	'mrrc2',0xe0
	dw	ARM_instruction_mrrc2-instruction_handler
	db	'mrs~~',0x00
	dw	ARM_instruction_mrs-instruction_handler
	db	'msr~~',0x00
	dw	ARM_instruction_msr-instruction_handler
	db	'mufdm',0xe0
	dw	ARM_instruction_mufdm-instruction_handler
	db	'mufdp',0xe0
	dw	ARM_instruction_mufdp-instruction_handler
	db	'mufdz',0xe0
	dw	ARM_instruction_mufdz-instruction_handler
	db	'mufem',0xe0
	dw	ARM_instruction_mufem-instruction_handler
	db	'mufep',0xe0
	dw	ARM_instruction_mufep-instruction_handler
	db	'mufez',0xe0
	dw	ARM_instruction_mufez-instruction_handler
	db	'mufsm',0xe0
	dw	ARM_instruction_mufsm-instruction_handler
	db	'mufsp',0xe0
	dw	ARM_instruction_mufsp-instruction_handler
	db	'mufsz',0xe0
	dw	ARM_instruction_mufsz-instruction_handler
	db	'mul.n',0xe4
	dw	ARM_instruction_mul-instruction_handler
	db	'mul.w',0xe2
	dw	ARM_instruction_mul-instruction_handler
	db	'mul~~',0x00
	dw	ARM_instruction_mul-instruction_handler
	db	'mvfdm',0xe0
	dw	ARM_instruction_mvfdm-instruction_handler
	db	'mvfdp',0xe0
	dw	ARM_instruction_mvfdp-instruction_handler
	db	'mvfdz',0xe0
	dw	ARM_instruction_mvfdz-instruction_handler
	db	'mvfem',0xe0
	dw	ARM_instruction_mvfem-instruction_handler
	db	'mvfep',0xe0
	dw	ARM_instruction_mvfep-instruction_handler
	db	'mvfez',0xe0
	dw	ARM_instruction_mvfez-instruction_handler
	db	'mvfsm',0xe0
	dw	ARM_instruction_mvfsm-instruction_handler
	db	'mvfsp',0xe0
	dw	ARM_instruction_mvfsp-instruction_handler
	db	'mvfsz',0xe0
	dw	ARM_instruction_mvfsz-instruction_handler
	db	'mvn.n',0xe4
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvn.w',0xe2
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvn~~',0x00
	dw	ARM_instruction_mvn-instruction_handler
	db	'neg.n',0xe4
	dw	ARM_instruction_neg-instruction_handler
	db	'neg.w',0xe2
	dw	ARM_instruction_neg-instruction_handler
	db	'neg~~',0x00
	dw	ARM_instruction_neg-instruction_handler
	db	'nop.n',0xe4
	dw	ARM_instruction_nop-instruction_handler
	db	'nop.w',0xe2
	dw	ARM_instruction_nop-instruction_handler
	db	'nop~~',0x00
	dw	ARM_instruction_nop-instruction_handler
	db	'nrmdm',0xe0
	dw	ARM_instruction_nrmdm-instruction_handler
	db	'nrmdp',0xe0
	dw	ARM_instruction_nrmdp-instruction_handler
	db	'nrmdz',0xe0
	dw	ARM_instruction_nrmdz-instruction_handler
	db	'nrmem',0xe0
	dw	ARM_instruction_nrmem-instruction_handler
	db	'nrmep',0xe0
	dw	ARM_instruction_nrmep-instruction_handler
	db	'nrmez',0xe0
	dw	ARM_instruction_nrmez-instruction_handler
	db	'nrmsm',0xe0
	dw	ARM_instruction_nrmsm-instruction_handler
	db	'nrmsp',0xe0
	dw	ARM_instruction_nrmsp-instruction_handler
	db	'nrmsz',0xe0
	dw	ARM_instruction_nrmsz-instruction_handler
	db	'orn~~',0x00
	dw	ARM_instruction_orn-instruction_handler
	db	'orr.n',0xe4
	dw	ARM_instruction_orr-instruction_handler
	db	'orr.w',0xe2
	dw	ARM_instruction_orr-instruction_handler
	db	'orr~~',0x00
	dw	ARM_instruction_orr-instruction_handler
	db	'pkhbt',0xe0
	dw	ARM_instruction_pkhbt-instruction_handler
	db	'pkhtb',0xe0
	dw	ARM_instruction_pkhtb-instruction_handler
	db	'pld~~',0x00
	dw	ARM_instruction_pld-instruction_handler
	db	'pli~~',0x00
	dw	ARM_instruction_pli-instruction_handler
	db	'poldm',0xe0
	dw	ARM_instruction_poldm-instruction_handler
	db	'poldp',0xe0
	dw	ARM_instruction_poldp-instruction_handler
	db	'poldz',0xe0
	dw	ARM_instruction_poldz-instruction_handler
	db	'polem',0xe0
	dw	ARM_instruction_polem-instruction_handler
	db	'polep',0xe0
	dw	ARM_instruction_polep-instruction_handler
	db	'polez',0xe0
	dw	ARM_instruction_polez-instruction_handler
	db	'polsm',0xe0
	dw	ARM_instruction_polsm-instruction_handler
	db	'polsp',0xe0
	dw	ARM_instruction_polsp-instruction_handler
	db	'polsz',0xe0
	dw	ARM_instruction_polsz-instruction_handler
	db	'pop.n',0xe4
	dw	ARM_instruction_pop-instruction_handler
	db	'pop.w',0xe2
	dw	ARM_instruction_pop-instruction_handler
	db	'pop~~',0x00
	dw	ARM_instruction_pop-instruction_handler
	db	'powdm',0xe0
	dw	ARM_instruction_powdm-instruction_handler
	db	'powdp',0xe0
	dw	ARM_instruction_powdp-instruction_handler
	db	'powdz',0xe0
	dw	ARM_instruction_powdz-instruction_handler
	db	'powem',0xe0
	dw	ARM_instruction_powem-instruction_handler
	db	'powep',0xe0
	dw	ARM_instruction_powep-instruction_handler
	db	'powez',0xe0
	dw	ARM_instruction_powez-instruction_handler
	db	'powsm',0xe0
	dw	ARM_instruction_powsm-instruction_handler
	db	'powsp',0xe0
	dw	ARM_instruction_powsp-instruction_handler
	db	'powsz',0xe0
	dw	ARM_instruction_powsz-instruction_handler
	db	'qadd8',0xe0
	dw	ARM_instruction_qadd8-instruction_handler
	db	'qdadd',0xe0
	dw	ARM_instruction_qdadd-instruction_handler
	db	'qdsub',0xe0
	dw	ARM_instruction_qdsub-instruction_handler
	db	'qsub8',0xe0
	dw	ARM_instruction_qsub8-instruction_handler
	db	'rdfdm',0xe0
	dw	ARM_instruction_rdfdm-instruction_handler
	db	'rdfdp',0xe0
	dw	ARM_instruction_rdfdp-instruction_handler
	db	'rdfdz',0xe0
	dw	ARM_instruction_rdfdz-instruction_handler
	db	'rdfem',0xe0
	dw	ARM_instruction_rdfem-instruction_handler
	db	'rdfep',0xe0
	dw	ARM_instruction_rdfep-instruction_handler
	db	'rdfez',0xe0
	dw	ARM_instruction_rdfez-instruction_handler
	db	'rdfsm',0xe0
	dw	ARM_instruction_rdfsm-instruction_handler
	db	'rdfsp',0xe0
	dw	ARM_instruction_rdfsp-instruction_handler
	db	'rdfsz',0xe0
	dw	ARM_instruction_rdfsz-instruction_handler
	db	'rev.n',0xe4
	dw	ARM_instruction_rev-instruction_handler
	db	'rev.w',0xe2
	dw	ARM_instruction_rev-instruction_handler
	db	'rev16',0xe0
	dw	ARM_instruction_rev16-instruction_handler
	db	'revsh',0xe0
	dw	ARM_instruction_revsh-instruction_handler
	db	'rev~~',0x00
	dw	ARM_instruction_rev-instruction_handler
	db	'rfc~~',0x00
	dw	ARM_instruction_rfc-instruction_handler
	db	'rfeda',0xf0
	dw	ARM_instruction_rfeda-instruction_handler
	db	'rfedb',0xf0
	dw	ARM_instruction_rfedb-instruction_handler
	db	'rfeea',0xf0
	dw	ARM_instruction_rfeea-instruction_handler
	db	'rfeed',0xf0
	dw	ARM_instruction_rfeed-instruction_handler
	db	'rfefa',0xf0
	dw	ARM_instruction_rfefa-instruction_handler
	db	'rfefd',0xf0
	dw	ARM_instruction_rfefd-instruction_handler
	db	'rfeia',0xf0
	dw	ARM_instruction_rfeia-instruction_handler
	db	'rfeib',0xf0
	dw	ARM_instruction_rfeib-instruction_handler
	db	'rfs~~',0x00
	dw	ARM_instruction_rfs-instruction_handler
	db	'rmfdm',0xe0
	dw	ARM_instruction_rmfdm-instruction_handler
	db	'rmfdp',0xe0
	dw	ARM_instruction_rmfdp-instruction_handler
	db	'rmfdz',0xe0
	dw	ARM_instruction_rmfdz-instruction_handler
	db	'rmfem',0xe0
	dw	ARM_instruction_rmfem-instruction_handler
	db	'rmfep',0xe0
	dw	ARM_instruction_rmfep-instruction_handler
	db	'rmfez',0xe0
	dw	ARM_instruction_rmfez-instruction_handler
	db	'rmfsm',0xe0
	dw	ARM_instruction_rmfsm-instruction_handler
	db	'rmfsp',0xe0
	dw	ARM_instruction_rmfsp-instruction_handler
	db	'rmfsz',0xe0
	dw	ARM_instruction_rmfsz-instruction_handler
	db	'rnddm',0xe0
	dw	ARM_instruction_rnddm-instruction_handler
	db	'rnddp',0xe0
	dw	ARM_instruction_rnddp-instruction_handler
	db	'rnddz',0xe0
	dw	ARM_instruction_rnddz-instruction_handler
	db	'rndem',0xe0
	dw	ARM_instruction_rndem-instruction_handler
	db	'rndep',0xe0
	dw	ARM_instruction_rndep-instruction_handler
	db	'rndez',0xe0
	dw	ARM_instruction_rndez-instruction_handler
	db	'rndsm',0xe0
	dw	ARM_instruction_rndsm-instruction_handler
	db	'rndsp',0xe0
	dw	ARM_instruction_rndsp-instruction_handler
	db	'rndsz',0xe0
	dw	ARM_instruction_rndsz-instruction_handler
	db	'ror.n',0xe4
	dw	ARM_instruction_ror-instruction_handler
	db	'ror.w',0xe2
	dw	ARM_instruction_ror-instruction_handler
	db	'ror~~',0x00
	dw	ARM_instruction_ror-instruction_handler
	db	'rpwdm',0xe0
	dw	ARM_instruction_rpwdm-instruction_handler
	db	'rpwdp',0xe0
	dw	ARM_instruction_rpwdp-instruction_handler
	db	'rpwdz',0xe0
	dw	ARM_instruction_rpwdz-instruction_handler
	db	'rpwem',0xe0
	dw	ARM_instruction_rpwem-instruction_handler
	db	'rpwep',0xe0
	dw	ARM_instruction_rpwep-instruction_handler
	db	'rpwez',0xe0
	dw	ARM_instruction_rpwez-instruction_handler
	db	'rpwsm',0xe0
	dw	ARM_instruction_rpwsm-instruction_handler
	db	'rpwsp',0xe0
	dw	ARM_instruction_rpwsp-instruction_handler
	db	'rpwsz',0xe0
	dw	ARM_instruction_rpwsz-instruction_handler
	db	'rrx~~',0x00
	dw	ARM_instruction_rrx-instruction_handler
	db	'rsb.n',0xe4
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsb.w',0xe2
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsb~~',0x00
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsc~~',0x00
	dw	ARM_instruction_rsc-instruction_handler
	db	'rsfdm',0xe0
	dw	ARM_instruction_rsfdm-instruction_handler
	db	'rsfdp',0xe0
	dw	ARM_instruction_rsfdp-instruction_handler
	db	'rsfdz',0xe0
	dw	ARM_instruction_rsfdz-instruction_handler
	db	'rsfem',0xe0
	dw	ARM_instruction_rsfem-instruction_handler
	db	'rsfep',0xe0
	dw	ARM_instruction_rsfep-instruction_handler
	db	'rsfez',0xe0
	dw	ARM_instruction_rsfez-instruction_handler
	db	'rsfsm',0xe0
	dw	ARM_instruction_rsfsm-instruction_handler
	db	'rsfsp',0xe0
	dw	ARM_instruction_rsfsp-instruction_handler
	db	'rsfsz',0xe0
	dw	ARM_instruction_rsfsz-instruction_handler
	db	'sadd8',0xe0
	dw	ARM_instruction_sadd8-instruction_handler
	db	'sbc.n',0xe4
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbc.w',0xe2
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbc~~',0x00
	dw	ARM_instruction_sbc-instruction_handler
	db	'sel~~',0x00
	dw	ARM_instruction_sel-instruction_handler
	db	'sev.n',0xe4
	dw	ARM_instruction_sev-instruction_handler
	db	'sev.w',0xe2
	dw	ARM_instruction_sev-instruction_handler
	db	'sev~~',0x00
	dw	ARM_instruction_sev-instruction_handler
	db	'sfmea',0xe0
	dw	ARM_instruction_sfmea-instruction_handler
	db	'sfmfd',0xe0
	dw	ARM_instruction_sfmfd-instruction_handler
	db	'sfm~~',0x00
	dw	ARM_instruction_sfm-instruction_handler
	db	'shasx',0xe0
	dw	ARM_instruction_shasx-instruction_handler
	db	'shsax',0xe0
	dw	ARM_instruction_shsax-instruction_handler
	db	'sindm',0xe0
	dw	ARM_instruction_sindm-instruction_handler
	db	'sindp',0xe0
	dw	ARM_instruction_sindp-instruction_handler
	db	'sindz',0xe0
	dw	ARM_instruction_sindz-instruction_handler
	db	'sinem',0xe0
	dw	ARM_instruction_sinem-instruction_handler
	db	'sinep',0xe0
	dw	ARM_instruction_sinep-instruction_handler
	db	'sinez',0xe0
	dw	ARM_instruction_sinez-instruction_handler
	db	'sinsm',0xe0
	dw	ARM_instruction_sinsm-instruction_handler
	db	'sinsp',0xe0
	dw	ARM_instruction_sinsp-instruction_handler
	db	'sinsz',0xe0
	dw	ARM_instruction_sinsz-instruction_handler
	db	'smc~~',0x00
	dw	ARM_instruction_smc-instruction_handler
	db	'smi~~',0x00
	dw	ARM_instruction_smi-instruction_handler
	db	'smlad',0xe0
	dw	ARM_instruction_smlad-instruction_handler
	db	'smlal',0xe0
	dw	ARM_instruction_smlal-instruction_handler
	db	'smlsd',0xe0
	dw	ARM_instruction_smlsd-instruction_handler
	db	'smmla',0xe0
	dw	ARM_instruction_smmla-instruction_handler
	db	'smmls',0xe0
	dw	ARM_instruction_smmls-instruction_handler
	db	'smmul',0xe0
	dw	ARM_instruction_smmul-instruction_handler
	db	'smuad',0xe0
	dw	ARM_instruction_smuad-instruction_handler
	db	'smull',0xe0
	dw	ARM_instruction_smull-instruction_handler
	db	'smusd',0xe0
	dw	ARM_instruction_smusd-instruction_handler
	db	'sqtdm',0xe0
	dw	ARM_instruction_sqtdm-instruction_handler
	db	'sqtdp',0xe0
	dw	ARM_instruction_sqtdp-instruction_handler
	db	'sqtdz',0xe0
	dw	ARM_instruction_sqtdz-instruction_handler
	db	'sqtem',0xe0
	dw	ARM_instruction_sqtem-instruction_handler
	db	'sqtep',0xe0
	dw	ARM_instruction_sqtep-instruction_handler
	db	'sqtez',0xe0
	dw	ARM_instruction_sqtez-instruction_handler
	db	'sqtsm',0xe0
	dw	ARM_instruction_sqtsm-instruction_handler
	db	'sqtsp',0xe0
	dw	ARM_instruction_sqtsp-instruction_handler
	db	'sqtsz',0xe0
	dw	ARM_instruction_sqtsz-instruction_handler
	db	'srsda',0xf0
	dw	ARM_instruction_srsda-instruction_handler
	db	'srsdb',0xf0
	dw	ARM_instruction_srsdb-instruction_handler
	db	'srsea',0xf0
	dw	ARM_instruction_srsea-instruction_handler
	db	'srsed',0xf0
	dw	ARM_instruction_srsed-instruction_handler
	db	'srsfa',0xf0
	dw	ARM_instruction_srsfa-instruction_handler
	db	'srsfd',0xf0
	dw	ARM_instruction_srsfd-instruction_handler
	db	'srsia',0xf0
	dw	ARM_instruction_srsia-instruction_handler
	db	'srsib',0xf0
	dw	ARM_instruction_srsib-instruction_handler
	db	'ssub8',0xe0
	dw	ARM_instruction_ssub8-instruction_handler
	db	'stack',0x00
	dw	stack_directive-instruction_handler
	db	'stc2l',0xe0
	dw	ARM_instruction_stc2l-instruction_handler
	db	'stc~~',0x00
	dw	ARM_instruction_stc-instruction_handler
	db	'stm.n',0xe4
	dw	ARM_instruction_stm-instruction_handler
	db	'stm.w',0xe2
	dw	ARM_instruction_stm-instruction_handler
	db	'stmda',0xe0
	dw	ARM_instruction_stmda-instruction_handler
	db	'stmdb',0xe0
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stmea',0xe0
	dw	ARM_instruction_stmea-instruction_handler
	db	'stmed',0xe0
	dw	ARM_instruction_stmed-instruction_handler
	db	'stmfa',0xe0
	dw	ARM_instruction_stmfa-instruction_handler
	db	'stmfd',0xe0
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stmia',0xe0
	dw	ARM_instruction_stmia-instruction_handler
	db	'stmib',0xe0
	dw	ARM_instruction_stmib-instruction_handler
	db	'stm~~',0x00
	dw	ARM_instruction_stm-instruction_handler
	db	'store',0x00
	dw	store_directive-instruction_handler
	db	'str.n',0xe4
	dw	ARM_instruction_str-instruction_handler
	db	'str.w',0xe2
	dw	ARM_instruction_str-instruction_handler
	db	'strbt',0xe0
	dw	ARM_instruction_strbt-instruction_handler
	db	'strex',0xe0
	dw	ARM_instruction_strex-instruction_handler
	db	'strht',0xe0
	dw	ARM_instruction_strht-instruction_handler
	db	'str~~',0x00
	dw	ARM_instruction_str-instruction_handler
	db	'sub.n',0xe4
	dw	ARM_instruction_sub-instruction_handler
	db	'sub.w',0xe2
	dw	ARM_instruction_sub-instruction_handler
	db	'sub~~',0x00
	dw	ARM_instruction_sub-instruction_handler
	db	'sufdm',0xe0
	dw	ARM_instruction_sufdm-instruction_handler
	db	'sufdp',0xe0
	dw	ARM_instruction_sufdp-instruction_handler
	db	'sufdz',0xe0
	dw	ARM_instruction_sufdz-instruction_handler
	db	'sufem',0xe0
	dw	ARM_instruction_sufem-instruction_handler
	db	'sufep',0xe0
	dw	ARM_instruction_sufep-instruction_handler
	db	'sufez',0xe0
	dw	ARM_instruction_sufez-instruction_handler
	db	'sufsm',0xe0
	dw	ARM_instruction_sufsm-instruction_handler
	db	'sufsp',0xe0
	dw	ARM_instruction_sufsp-instruction_handler
	db	'sufsz',0xe0
	dw	ARM_instruction_sufsz-instruction_handler
	db	'svc.n',0xe4
	dw	ARM_instruction_svc-instruction_handler
	db	'svc.w',0xe2
	dw	ARM_instruction_svc-instruction_handler
	db	'svc~~',0x00
	dw	ARM_instruction_svc-instruction_handler
	db	'swi.n',0xe4
	dw	ARM_instruction_swi-instruction_handler
	db	'swi.w',0xe2
	dw	ARM_instruction_swi-instruction_handler
	db	'swi~~',0x00
	dw	ARM_instruction_swi-instruction_handler
	db	'swp~~',0x00
	dw	ARM_instruction_swp-instruction_handler
	db	'sxtab',0xe0
	dw	ARM_instruction_sxtab-instruction_handler
	db	'sxtah',0xe0
	dw	ARM_instruction_sxtah-instruction_handler
	db	'tandm',0xe0
	dw	ARM_instruction_tandm-instruction_handler
	db	'tandp',0xe0
	dw	ARM_instruction_tandp-instruction_handler
	db	'tandz',0xe0
	dw	ARM_instruction_tandz-instruction_handler
	db	'tanem',0xe0
	dw	ARM_instruction_tanem-instruction_handler
	db	'tanep',0xe0
	dw	ARM_instruction_tanep-instruction_handler
	db	'tanez',0xe0
	dw	ARM_instruction_tanez-instruction_handler
	db	'tansm',0xe0
	dw	ARM_instruction_tansm-instruction_handler
	db	'tansp',0xe0
	dw	ARM_instruction_tansp-instruction_handler
	db	'tansz',0xe0
	dw	ARM_instruction_tansz-instruction_handler
	db	'tbb~~',0x00
	dw	ARM_instruction_tbb-instruction_handler
	db	'tbh~~',0x00
	dw	ARM_instruction_tbh-instruction_handler
	db	'teq~~',0x00
	dw	ARM_instruction_teq-instruction_handler
	db	'thumb',0x00
	dw	ARM_thumb_directive-instruction_handler
	db	'times',0x00
	dw	times_directive-instruction_handler
	db	'tmcrr',0xe0
	dw	ARM_instruction_tmcrr-instruction_handler
	db	'tmrrc',0xe0
	dw	ARM_instruction_tmrrc-instruction_handler
	db	'torcb',0xe0
	dw	ARM_instruction_torcb-instruction_handler
	db	'torch',0xe0
	dw	ARM_instruction_torch-instruction_handler
	db	'torcw',0xe0
	dw	ARM_instruction_torcw-instruction_handler
	db	'tst.n',0xe4
	dw	ARM_instruction_tst-instruction_handler
	db	'tst.w',0xe2
	dw	ARM_instruction_tst-instruction_handler
	db	'tst~~',0x00
	dw	ARM_instruction_tst-instruction_handler
	db	'uadd8',0xe0
	dw	ARM_instruction_uadd8-instruction_handler
	db	'uhasx',0xe0
	dw	ARM_instruction_uhasx-instruction_handler
	db	'uhsax',0xe0
	dw	ARM_instruction_uhsax-instruction_handler
	db	'umaal',0xe0
	dw	ARM_instruction_umaal-instruction_handler
	db	'umlal',0xe0
	dw	ARM_instruction_umlal-instruction_handler
	db	'umull',0xe0
	dw	ARM_instruction_umull-instruction_handler
	db	'und.n',0xe4
	dw	ARM_instruction_und-instruction_handler
	db	'und.w',0xe2
	dw	ARM_instruction_und-instruction_handler
	db	'und~~',0x00
	dw	ARM_instruction_und-instruction_handler
	db	'uqasx',0xe0
	dw	ARM_instruction_uqasx-instruction_handler
	db	'uqsax',0xe0
	dw	ARM_instruction_uqsax-instruction_handler
	db	'urddm',0xe0
	dw	ARM_instruction_urddm-instruction_handler
	db	'urddp',0xe0
	dw	ARM_instruction_urddp-instruction_handler
	db	'urddz',0xe0
	dw	ARM_instruction_urddz-instruction_handler
	db	'urdem',0xe0
	dw	ARM_instruction_urdem-instruction_handler
	db	'urdep',0xe0
	dw	ARM_instruction_urdep-instruction_handler
	db	'urdez',0xe0
	dw	ARM_instruction_urdez-instruction_handler
	db	'urdsm',0xe0
	dw	ARM_instruction_urdsm-instruction_handler
	db	'urdsp',0xe0
	dw	ARM_instruction_urdsp-instruction_handler
	db	'urdsz',0xe0
	dw	ARM_instruction_urdsz-instruction_handler
	db	'usad8',0xe0
	dw	ARM_instruction_usad8-instruction_handler
	db	'use16',0x00
	dw	ARM_code16_directive-instruction_handler
	db	'use32',0x00
	dw	ARM_code32_directive-instruction_handler
	db	'usub8',0xe0
	dw	ARM_instruction_usub8-instruction_handler
	db	'uxtab',0xe0
	dw	ARM_instruction_uxtab-instruction_handler
	db	'uxtah',0xe0
	dw	ARM_instruction_uxtah-instruction_handler
	db	'vpush',0xe0
	dw	ARM_instruction_vpush-instruction_handler
	db	'wabsb',0xe0
	dw	ARM_instruction_wabsb-instruction_handler
	db	'wabsh',0xe0
	dw	ARM_instruction_wabsh-instruction_handler
	db	'wabsw',0xe0
	dw	ARM_instruction_wabsw-instruction_handler
	db	'waccb',0xe0
	dw	ARM_instruction_waccb-instruction_handler
	db	'wacch',0xe0
	dw	ARM_instruction_wacch-instruction_handler
	db	'waccw',0xe0
	dw	ARM_instruction_waccw-instruction_handler
	db	'waddb',0xe0
	dw	ARM_instruction_waddb-instruction_handler
	db	'waddh',0xe0
	dw	ARM_instruction_waddh-instruction_handler
	db	'waddw',0xe0
	dw	ARM_instruction_waddw-instruction_handler
	db	'wandn',0xe0
	dw	ARM_instruction_wandn-instruction_handler
	db	'wavg4',0xe0
	dw	ARM_instruction_wavg4-instruction_handler
	db	'wfc~~',0x00
	dw	ARM_instruction_wfc-instruction_handler
	db	'wfe.n',0xe4
	dw	ARM_instruction_wfe-instruction_handler
	db	'wfe.w',0xe2
	dw	ARM_instruction_wfe-instruction_handler
	db	'wfe~~',0x00
	dw	ARM_instruction_wfe-instruction_handler
	db	'wfi.n',0xe4
	dw	ARM_instruction_wfi-instruction_handler
	db	'wfi.w',0xe2
	dw	ARM_instruction_wfi-instruction_handler
	db	'wfi~~',0x00
	dw	ARM_instruction_wfi-instruction_handler
	db	'wfs~~',0x00
	dw	ARM_instruction_wfs-instruction_handler
	db	'while',0x00
	dw	while_directive-instruction_handler
	db	'wldrb',0xe0
	dw	ARM_instruction_wldrb-instruction_handler
	db	'wldrd',0xe0
	dw	ARM_instruction_wldrd-instruction_handler
	db	'wldrh',0xe0
	dw	ARM_instruction_wldrh-instruction_handler
	db	'wldrw',0xe0
	dw	ARM_instruction_wldrw-instruction_handler
	db	'wmacs',0xe0
	dw	ARM_instruction_wmacs-instruction_handler
	db	'wmacu',0xe0
	dw	ARM_instruction_wmacu-instruction_handler
	db	'wor~~',0x00
	dw	ARM_instruction_wor-instruction_handler
	db	'wrord',0xe0
	dw	ARM_instruction_wrord-instruction_handler
	db	'wrorh',0xe0
	dw	ARM_instruction_wrorh-instruction_handler
	db	'wrorw',0xe0
	dw	ARM_instruction_wrorw-instruction_handler
	db	'wsadb',0xe0
	dw	ARM_instruction_wsadb-instruction_handler
	db	'wsadh',0xe0
	dw	ARM_instruction_wsadh-instruction_handler
	db	'wslld',0xe0
	dw	ARM_instruction_wslld-instruction_handler
	db	'wsllh',0xe0
	dw	ARM_instruction_wsllh-instruction_handler
	db	'wsllw',0xe0
	dw	ARM_instruction_wsllw-instruction_handler
	db	'wsrad',0xe0
	dw	ARM_instruction_wsrad-instruction_handler
	db	'wsrah',0xe0
	dw	ARM_instruction_wsrah-instruction_handler
	db	'wsraw',0xe0
	dw	ARM_instruction_wsraw-instruction_handler
	db	'wsrld',0xe0
	dw	ARM_instruction_wsrld-instruction_handler
	db	'wsrlh',0xe0
	dw	ARM_instruction_wsrlh-instruction_handler
	db	'wsrlw',0xe0
	dw	ARM_instruction_wsrlw-instruction_handler
	db	'wstrb',0xe0
	dw	ARM_instruction_wstrb-instruction_handler
	db	'wstrd',0xe0
	dw	ARM_instruction_wstrd-instruction_handler
	db	'wstrh',0xe0
	dw	ARM_instruction_wstrh-instruction_handler
	db	'wstrw',0xe0
	dw	ARM_instruction_wstrw-instruction_handler
	db	'wsubb',0xe0
	dw	ARM_instruction_wsubb-instruction_handler
	db	'wsubh',0xe0
	dw	ARM_instruction_wsubh-instruction_handler
	db	'wsubw',0xe0
	dw	ARM_instruction_wsubw-instruction_handler
	db	'wzero',0xe0
	dw	ARM_instruction_wzero-instruction_handler
	db	'yield',0xe0
	dw	ARM_instruction_yield-instruction_handler
	db	0
instructions_6:
	db	'abs~~d',0x00
	dw	ARM_instruction_absd-instruction_handler
	db	'abs~~e',0x00
	dw	ARM_instruction_abse-instruction_handler
	db	'abs~~s',0x00
	dw	ARM_instruction_abss-instruction_handler
	db	'acs~~d',0x00
	dw	ARM_instruction_acsd-instruction_handler
	db	'acs~~e',0x00
	dw	ARM_instruction_acse-instruction_handler
	db	'acs~~s',0x00
	dw	ARM_instruction_acss-instruction_handler
	db	'adcs.n',0xe5
	dw	ARM_instruction_adc-instruction_handler
	db	'adcs.w',0xe3
	dw	ARM_instruction_adc-instruction_handler
	db	'adcs~~',0x01
	dw	ARM_instruction_adc-instruction_handler
	db	'adc~~s',0x01
	dw	ARM_instruction_adc-instruction_handler
	db	'adds.n',0xe5
	dw	ARM_instruction_add-instruction_handler
	db	'adds.w',0xe3
	dw	ARM_instruction_add-instruction_handler
	db	'adds~~',0x01
	dw	ARM_instruction_add-instruction_handler
	db	'addw~~',0x00
	dw	ARM_instruction_addw-instruction_handler
	db	'add~~s',0x01
	dw	ARM_instruction_add-instruction_handler
	db	'adf~~d',0x00
	dw	ARM_instruction_adfd-instruction_handler
	db	'adf~~e',0x00
	dw	ARM_instruction_adfe-instruction_handler
	db	'adf~~s',0x00
	dw	ARM_instruction_adfs-instruction_handler
	db	'ands.n',0xe5
	dw	ARM_instruction_and-instruction_handler
	db	'ands.w',0xe3
	dw	ARM_instruction_and-instruction_handler
	db	'ands~~',0x01
	dw	ARM_instruction_and-instruction_handler
	db	'and~~s',0x01
	dw	ARM_instruction_and-instruction_handler
	db	'asn~~d',0x00
	dw	ARM_instruction_asnd-instruction_handler
	db	'asn~~e',0x00
	dw	ARM_instruction_asne-instruction_handler
	db	'asn~~s',0x00
	dw	ARM_instruction_asns-instruction_handler
	db	'asrs.n',0xe5
	dw	ARM_instruction_asr-instruction_handler
	db	'asrs.w',0xe3
	dw	ARM_instruction_asr-instruction_handler
	db	'asrs~~',0x01
	dw	ARM_instruction_asr-instruction_handler
	db	'asr~~s',0x01
	dw	ARM_instruction_asr-instruction_handler
	db	'atn~~d',0x00
	dw	ARM_instruction_atnd-instruction_handler
	db	'atn~~e',0x00
	dw	ARM_instruction_atne-instruction_handler
	db	'atn~~s',0x00
	dw	ARM_instruction_atns-instruction_handler
	db	'bics.n',0xe5
	dw	ARM_instruction_bic-instruction_handler
	db	'bics.w',0xe3
	dw	ARM_instruction_bic-instruction_handler
	db	'bics~~',0x01
	dw	ARM_instruction_bic-instruction_handler
	db	'bic~~s',0x01
	dw	ARM_instruction_bic-instruction_handler
	db	'bx~~.n',0x04
	dw	ARM_instruction_bx-instruction_handler
	db	'bx~~.w',0x02
	dw	ARM_instruction_bx-instruction_handler
	db	'cbnz.n',0xf4
	dw	ARM_instruction_cbnz-instruction_handler
	db	'cbnz.w',0xf2
	dw	ARM_instruction_cbnz-instruction_handler
	db	'cdp2~~',0x00
	dw	ARM_instruction_cdp2-instruction_handler
	db	'cfabsd',0xe0
	dw	ARM_instruction_cfabsd-instruction_handler
	db	'cfabss',0xe0
	dw	ARM_instruction_cfabss-instruction_handler
	db	'cfaddd',0xe0
	dw	ARM_instruction_cfaddd-instruction_handler
	db	'cfadds',0xe0
	dw	ARM_instruction_cfadds-instruction_handler
	db	'cfcmpd',0xe0
	dw	ARM_instruction_cfcmpd-instruction_handler
	db	'cfcmps',0xe0
	dw	ARM_instruction_cfcmps-instruction_handler
	db	'cfcpyd',0xe0
	dw	ARM_instruction_cfcpyd-instruction_handler
	db	'cfcpys',0xe0
	dw	ARM_instruction_cfcpys-instruction_handler
	db	'cfldrd',0xe0
	dw	ARM_instruction_cfldrd-instruction_handler
	db	'cfldrs',0xe0
	dw	ARM_instruction_cfldrs-instruction_handler
	db	'cfmuld',0xe0
	dw	ARM_instruction_cfmuld-instruction_handler
	db	'cfmuls',0xe0
	dw	ARM_instruction_cfmuls-instruction_handler
	db	'cfmvrs',0xe0
	dw	ARM_instruction_cfmvrs-instruction_handler
	db	'cfmvsr',0xe0
	dw	ARM_instruction_cfmvsr-instruction_handler
	db	'cfnegd',0xe0
	dw	ARM_instruction_cfnegd-instruction_handler
	db	'cfnegs',0xe0
	dw	ARM_instruction_cfnegs-instruction_handler
	db	'cfsh32',0xe0
	dw	ARM_instruction_cfsh32-instruction_handler
	db	'cfsh64',0xe0
	dw	ARM_instruction_cfsh64-instruction_handler
	db	'cfstrd',0xe0
	dw	ARM_instruction_cfstrd-instruction_handler
	db	'cfstrs',0xe0
	dw	ARM_instruction_cfstrs-instruction_handler
	db	'cfsubd',0xe0
	dw	ARM_instruction_cfsubd-instruction_handler
	db	'cfsubs',0xe0
	dw	ARM_instruction_cfsubs-instruction_handler
	db	'chka~~',0x00
	dw	ARM_instruction_chka-instruction_handler
	db	'cmfe~~',0x00
	dw	ARM_instruction_cmfe-instruction_handler
	db	'cmnp~~',0x00
	dw	ARM_instruction_cmnp-instruction_handler
	db	'cmn~~p',0x00
	dw	ARM_instruction_cmnp-instruction_handler
	db	'cmpp~~',0x00
	dw	ARM_instruction_cmpp-instruction_handler
	db	'cmp~~p',0x00
	dw	ARM_instruction_cmpp-instruction_handler
	db	'cnfe~~',0x00
	dw	ARM_instruction_cnfe-instruction_handler
	db	'code16',0x00
	dw	ARM_code16_directive-instruction_handler
	db	'code32',0x00
	dw	ARM_code32_directive-instruction_handler
	db	'cos~~d',0x00
	dw	ARM_instruction_cosd-instruction_handler
	db	'cos~~e',0x00
	dw	ARM_instruction_cose-instruction_handler
	db	'cos~~s',0x00
	dw	ARM_instruction_coss-instruction_handler
	db	'dvf~~d',0x00
	dw	ARM_instruction_dvfd-instruction_handler
	db	'dvf~~e',0x00
	dw	ARM_instruction_dvfe-instruction_handler
	db	'dvf~~s',0x00
	dw	ARM_instruction_dvfs-instruction_handler
	db	'enterx',0xf0
	dw	ARM_instruction_enterx-instruction_handler
	db	'eors.n',0xe5
	dw	ARM_instruction_eor-instruction_handler
	db	'eors.w',0xe3
	dw	ARM_instruction_eor-instruction_handler
	db	'eors~~',0x01
	dw	ARM_instruction_eor-instruction_handler
	db	'eor~~s',0x01
	dw	ARM_instruction_eor-instruction_handler
	db	'eret~~',0x00
	dw	ARM_instruction_eret-instruction_handler
	db	'exp~~d',0x00
	dw	ARM_instruction_expd-instruction_handler
	db	'exp~~e',0x00
	dw	ARM_instruction_expe-instruction_handler
	db	'exp~~s',0x00
	dw	ARM_instruction_exps-instruction_handler
	db	'fcmped',0xe0
	dw	ARM_instruction_fcmped-instruction_handler
	db	'fcmpes',0xe0
	dw	ARM_instruction_fcmpes-instruction_handler
	db	'fcmpzd',0xe0
	dw	ARM_instruction_fcmpzd-instruction_handler
	db	'fcmpzs',0xe0
	dw	ARM_instruction_fcmpzs-instruction_handler
	db	'fcvtds',0xe0
	dw	ARM_instruction_fcvtds-instruction_handler
	db	'fcvtsd',0xe0
	dw	ARM_instruction_fcvtsd-instruction_handler
	db	'fdv~~d',0x00
	dw	ARM_instruction_fdvd-instruction_handler
	db	'fdv~~e',0x00
	dw	ARM_instruction_fdve-instruction_handler
	db	'fdv~~s',0x00
	dw	ARM_instruction_fdvs-instruction_handler
	db	'fix~~m',0x00
	dw	ARM_instruction_fixm-instruction_handler
	db	'fix~~p',0x00
	dw	ARM_instruction_fixp-instruction_handler
	db	'fix~~z',0x00
	dw	ARM_instruction_fixz-instruction_handler
	db	'fldd~~',0x00
	dw	ARM_instruction_fldd-instruction_handler
	db	'flds~~',0x00
	dw	ARM_instruction_flds-instruction_handler
	db	'flt~~d',0x00
	dw	ARM_instruction_fltd-instruction_handler
	db	'flt~~e',0x00
	dw	ARM_instruction_flte-instruction_handler
	db	'flt~~s',0x00
	dw	ARM_instruction_flts-instruction_handler
	db	'fml~~d',0x00
	dw	ARM_instruction_fmld-instruction_handler
	db	'fml~~e',0x00
	dw	ARM_instruction_fmle-instruction_handler
	db	'fml~~s',0x00
	dw	ARM_instruction_fmls-instruction_handler
	db	'fmrs~~',0x00
	dw	ARM_instruction_fmrs-instruction_handler
	db	'fmrx~~',0x00
	dw	ARM_instruction_fmrx-instruction_handler
	db	'fmsr~~',0x00
	dw	ARM_instruction_fmsr-instruction_handler
	db	'fmstat',0xe0
	dw	ARM_instruction_fmstat-instruction_handler
	db	'fmxr~~',0x00
	dw	ARM_instruction_fmxr-instruction_handler
	db	'fnmacd',0xe0
	dw	ARM_instruction_fnmacd-instruction_handler
	db	'fnmacs',0xe0
	dw	ARM_instruction_fnmacs-instruction_handler
	db	'fnmscd',0xe0
	dw	ARM_instruction_fnmscd-instruction_handler
	db	'fnmscs',0xe0
	dw	ARM_instruction_fnmscs-instruction_handler
	db	'fnmuld',0xe0
	dw	ARM_instruction_fnmuld-instruction_handler
	db	'fnmuls',0xe0
	dw	ARM_instruction_fnmuls-instruction_handler
	db	'format',0x00
	dw	ARM_format_directive-instruction_handler
	db	'frd~~d',0x00
	dw	ARM_instruction_frdd-instruction_handler
	db	'frd~~e',0x00
	dw	ARM_instruction_frde-instruction_handler
	db	'frd~~s',0x00
	dw	ARM_instruction_frds-instruction_handler
	db	'fshtod',0xe0
	dw	ARM_instruction_fshtod-instruction_handler
	db	'fshtos',0xe0
	dw	ARM_instruction_fshtos-instruction_handler
	db	'fsitod',0xe0
	dw	ARM_instruction_fsitod-instruction_handler
	db	'fsitos',0xe0
	dw	ARM_instruction_fsitos-instruction_handler
	db	'fsltod',0xe0
	dw	ARM_instruction_fsltod-instruction_handler
	db	'fsltos',0xe0
	dw	ARM_instruction_fsltos-instruction_handler
	db	'fsqrtd',0xe0
	dw	ARM_instruction_fsqrtd-instruction_handler
	db	'fsqrts',0xe0
	dw	ARM_instruction_fsqrts-instruction_handler
	db	'fstd~~',0x00
	dw	ARM_instruction_fstd-instruction_handler
	db	'fsts~~',0x00
	dw	ARM_instruction_fsts-instruction_handler
	db	'ftoshd',0xe0
	dw	ARM_instruction_ftoshd-instruction_handler
	db	'ftoshs',0xe0
	dw	ARM_instruction_ftoshs-instruction_handler
	db	'ftosid',0xe0
	dw	ARM_instruction_ftosid-instruction_handler
	db	'ftosis',0xe0
	dw	ARM_instruction_ftosis-instruction_handler
	db	'ftosld',0xe0
	dw	ARM_instruction_ftosld-instruction_handler
	db	'ftosls',0xe0
	dw	ARM_instruction_ftosls-instruction_handler
	db	'ftouhd',0xe0
	dw	ARM_instruction_ftouhd-instruction_handler
	db	'ftouhs',0xe0
	dw	ARM_instruction_ftouhs-instruction_handler
	db	'ftouid',0xe0
	dw	ARM_instruction_ftouid-instruction_handler
	db	'ftouis',0xe0
	dw	ARM_instruction_ftouis-instruction_handler
	db	'ftould',0xe0
	dw	ARM_instruction_ftould-instruction_handler
	db	'ftouls',0xe0
	dw	ARM_instruction_ftouls-instruction_handler
	db	'fuhtod',0xe0
	dw	ARM_instruction_fuhtod-instruction_handler
	db	'fuhtos',0xe0
	dw	ARM_instruction_fuhtos-instruction_handler
	db	'fuitod',0xe0
	dw	ARM_instruction_fuitod-instruction_handler
	db	'fuitos',0xe0
	dw	ARM_instruction_fuitos-instruction_handler
	db	'fultod',0xe0
	dw	ARM_instruction_fultod-instruction_handler
	db	'fultos',0xe0
	dw	ARM_instruction_fultos-instruction_handler
	db	'hblp~~',0x00
	dw	ARM_instruction_hblp-instruction_handler
	db	'ldc2~~',0x00
	dw	ARM_instruction_ldc2-instruction_handler
	db	'ldcl~~',0x00
	dw	ARM_instruction_ldcl-instruction_handler
	db	'ldc~~l',0x00
	dw	ARM_instruction_ldcl-instruction_handler
	db	'ldf~~d',0x00
	dw	ARM_instruction_ldfd-instruction_handler
	db	'ldf~~e',0x00
	dw	ARM_instruction_ldfe-instruction_handler
	db	'ldf~~p',0x00
	dw	ARM_instruction_ldfp-instruction_handler
	db	'ldf~~s',0x00
	dw	ARM_instruction_ldfs-instruction_handler
	db	'ldrb.n',0xe4
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldrb.w',0xe2
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldrb~~',0x00
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldrd~~',0x00
	dw	ARM_instruction_ldrd-instruction_handler
	db	'ldrexb',0xe0
	dw	ARM_instruction_ldrexb-instruction_handler
	db	'ldrexd',0xe0
	dw	ARM_instruction_ldrexd-instruction_handler
	db	'ldrexh',0xe0
	dw	ARM_instruction_ldrexh-instruction_handler
	db	'ldrh.n',0xe4
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldrh.w',0xe2
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldrh~~',0x00
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldrsbt',0xe0
	dw	ARM_instruction_ldrsbt-instruction_handler
	db	'ldrsht',0xe0
	dw	ARM_instruction_ldrsht-instruction_handler
	db	'ldrt~~',0x00
	dw	ARM_instruction_ldrt-instruction_handler
	db	'ldr~~b',0x00
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldr~~d',0x00
	dw	ARM_instruction_ldrd-instruction_handler
	db	'ldr~~h',0x00
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldr~~t',0x00
	dw	ARM_instruction_ldrt-instruction_handler
	db	'leavex',0xf0
	dw	ARM_instruction_leavex-instruction_handler
	db	'lgn~~d',0x00
	dw	ARM_instruction_lgnd-instruction_handler
	db	'lgn~~e',0x00
	dw	ARM_instruction_lgne-instruction_handler
	db	'lgn~~s',0x00
	dw	ARM_instruction_lgns-instruction_handler
	db	'log~~d',0x00
	dw	ARM_instruction_logd-instruction_handler
	db	'log~~e',0x00
	dw	ARM_instruction_loge-instruction_handler
	db	'log~~s',0x00
	dw	ARM_instruction_logs-instruction_handler
	db	'lsls.n',0xe5
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsls.w',0xe3
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsls~~',0x01
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsl~~s',0x01
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsrs.n',0xe5
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsrs.w',0xe3
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsrs~~',0x01
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsr~~s',0x01
	dw	ARM_instruction_lsr-instruction_handler
	db	'mcr2~~',0x00
	dw	ARM_instruction_mcr2-instruction_handler
	db	'mcrr~~',0x00
	dw	ARM_instruction_mcrr-instruction_handler
	db	'mlas~~',0x01
	dw	ARM_instruction_mla-instruction_handler
	db	'mla~~s',0x01
	dw	ARM_instruction_mla-instruction_handler
	db	'mnf~~d',0x00
	dw	ARM_instruction_mnfd-instruction_handler
	db	'mnf~~e',0x00
	dw	ARM_instruction_mnfe-instruction_handler
	db	'mnf~~s',0x00
	dw	ARM_instruction_mnfs-instruction_handler
	db	'movs.n',0xe5
	dw	ARM_instruction_mov-instruction_handler
	db	'movs.w',0xe3
	dw	ARM_instruction_mov-instruction_handler
	db	'movs~~',0x01
	dw	ARM_instruction_mov-instruction_handler
	db	'movt~~',0x00
	dw	ARM_instruction_movt-instruction_handler
	db	'movw~~',0x00
	dw	ARM_instruction_movw-instruction_handler
	db	'mov~~s',0x01
	dw	ARM_instruction_mov-instruction_handler
	db	'mrc2~~',0x00
	dw	ARM_instruction_mrc2-instruction_handler
	db	'mrrc~~',0x00
	dw	ARM_instruction_mrrc-instruction_handler
	db	'muf~~d',0x00
	dw	ARM_instruction_mufd-instruction_handler
	db	'muf~~e',0x00
	dw	ARM_instruction_mufe-instruction_handler
	db	'muf~~s',0x00
	dw	ARM_instruction_mufs-instruction_handler
	db	'muls.n',0xe5
	dw	ARM_instruction_mul-instruction_handler
	db	'muls.w',0xe3
	dw	ARM_instruction_mul-instruction_handler
	db	'muls~~',0x01
	dw	ARM_instruction_mul-instruction_handler
	db	'mul~~s',0x01
	dw	ARM_instruction_mul-instruction_handler
	db	'mvf~~d',0x00
	dw	ARM_instruction_mvfd-instruction_handler
	db	'mvf~~e',0x00
	dw	ARM_instruction_mvfe-instruction_handler
	db	'mvf~~s',0x00
	dw	ARM_instruction_mvfs-instruction_handler
	db	'mvns.n',0xe5
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvns.w',0xe3
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvns~~',0x01
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvn~~s',0x01
	dw	ARM_instruction_mvn-instruction_handler
	db	'negs.n',0xe5
	dw	ARM_instruction_neg-instruction_handler
	db	'negs.w',0xe3
	dw	ARM_instruction_neg-instruction_handler
	db	'negs~~',0x01
	dw	ARM_instruction_neg-instruction_handler
	db	'neg~~s',0x01
	dw	ARM_instruction_neg-instruction_handler
	db	'nrm~~d',0x00
	dw	ARM_instruction_nrmd-instruction_handler
	db	'nrm~~e',0x00
	dw	ARM_instruction_nrme-instruction_handler
	db	'nrm~~s',0x00
	dw	ARM_instruction_nrms-instruction_handler
	db	'orns~~',0x01
	dw	ARM_instruction_orn-instruction_handler
	db	'orn~~s',0x01
	dw	ARM_instruction_orn-instruction_handler
	db	'orrs.n',0xe5
	dw	ARM_instruction_orr-instruction_handler
	db	'orrs.w',0xe3
	dw	ARM_instruction_orr-instruction_handler
	db	'orrs~~',0x01
	dw	ARM_instruction_orr-instruction_handler
	db	'orr~~s',0x01
	dw	ARM_instruction_orr-instruction_handler
	db	'pldw~~',0x00
	dw	ARM_instruction_pldw-instruction_handler
	db	'pol~~d',0x00
	dw	ARM_instruction_pold-instruction_handler
	db	'pol~~e',0x00
	dw	ARM_instruction_pole-instruction_handler
	db	'pol~~s',0x00
	dw	ARM_instruction_pols-instruction_handler
	db	'pow~~d',0x00
	dw	ARM_instruction_powd-instruction_handler
	db	'pow~~e',0x00
	dw	ARM_instruction_powe-instruction_handler
	db	'pow~~s',0x00
	dw	ARM_instruction_pows-instruction_handler
	db	'public',0x00
	dw	public_directive-instruction_handler
	db	'push.n',0xe4
	dw	ARM_instruction_push-instruction_handler
	db	'push.w',0xe2
	dw	ARM_instruction_push-instruction_handler
	db	'push~~',0x00
	dw	ARM_instruction_push-instruction_handler
	db	'qadd16',0xe0
	dw	ARM_instruction_qadd16-instruction_handler
	db	'qadd~~',0x00
	dw	ARM_instruction_qadd-instruction_handler
	db	'qasx~~',0x00
	dw	ARM_instruction_qasx-instruction_handler
	db	'qsax~~',0x00
	dw	ARM_instruction_qsax-instruction_handler
	db	'qsub16',0xe0
	dw	ARM_instruction_qsub16-instruction_handler
	db	'qsub~~',0x00
	dw	ARM_instruction_qsub-instruction_handler
	db	'rbit~~',0x00
	dw	ARM_instruction_rbit-instruction_handler
	db	'rdf~~d',0x00
	dw	ARM_instruction_rdfd-instruction_handler
	db	'rdf~~e',0x00
	dw	ARM_instruction_rdfe-instruction_handler
	db	'rdf~~s',0x00
	dw	ARM_instruction_rdfs-instruction_handler
	db	'repeat',0x00
	dw	repeat_directive-instruction_handler
	db	'rmf~~d',0x00
	dw	ARM_instruction_rmfd-instruction_handler
	db	'rmf~~e',0x00
	dw	ARM_instruction_rmfe-instruction_handler
	db	'rmf~~s',0x00
	dw	ARM_instruction_rmfs-instruction_handler
	db	'rnd~~d',0x00
	dw	ARM_instruction_rndd-instruction_handler
	db	'rnd~~e',0x00
	dw	ARM_instruction_rnde-instruction_handler
	db	'rnd~~s',0x00
	dw	ARM_instruction_rnds-instruction_handler
	db	'rors.n',0xe5
	dw	ARM_instruction_ror-instruction_handler
	db	'rors.w',0xe3
	dw	ARM_instruction_ror-instruction_handler
	db	'rors~~',0x01
	dw	ARM_instruction_ror-instruction_handler
	db	'ror~~s',0x01
	dw	ARM_instruction_ror-instruction_handler
	db	'rpw~~d',0x00
	dw	ARM_instruction_rpwd-instruction_handler
	db	'rpw~~e',0x00
	dw	ARM_instruction_rpwe-instruction_handler
	db	'rpw~~s',0x00
	dw	ARM_instruction_rpws-instruction_handler
	db	'rrxs~~',0x01
	dw	ARM_instruction_rrx-instruction_handler
	db	'rrx~~s',0x01
	dw	ARM_instruction_rrx-instruction_handler
	db	'rsbs.n',0xe5
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsbs.w',0xe3
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsbs~~',0x01
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsb~~s',0x01
	dw	ARM_instruction_rsb-instruction_handler
	db	'rscs~~',0x01
	dw	ARM_instruction_rsc-instruction_handler
	db	'rsc~~s',0x01
	dw	ARM_instruction_rsc-instruction_handler
	db	'rsf~~d',0x00
	dw	ARM_instruction_rsfd-instruction_handler
	db	'rsf~~e',0x00
	dw	ARM_instruction_rsfe-instruction_handler
	db	'rsf~~s',0x00
	dw	ARM_instruction_rsfs-instruction_handler
	db	'sadd16',0xe0
	dw	ARM_instruction_sadd16-instruction_handler
	db	'sasx~~',0x00
	dw	ARM_instruction_sasx-instruction_handler
	db	'sbcs.n',0xe5
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbcs.w',0xe3
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbcs~~',0x01
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbc~~s',0x01
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbfx~~',0x00
	dw	ARM_instruction_sbfx-instruction_handler
	db	'sdiv~~',0x00
	dw	ARM_instruction_sdiv-instruction_handler
	db	'setend',0xf0
	dw	ARM_instruction_setend-instruction_handler
	db	'shadd8',0xe0
	dw	ARM_instruction_shadd8-instruction_handler
	db	'shsub8',0xe0
	dw	ARM_instruction_shsub8-instruction_handler
	db	'sin~~d',0x00
	dw	ARM_instruction_sind-instruction_handler
	db	'sin~~e',0x00
	dw	ARM_instruction_sine-instruction_handler
	db	'sin~~s',0x00
	dw	ARM_instruction_sins-instruction_handler
	db	'smlabb',0xe0
	dw	ARM_instruction_smlabb-instruction_handler
	db	'smlabt',0xe0
	dw	ARM_instruction_smlabt-instruction_handler
	db	'smladx',0xe0
	dw	ARM_instruction_smladx-instruction_handler
	db	'smlald',0xe0
	dw	ARM_instruction_smlald-instruction_handler
	db	'smlals',0xe1
	dw	ARM_instruction_smlal-instruction_handler
	db	'smlatb',0xe0
	dw	ARM_instruction_smlatb-instruction_handler
	db	'smlatt',0xe0
	dw	ARM_instruction_smlatt-instruction_handler
	db	'smlawb',0xe0
	dw	ARM_instruction_smlawb-instruction_handler
	db	'smlawt',0xe0
	dw	ARM_instruction_smlawt-instruction_handler
	db	'smlsdx',0xe0
	dw	ARM_instruction_smlsdx-instruction_handler
	db	'smlsld',0xe0
	dw	ARM_instruction_smlsld-instruction_handler
	db	'smmlar',0xe0
	dw	ARM_instruction_smmlar-instruction_handler
	db	'smmlsr',0xe0
	dw	ARM_instruction_smmlsr-instruction_handler
	db	'smmulr',0xe0
	dw	ARM_instruction_smmulr-instruction_handler
	db	'smuadx',0xe0
	dw	ARM_instruction_smuadx-instruction_handler
	db	'smulbb',0xe0
	dw	ARM_instruction_smulbb-instruction_handler
	db	'smulbt',0xe0
	dw	ARM_instruction_smulbt-instruction_handler
	db	'smulls',0xe1
	dw	ARM_instruction_smull-instruction_handler
	db	'smultb',0xe0
	dw	ARM_instruction_smultb-instruction_handler
	db	'smultt',0xe0
	dw	ARM_instruction_smultt-instruction_handler
	db	'smulwb',0xe0
	dw	ARM_instruction_smulwb-instruction_handler
	db	'smulwt',0xe0
	dw	ARM_instruction_smulwt-instruction_handler
	db	'smusdx',0xe0
	dw	ARM_instruction_smusdx-instruction_handler
	db	'sqt~~d',0x00
	dw	ARM_instruction_sqtd-instruction_handler
	db	'sqt~~e',0x00
	dw	ARM_instruction_sqte-instruction_handler
	db	'sqt~~s',0x00
	dw	ARM_instruction_sqts-instruction_handler
	db	'ssat16',0xe0
	dw	ARM_instruction_ssat16-instruction_handler
	db	'ssat~~',0x00
	dw	ARM_instruction_ssat-instruction_handler
	db	'ssax~~',0x00
	dw	ARM_instruction_ssax-instruction_handler
	db	'ssub16',0xe0
	dw	ARM_instruction_ssub16-instruction_handler
	db	'stc2~~',0x00
	dw	ARM_instruction_stc2-instruction_handler
	db	'stcl~~',0x00
	dw	ARM_instruction_stcl-instruction_handler
	db	'stc~~l',0x00
	dw	ARM_instruction_stcl-instruction_handler
	db	'stf~~d',0x00
	dw	ARM_instruction_stfd-instruction_handler
	db	'stf~~e',0x00
	dw	ARM_instruction_stfe-instruction_handler
	db	'stf~~p',0x00
	dw	ARM_instruction_stfp-instruction_handler
	db	'stf~~s',0x00
	dw	ARM_instruction_stfs-instruction_handler
	db	'strb.n',0xe4
	dw	ARM_instruction_strb-instruction_handler
	db	'strb.w',0xe2
	dw	ARM_instruction_strb-instruction_handler
	db	'strb~~',0x00
	dw	ARM_instruction_strb-instruction_handler
	db	'strd~~',0x00
	dw	ARM_instruction_strd-instruction_handler
	db	'strexb',0xe0
	dw	ARM_instruction_strexb-instruction_handler
	db	'strexd',0xe0
	dw	ARM_instruction_strexd-instruction_handler
	db	'strexh',0xe0
	dw	ARM_instruction_strexh-instruction_handler
	db	'strh.n',0xe4
	dw	ARM_instruction_strh-instruction_handler
	db	'strh.w',0xe2
	dw	ARM_instruction_strh-instruction_handler
	db	'strh~~',0x00
	dw	ARM_instruction_strh-instruction_handler
	db	'strt~~',0x00
	dw	ARM_instruction_strt-instruction_handler
	db	'str~~b',0x00
	dw	ARM_instruction_strb-instruction_handler
	db	'str~~d',0x00
	dw	ARM_instruction_strd-instruction_handler
	db	'str~~h',0x00
	dw	ARM_instruction_strh-instruction_handler
	db	'str~~t',0x00
	dw	ARM_instruction_strt-instruction_handler
	db	'subs.n',0xe5
	dw	ARM_instruction_sub-instruction_handler
	db	'subs.w',0xe3
	dw	ARM_instruction_sub-instruction_handler
	db	'subs~~',0x01
	dw	ARM_instruction_sub-instruction_handler
	db	'subw~~',0x00
	dw	ARM_instruction_subw-instruction_handler
	db	'sub~~s',0x01
	dw	ARM_instruction_sub-instruction_handler
	db	'suf~~d',0x00
	dw	ARM_instruction_sufd-instruction_handler
	db	'suf~~e',0x00
	dw	ARM_instruction_sufe-instruction_handler
	db	'suf~~s',0x00
	dw	ARM_instruction_sufs-instruction_handler
	db	'swpb~~',0x00
	dw	ARM_instruction_swpb-instruction_handler
	db	'swp~~b',0x00
	dw	ARM_instruction_swpb-instruction_handler
	db	'sxtb.n',0xe4
	dw	ARM_instruction_sxtb-instruction_handler
	db	'sxtb.w',0xe2
	dw	ARM_instruction_sxtb-instruction_handler
	db	'sxtb16',0xe0
	dw	ARM_instruction_sxtb16-instruction_handler
	db	'sxtb~~',0x00
	dw	ARM_instruction_sxtb-instruction_handler
	db	'sxth.n',0xe4
	dw	ARM_instruction_sxth-instruction_handler
	db	'sxth.w',0xe2
	dw	ARM_instruction_sxth-instruction_handler
	db	'sxth~~',0x00
	dw	ARM_instruction_sxth-instruction_handler
	db	'tandcb',0xe0
	dw	ARM_instruction_tandcb-instruction_handler
	db	'tandch',0xe0
	dw	ARM_instruction_tandch-instruction_handler
	db	'tandcw',0xe0
	dw	ARM_instruction_tandcw-instruction_handler
	db	'tan~~d',0x00
	dw	ARM_instruction_tand-instruction_handler
	db	'tan~~e',0x00
	dw	ARM_instruction_tane-instruction_handler
	db	'tan~~s',0x00
	dw	ARM_instruction_tans-instruction_handler
	db	'tbcstb',0xe0
	dw	ARM_instruction_tbcstb-instruction_handler
	db	'tbcsth',0xe0
	dw	ARM_instruction_tbcsth-instruction_handler
	db	'tbcstw',0xe0
	dw	ARM_instruction_tbcstw-instruction_handler
	db	'teqp~~',0x00
	dw	ARM_instruction_teqp-instruction_handler
	db	'teq~~p',0x00
	dw	ARM_instruction_teqp-instruction_handler
	db	'tinsrb',0xe0
	dw	ARM_instruction_tinsrb-instruction_handler
	db	'tinsrh',0xe0
	dw	ARM_instruction_tinsrh-instruction_handler
	db	'tinsrw',0xe0
	dw	ARM_instruction_tinsrw-instruction_handler
	db	'tmcr~~',0x00
	dw	ARM_instruction_tmcr-instruction_handler
	db	'tmiabb',0xe0
	dw	ARM_instruction_tmiabb-instruction_handler
	db	'tmiabt',0xe0
	dw	ARM_instruction_tmiabt-instruction_handler
	db	'tmiaph',0xe0
	dw	ARM_instruction_tmiaph-instruction_handler
	db	'tmiatb',0xe0
	dw	ARM_instruction_tmiatb-instruction_handler
	db	'tmiatt',0xe0
	dw	ARM_instruction_tmiatt-instruction_handler
	db	'tmia~~',0x00
	dw	ARM_instruction_tmia-instruction_handler
	db	'tmrc~~',0x00
	dw	ARM_instruction_tmrc-instruction_handler
	db	'tstp~~',0x00
	dw	ARM_instruction_tstp-instruction_handler
	db	'tst~~p',0x00
	dw	ARM_instruction_tstp-instruction_handler
	db	'uadd16',0xe0
	dw	ARM_instruction_uadd16-instruction_handler
	db	'uasx~~',0x00
	dw	ARM_instruction_uasx-instruction_handler
	db	'ubfx~~',0x00
	dw	ARM_instruction_ubfx-instruction_handler
	db	'udiv~~',0x00
	dw	ARM_instruction_udiv-instruction_handler
	db	'uhadd8',0xe0
	dw	ARM_instruction_uhadd8-instruction_handler
	db	'uhsub8',0xe0
	dw	ARM_instruction_uhsub8-instruction_handler
	db	'umlals',0xe1
	dw	ARM_instruction_umlal-instruction_handler
	db	'umulls',0xe1
	dw	ARM_instruction_umull-instruction_handler
	db	'uqadd8',0xe0
	dw	ARM_instruction_uqadd8-instruction_handler
	db	'uqsub8',0xe0
	dw	ARM_instruction_uqsub8-instruction_handler
	db	'urd~~d',0x00
	dw	ARM_instruction_urdd-instruction_handler
	db	'urd~~e',0x00
	dw	ARM_instruction_urde-instruction_handler
	db	'urd~~s',0x00
	dw	ARM_instruction_urds-instruction_handler
	db	'usada8',0xe0
	dw	ARM_instruction_usada8-instruction_handler
	db	'usat16',0xe0
	dw	ARM_instruction_usat16-instruction_handler
	db	'usat~~',0x00
	dw	ARM_instruction_usat-instruction_handler
	db	'usax~~',0x00
	dw	ARM_instruction_usax-instruction_handler
	db	'usub16',0xe0
	dw	ARM_instruction_usub16-instruction_handler
	db	'uxtb.n',0xe4
	dw	ARM_instruction_uxtb-instruction_handler
	db	'uxtb.w',0xe2
	dw	ARM_instruction_uxtb-instruction_handler
	db	'uxtb16',0xe0
	dw	ARM_instruction_uxtb16-instruction_handler
	db	'uxtb~~',0x00
	dw	ARM_instruction_uxtb-instruction_handler
	db	'uxth.n',0xe4
	dw	ARM_instruction_uxth-instruction_handler
	db	'uxth.w',0xe2
	dw	ARM_instruction_uxth-instruction_handler
	db	'uxth~~',0x00
	dw	ARM_instruction_uxth-instruction_handler
	db	'vand~~',0x00
	dw	ARM_instruction_vand-instruction_handler
	db	'vbic~~',0x00
	dw	ARM_instruction_vbic-instruction_handler
	db	'vbif~~',0x00
	dw	ARM_instruction_vbif-instruction_handler
	db	'vbit~~',0x00
	dw	ARM_instruction_vbit-instruction_handler
	db	'vbsl~~',0x00
	dw	ARM_instruction_vbsl-instruction_handler
	db	'vcnt.8',0xe0
	dw	ARM_instruction_vcnt.8-instruction_handler
	db	'vdup.8',0xe0
	dw	ARM_instruction_vdup.8-instruction_handler
	db	'veor~~',0x00
	dw	ARM_instruction_veor-instruction_handler
	db	'vext.8',0xe0
	dw	ARM_instruction_vext.8-instruction_handler
	db	'vld1.8',0xe0
	dw	ARM_instruction_vld1.8-instruction_handler
	db	'vld2.8',0xe0
	dw	ARM_instruction_vld2.8-instruction_handler
	db	'vld3.8',0xe0
	dw	ARM_instruction_vld3.8-instruction_handler
	db	'vld4.8',0xe0
	dw	ARM_instruction_vld4.8-instruction_handler
	db	'vldmdb',0xe0
	dw	ARM_instruction_vldmdb-instruction_handler
	db	'vldmea',0xe0
	dw	ARM_instruction_vldmea-instruction_handler
	db	'vldmfd',0xe0
	dw	ARM_instruction_vldmfd-instruction_handler
	db	'vldmia',0xe0
	dw	ARM_instruction_vldmia-instruction_handler
	db	'vldm~~',0x00
	dw	ARM_instruction_vldm-instruction_handler
	db	'vldr~~',0x00
	dw	ARM_instruction_vldr-instruction_handler
	db	'vmov.8',0xe0
	dw	ARM_instruction_vmov.8-instruction_handler
	db	'vmov~~',0x00
	dw	ARM_instruction_vmov-instruction_handler
	db	'vmrs~~',0x00
	dw	ARM_instruction_vmrs-instruction_handler
	db	'vmsr~~',0x00
	dw	ARM_instruction_vmsr-instruction_handler
	db	'vmvn~~',0x00
	dw	ARM_instruction_vmvn-instruction_handler
	db	'vorn~~',0x00
	dw	ARM_instruction_vorn-instruction_handler
	db	'vorr~~',0x00
	dw	ARM_instruction_vorr-instruction_handler
	db	'vpop~~',0x00
	dw	ARM_instruction_vpop-instruction_handler
	db	'vsli.8',0xe0
	dw	ARM_instruction_vsli.8-instruction_handler
	db	'vsri.8',0xe0
	dw	ARM_instruction_vsri.8-instruction_handler
	db	'vst1.8',0xe0
	dw	ARM_instruction_vst1.8-instruction_handler
	db	'vst2.8',0xe0
	dw	ARM_instruction_vst2.8-instruction_handler
	db	'vst3.8',0xe0
	dw	ARM_instruction_vst3.8-instruction_handler
	db	'vst4.8',0xe0
	dw	ARM_instruction_vst4.8-instruction_handler
	db	'vstmdb',0xe0
	dw	ARM_instruction_vstmdb-instruction_handler
	db	'vstmea',0xe0
	dw	ARM_instruction_vstmea-instruction_handler
	db	'vstmfd',0xe0
	dw	ARM_instruction_vstmfd-instruction_handler
	db	'vstmia',0xe0
	dw	ARM_instruction_vstmia-instruction_handler
	db	'vstm~~',0x00
	dw	ARM_instruction_vstm-instruction_handler
	db	'vstr~~',0x00
	dw	ARM_instruction_vstr-instruction_handler
	db	'vswp~~',0x00
	dw	ARM_instruction_vswp-instruction_handler
	db	'vtbl.8',0xe0
	dw	ARM_instruction_vtbl.8-instruction_handler
	db	'vtbx.8',0xe0
	dw	ARM_instruction_vtbx.8-instruction_handler
	db	'vtrn.8',0xe0
	dw	ARM_instruction_vtrn.8-instruction_handler
	db	'vtst.8',0xe0
	dw	ARM_instruction_vtst.8-instruction_handler
	db	'vuzp.8',0xe0
	dw	ARM_instruction_vuzp.8-instruction_handler
	db	'vzip.8',0xe0
	dw	ARM_instruction_vzip.8-instruction_handler
	db	'waddhc',0xe0
	dw	ARM_instruction_waddhc-instruction_handler
	db	'waddwc',0xe0
	dw	ARM_instruction_waddwc-instruction_handler
	db	'wand~~',0x00
	dw	ARM_instruction_wand-instruction_handler
	db	'wavg2b',0xe0
	dw	ARM_instruction_wavg2b-instruction_handler
	db	'wavg2h',0xe0
	dw	ARM_instruction_wavg2h-instruction_handler
	db	'wavg4r',0xe0
	dw	ARM_instruction_wavg4r-instruction_handler
	db	'wmacsz',0xe0
	dw	ARM_instruction_wmacsz-instruction_handler
	db	'wmacuz',0xe0
	dw	ARM_instruction_wmacuz-instruction_handler
	db	'wmadds',0xe0
	dw	ARM_instruction_wmadds-instruction_handler
	db	'wmaddu',0xe0
	dw	ARM_instruction_wmaddu-instruction_handler
	db	'wmaxsb',0xe0
	dw	ARM_instruction_wmaxsb-instruction_handler
	db	'wmaxsh',0xe0
	dw	ARM_instruction_wmaxsh-instruction_handler
	db	'wmaxsw',0xe0
	dw	ARM_instruction_wmaxsw-instruction_handler
	db	'wmaxub',0xe0
	dw	ARM_instruction_wmaxub-instruction_handler
	db	'wmaxuh',0xe0
	dw	ARM_instruction_wmaxuh-instruction_handler
	db	'wmaxuw',0xe0
	dw	ARM_instruction_wmaxuw-instruction_handler
	db	'wmerge',0xe0
	dw	ARM_instruction_wmerge-instruction_handler
	db	'wmiabb',0xe0
	dw	ARM_instruction_wmiabb-instruction_handler
	db	'wmiabt',0xe0
	dw	ARM_instruction_wmiabt-instruction_handler
	db	'wmiatb',0xe0
	dw	ARM_instruction_wmiatb-instruction_handler
	db	'wmiatt',0xe0
	dw	ARM_instruction_wmiatt-instruction_handler
	db	'wminsb',0xe0
	dw	ARM_instruction_wminsb-instruction_handler
	db	'wminsh',0xe0
	dw	ARM_instruction_wminsh-instruction_handler
	db	'wminsw',0xe0
	dw	ARM_instruction_wminsw-instruction_handler
	db	'wminub',0xe0
	dw	ARM_instruction_wminub-instruction_handler
	db	'wminuh',0xe0
	dw	ARM_instruction_wminuh-instruction_handler
	db	'wminuw',0xe0
	dw	ARM_instruction_wminuw-instruction_handler
	db	'wmov~~',0x00
	dw	ARM_instruction_wmov-instruction_handler
	db	'wmulsl',0xe0
	dw	ARM_instruction_wmulsl-instruction_handler
	db	'wmulsm',0xe0
	dw	ARM_instruction_wmulsm-instruction_handler
	db	'wmulul',0xe0
	dw	ARM_instruction_wmulul-instruction_handler
	db	'wmulum',0xe0
	dw	ARM_instruction_wmulum-instruction_handler
	db	'wmulwl',0xe0
	dw	ARM_instruction_wmulwl-instruction_handler
	db	'wqmulm',0xe0
	dw	ARM_instruction_wqmulm-instruction_handler
	db	'wrordg',0xe0
	dw	ARM_instruction_wrordg-instruction_handler
	db	'wrorhg',0xe0
	dw	ARM_instruction_wrorhg-instruction_handler
	db	'wrorwg',0xe0
	dw	ARM_instruction_wrorwg-instruction_handler
	db	'wsadbz',0xe0
	dw	ARM_instruction_wsadbz-instruction_handler
	db	'wsadhz',0xe0
	dw	ARM_instruction_wsadhz-instruction_handler
	db	'wshufh',0xe0
	dw	ARM_instruction_wshufh-instruction_handler
	db	'wslldg',0xe0
	dw	ARM_instruction_wslldg-instruction_handler
	db	'wsllhg',0xe0
	dw	ARM_instruction_wsllhg-instruction_handler
	db	'wsllwg',0xe0
	dw	ARM_instruction_wsllwg-instruction_handler
	db	'wsradg',0xe0
	dw	ARM_instruction_wsradg-instruction_handler
	db	'wsrahg',0xe0
	dw	ARM_instruction_wsrahg-instruction_handler
	db	'wsrawg',0xe0
	dw	ARM_instruction_wsrawg-instruction_handler
	db	'wsrldg',0xe0
	dw	ARM_instruction_wsrldg-instruction_handler
	db	'wsrlhg',0xe0
	dw	ARM_instruction_wsrlhg-instruction_handler
	db	'wsrlwg',0xe0
	dw	ARM_instruction_wsrlwg-instruction_handler
	db	'wxor~~',0x00
	dw	ARM_instruction_wxor-instruction_handler
	db	0
instructions_7:
	db	'abs~~dm',0x00
	dw	ARM_instruction_absdm-instruction_handler
	db	'abs~~dp',0x00
	dw	ARM_instruction_absdp-instruction_handler
	db	'abs~~dz',0x00
	dw	ARM_instruction_absdz-instruction_handler
	db	'abs~~em',0x00
	dw	ARM_instruction_absem-instruction_handler
	db	'abs~~ep',0x00
	dw	ARM_instruction_absep-instruction_handler
	db	'abs~~ez',0x00
	dw	ARM_instruction_absez-instruction_handler
	db	'abs~~sm',0x00
	dw	ARM_instruction_abssm-instruction_handler
	db	'abs~~sp',0x00
	dw	ARM_instruction_abssp-instruction_handler
	db	'abs~~sz',0x00
	dw	ARM_instruction_abssz-instruction_handler
	db	'acs~~dm',0x00
	dw	ARM_instruction_acsdm-instruction_handler
	db	'acs~~dp',0x00
	dw	ARM_instruction_acsdp-instruction_handler
	db	'acs~~dz',0x00
	dw	ARM_instruction_acsdz-instruction_handler
	db	'acs~~em',0x00
	dw	ARM_instruction_acsem-instruction_handler
	db	'acs~~ep',0x00
	dw	ARM_instruction_acsep-instruction_handler
	db	'acs~~ez',0x00
	dw	ARM_instruction_acsez-instruction_handler
	db	'acs~~sm',0x00
	dw	ARM_instruction_acssm-instruction_handler
	db	'acs~~sp',0x00
	dw	ARM_instruction_acssp-instruction_handler
	db	'acs~~sz',0x00
	dw	ARM_instruction_acssz-instruction_handler
	db	'adc~~.n',0x04
	dw	ARM_instruction_adc-instruction_handler
	db	'adc~~.w',0x02
	dw	ARM_instruction_adc-instruction_handler
	db	'add~~.n',0x04
	dw	ARM_instruction_add-instruction_handler
	db	'add~~.w',0x02
	dw	ARM_instruction_add-instruction_handler
	db	'adf~~dm',0x00
	dw	ARM_instruction_adfdm-instruction_handler
	db	'adf~~dp',0x00
	dw	ARM_instruction_adfdp-instruction_handler
	db	'adf~~dz',0x00
	dw	ARM_instruction_adfdz-instruction_handler
	db	'adf~~em',0x00
	dw	ARM_instruction_adfem-instruction_handler
	db	'adf~~ep',0x00
	dw	ARM_instruction_adfep-instruction_handler
	db	'adf~~ez',0x00
	dw	ARM_instruction_adfez-instruction_handler
	db	'adf~~sm',0x00
	dw	ARM_instruction_adfsm-instruction_handler
	db	'adf~~sp',0x00
	dw	ARM_instruction_adfsp-instruction_handler
	db	'adf~~sz',0x00
	dw	ARM_instruction_adfsz-instruction_handler
	db	'adr~~.n',0x04
	dw	ARM_instruction_adr-instruction_handler
	db	'adr~~.w',0x02
	dw	ARM_instruction_adr-instruction_handler
	db	'and~~.n',0x04
	dw	ARM_instruction_and-instruction_handler
	db	'and~~.w',0x02
	dw	ARM_instruction_and-instruction_handler
	db	'asn~~dm',0x00
	dw	ARM_instruction_asndm-instruction_handler
	db	'asn~~dp',0x00
	dw	ARM_instruction_asndp-instruction_handler
	db	'asn~~dz',0x00
	dw	ARM_instruction_asndz-instruction_handler
	db	'asn~~em',0x00
	dw	ARM_instruction_asnem-instruction_handler
	db	'asn~~ep',0x00
	dw	ARM_instruction_asnep-instruction_handler
	db	'asn~~ez',0x00
	dw	ARM_instruction_asnez-instruction_handler
	db	'asn~~sm',0x00
	dw	ARM_instruction_asnsm-instruction_handler
	db	'asn~~sp',0x00
	dw	ARM_instruction_asnsp-instruction_handler
	db	'asn~~sz',0x00
	dw	ARM_instruction_asnsz-instruction_handler
	db	'asr~~.n',0x04
	dw	ARM_instruction_asr-instruction_handler
	db	'asr~~.w',0x02
	dw	ARM_instruction_asr-instruction_handler
	db	'atn~~dm',0x00
	dw	ARM_instruction_atndm-instruction_handler
	db	'atn~~dp',0x00
	dw	ARM_instruction_atndp-instruction_handler
	db	'atn~~dz',0x00
	dw	ARM_instruction_atndz-instruction_handler
	db	'atn~~em',0x00
	dw	ARM_instruction_atnem-instruction_handler
	db	'atn~~ep',0x00
	dw	ARM_instruction_atnep-instruction_handler
	db	'atn~~ez',0x00
	dw	ARM_instruction_atnez-instruction_handler
	db	'atn~~sm',0x00
	dw	ARM_instruction_atnsm-instruction_handler
	db	'atn~~sp',0x00
	dw	ARM_instruction_atnsp-instruction_handler
	db	'atn~~sz',0x00
	dw	ARM_instruction_atnsz-instruction_handler
	db	'bic~~.n',0x04
	dw	ARM_instruction_bic-instruction_handler
	db	'bic~~.w',0x02
	dw	ARM_instruction_bic-instruction_handler
	db	'blx~~.n',0x04
	dw	ARM_instruction_blx-instruction_handler
	db	'blx~~.w',0x02
	dw	ARM_instruction_blx-instruction_handler
	db	'cfabs32',0xe0
	dw	ARM_instruction_cfabs32-instruction_handler
	db	'cfabs64',0xe0
	dw	ARM_instruction_cfabs64-instruction_handler
	db	'cfadd32',0xe0
	dw	ARM_instruction_cfadd32-instruction_handler
	db	'cfadd64',0xe0
	dw	ARM_instruction_cfadd64-instruction_handler
	db	'cfcmp32',0xe0
	dw	ARM_instruction_cfcmp32-instruction_handler
	db	'cfcmp64',0xe0
	dw	ARM_instruction_cfcmp64-instruction_handler
	db	'cfcvtds',0xe0
	dw	ARM_instruction_cfcvtds-instruction_handler
	db	'cfcvtsd',0xe0
	dw	ARM_instruction_cfcvtsd-instruction_handler
	db	'cfldr32',0xe0
	dw	ARM_instruction_cfldr32-instruction_handler
	db	'cfldr64',0xe0
	dw	ARM_instruction_cfldr64-instruction_handler
	db	'cfmac32',0xe0
	dw	ARM_instruction_cfmac32-instruction_handler
	db	'cfmsc32',0xe0
	dw	ARM_instruction_cfmsc32-instruction_handler
	db	'cfmul32',0xe0
	dw	ARM_instruction_cfmul32-instruction_handler
	db	'cfmul64',0xe0
	dw	ARM_instruction_cfmul64-instruction_handler
	db	'cfmv32a',0xe0
	dw	ARM_instruction_cfmv32a-instruction_handler
	db	'cfmv64a',0xe0
	dw	ARM_instruction_cfmv64a-instruction_handler
	db	'cfmva32',0xe0
	dw	ARM_instruction_cfmva32-instruction_handler
	db	'cfmva64',0xe0
	dw	ARM_instruction_cfmva64-instruction_handler
	db	'cfmvdhr',0xe0
	dw	ARM_instruction_cfmvdhr-instruction_handler
	db	'cfmvdlr',0xe0
	dw	ARM_instruction_cfmvdlr-instruction_handler
	db	'cfmvrdh',0xe0
	dw	ARM_instruction_cfmvrdh-instruction_handler
	db	'cfmvrdl',0xe0
	dw	ARM_instruction_cfmvrdl-instruction_handler
	db	'cfneg32',0xe0
	dw	ARM_instruction_cfneg32-instruction_handler
	db	'cfneg64',0xe0
	dw	ARM_instruction_cfneg64-instruction_handler
	db	'cfstr32',0xe0
	dw	ARM_instruction_cfstr32-instruction_handler
	db	'cfstr64',0xe0
	dw	ARM_instruction_cfstr64-instruction_handler
	db	'cfsub32',0xe0
	dw	ARM_instruction_cfsub32-instruction_handler
	db	'cfsub64',0xe0
	dw	ARM_instruction_cfsub64-instruction_handler
	db	'clrex~~',0x00
	dw	ARM_instruction_clrex-instruction_handler
	db	'cmn~~.n',0x04
	dw	ARM_instruction_cmn-instruction_handler
	db	'cmn~~.w',0x02
	dw	ARM_instruction_cmn-instruction_handler
	db	'cmp~~.n',0x04
	dw	ARM_instruction_cmp-instruction_handler
	db	'cmp~~.w',0x02
	dw	ARM_instruction_cmp-instruction_handler
	db	'cos~~dm',0x00
	dw	ARM_instruction_cosdm-instruction_handler
	db	'cos~~dp',0x00
	dw	ARM_instruction_cosdp-instruction_handler
	db	'cos~~dz',0x00
	dw	ARM_instruction_cosdz-instruction_handler
	db	'cos~~em',0x00
	dw	ARM_instruction_cosem-instruction_handler
	db	'cos~~ep',0x00
	dw	ARM_instruction_cosep-instruction_handler
	db	'cos~~ez',0x00
	dw	ARM_instruction_cosez-instruction_handler
	db	'cos~~sm',0x00
	dw	ARM_instruction_cossm-instruction_handler
	db	'cos~~sp',0x00
	dw	ARM_instruction_cossp-instruction_handler
	db	'cos~~sz',0x00
	dw	ARM_instruction_cossz-instruction_handler
	db	'cpsid.n',0xf4
	dw	ARM_instruction_cpsid-instruction_handler
	db	'cpsid.w',0xf2
	dw	ARM_instruction_cpsid-instruction_handler
	db	'cpsie.n',0xf4
	dw	ARM_instruction_cpsie-instruction_handler
	db	'cpsie.w',0xf2
	dw	ARM_instruction_cpsie-instruction_handler
	db	'cpy~~.n',0x04
	dw	ARM_instruction_cpy-instruction_handler
	db	'cpy~~.w',0x02
	dw	ARM_instruction_cpy-instruction_handler
	db	'display',0x00
	dw	display_directive-instruction_handler
	db	'dvf~~dm',0x00
	dw	ARM_instruction_dvfdm-instruction_handler
	db	'dvf~~dp',0x00
	dw	ARM_instruction_dvfdp-instruction_handler
	db	'dvf~~dz',0x00
	dw	ARM_instruction_dvfdz-instruction_handler
	db	'dvf~~em',0x00
	dw	ARM_instruction_dvfem-instruction_handler
	db	'dvf~~ep',0x00
	dw	ARM_instruction_dvfep-instruction_handler
	db	'dvf~~ez',0x00
	dw	ARM_instruction_dvfez-instruction_handler
	db	'dvf~~sm',0x00
	dw	ARM_instruction_dvfsm-instruction_handler
	db	'dvf~~sp',0x00
	dw	ARM_instruction_dvfsp-instruction_handler
	db	'dvf~~sz',0x00
	dw	ARM_instruction_dvfsz-instruction_handler
	db	'eor~~.n',0x04
	dw	ARM_instruction_eor-instruction_handler
	db	'eor~~.w',0x02
	dw	ARM_instruction_eor-instruction_handler
	db	'exp~~dm',0x00
	dw	ARM_instruction_expdm-instruction_handler
	db	'exp~~dp',0x00
	dw	ARM_instruction_expdp-instruction_handler
	db	'exp~~dz',0x00
	dw	ARM_instruction_expdz-instruction_handler
	db	'exp~~em',0x00
	dw	ARM_instruction_expem-instruction_handler
	db	'exp~~ep',0x00
	dw	ARM_instruction_expep-instruction_handler
	db	'exp~~ez',0x00
	dw	ARM_instruction_expez-instruction_handler
	db	'exp~~sm',0x00
	dw	ARM_instruction_expsm-instruction_handler
	db	'exp~~sp',0x00
	dw	ARM_instruction_expsp-instruction_handler
	db	'exp~~sz',0x00
	dw	ARM_instruction_expsz-instruction_handler
	db	'fabsd~~',0x00
	dw	ARM_instruction_fabsd-instruction_handler
	db	'fabss~~',0x00
	dw	ARM_instruction_fabss-instruction_handler
	db	'faddd~~',0x00
	dw	ARM_instruction_faddd-instruction_handler
	db	'fadds~~',0x00
	dw	ARM_instruction_fadds-instruction_handler
	db	'fcmpd~~',0x00
	dw	ARM_instruction_fcmpd-instruction_handler
	db	'fcmpezd',0xe0
	dw	ARM_instruction_fcmpezd-instruction_handler
	db	'fcmpezs',0xe0
	dw	ARM_instruction_fcmpezs-instruction_handler
	db	'fcmps~~',0x00
	dw	ARM_instruction_fcmps-instruction_handler
	db	'fconstd',0xe0
	dw	ARM_instruction_fconstd-instruction_handler
	db	'fconsts',0xe0
	dw	ARM_instruction_fconsts-instruction_handler
	db	'fcpyd~~',0x00
	dw	ARM_instruction_fcpyd-instruction_handler
	db	'fcpys~~',0x00
	dw	ARM_instruction_fcpys-instruction_handler
	db	'fdivd~~',0x00
	dw	ARM_instruction_fdivd-instruction_handler
	db	'fdivs~~',0x00
	dw	ARM_instruction_fdivs-instruction_handler
	db	'fdv~~dm',0x00
	dw	ARM_instruction_fdvdm-instruction_handler
	db	'fdv~~dp',0x00
	dw	ARM_instruction_fdvdp-instruction_handler
	db	'fdv~~dz',0x00
	dw	ARM_instruction_fdvdz-instruction_handler
	db	'fdv~~em',0x00
	dw	ARM_instruction_fdvem-instruction_handler
	db	'fdv~~ep',0x00
	dw	ARM_instruction_fdvep-instruction_handler
	db	'fdv~~ez',0x00
	dw	ARM_instruction_fdvez-instruction_handler
	db	'fdv~~sm',0x00
	dw	ARM_instruction_fdvsm-instruction_handler
	db	'fdv~~sp',0x00
	dw	ARM_instruction_fdvsp-instruction_handler
	db	'fdv~~sz',0x00
	dw	ARM_instruction_fdvsz-instruction_handler
	db	'fldmdbd',0xe0
	dw	ARM_instruction_fldmdbd-instruction_handler
	db	'fldmdbs',0xe0
	dw	ARM_instruction_fldmdbs-instruction_handler
	db	'fldmdbx',0xe0
	dw	ARM_instruction_fldmdbx-instruction_handler
	db	'fldmd~~',0x00
	dw	ARM_instruction_fldmd-instruction_handler
	db	'fldmead',0xe0
	dw	ARM_instruction_fldmead-instruction_handler
	db	'fldmeas',0xe0
	dw	ARM_instruction_fldmeas-instruction_handler
	db	'fldmeax',0xe0
	dw	ARM_instruction_fldmeax-instruction_handler
	db	'fldmfdd',0xe0
	dw	ARM_instruction_fldmfdd-instruction_handler
	db	'fldmfds',0xe0
	dw	ARM_instruction_fldmfds-instruction_handler
	db	'fldmfdx',0xe0
	dw	ARM_instruction_fldmfdx-instruction_handler
	db	'fldmiad',0xe0
	dw	ARM_instruction_fldmiad-instruction_handler
	db	'fldmias',0xe0
	dw	ARM_instruction_fldmias-instruction_handler
	db	'fldmiax',0xe0
	dw	ARM_instruction_fldmiax-instruction_handler
	db	'fldms~~',0x00
	dw	ARM_instruction_fldms-instruction_handler
	db	'fldmx~~',0x00
	dw	ARM_instruction_fldmx-instruction_handler
	db	'flt~~dm',0x00
	dw	ARM_instruction_fltdm-instruction_handler
	db	'flt~~dp',0x00
	dw	ARM_instruction_fltdp-instruction_handler
	db	'flt~~dz',0x00
	dw	ARM_instruction_fltdz-instruction_handler
	db	'flt~~em',0x00
	dw	ARM_instruction_fltem-instruction_handler
	db	'flt~~ep',0x00
	dw	ARM_instruction_fltep-instruction_handler
	db	'flt~~ez',0x00
	dw	ARM_instruction_fltez-instruction_handler
	db	'flt~~sm',0x00
	dw	ARM_instruction_fltsm-instruction_handler
	db	'flt~~sp',0x00
	dw	ARM_instruction_fltsp-instruction_handler
	db	'flt~~sz',0x00
	dw	ARM_instruction_fltsz-instruction_handler
	db	'fmacd~~',0x00
	dw	ARM_instruction_fmacd-instruction_handler
	db	'fmacs~~',0x00
	dw	ARM_instruction_fmacs-instruction_handler
	db	'fmdhr~~',0x00
	dw	ARM_instruction_fmdhr-instruction_handler
	db	'fmdlr~~',0x00
	dw	ARM_instruction_fmdlr-instruction_handler
	db	'fmdrr~~',0x00
	dw	ARM_instruction_fmdrr-instruction_handler
	db	'fml~~dm',0x00
	dw	ARM_instruction_fmldm-instruction_handler
	db	'fml~~dp',0x00
	dw	ARM_instruction_fmldp-instruction_handler
	db	'fml~~dz',0x00
	dw	ARM_instruction_fmldz-instruction_handler
	db	'fml~~em',0x00
	dw	ARM_instruction_fmlem-instruction_handler
	db	'fml~~ep',0x00
	dw	ARM_instruction_fmlep-instruction_handler
	db	'fml~~ez',0x00
	dw	ARM_instruction_fmlez-instruction_handler
	db	'fml~~sm',0x00
	dw	ARM_instruction_fmlsm-instruction_handler
	db	'fml~~sp',0x00
	dw	ARM_instruction_fmlsp-instruction_handler
	db	'fml~~sz',0x00
	dw	ARM_instruction_fmlsz-instruction_handler
	db	'fmrdh~~',0x00
	dw	ARM_instruction_fmrdh-instruction_handler
	db	'fmrdl~~',0x00
	dw	ARM_instruction_fmrdl-instruction_handler
	db	'fmrrd~~',0x00
	dw	ARM_instruction_fmrrd-instruction_handler
	db	'fmrrs~~',0x00
	dw	ARM_instruction_fmrrs-instruction_handler
	db	'fmscd~~',0x00
	dw	ARM_instruction_fmscd-instruction_handler
	db	'fmscs~~',0x00
	dw	ARM_instruction_fmscs-instruction_handler
	db	'fmsrr~~',0x00
	dw	ARM_instruction_fmsrr-instruction_handler
	db	'fmuld~~',0x00
	dw	ARM_instruction_fmuld-instruction_handler
	db	'fmuls~~',0x00
	dw	ARM_instruction_fmuls-instruction_handler
	db	'fnegd~~',0x00
	dw	ARM_instruction_fnegd-instruction_handler
	db	'fnegs~~',0x00
	dw	ARM_instruction_fnegs-instruction_handler
	db	'frd~~dm',0x00
	dw	ARM_instruction_frddm-instruction_handler
	db	'frd~~dp',0x00
	dw	ARM_instruction_frddp-instruction_handler
	db	'frd~~dz',0x00
	dw	ARM_instruction_frddz-instruction_handler
	db	'frd~~em',0x00
	dw	ARM_instruction_frdem-instruction_handler
	db	'frd~~ep',0x00
	dw	ARM_instruction_frdep-instruction_handler
	db	'frd~~ez',0x00
	dw	ARM_instruction_frdez-instruction_handler
	db	'frd~~sm',0x00
	dw	ARM_instruction_frdsm-instruction_handler
	db	'frd~~sp',0x00
	dw	ARM_instruction_frdsp-instruction_handler
	db	'frd~~sz',0x00
	dw	ARM_instruction_frdsz-instruction_handler
	db	'fstmdbd',0xe0
	dw	ARM_instruction_fstmdbd-instruction_handler
	db	'fstmdbs',0xe0
	dw	ARM_instruction_fstmdbs-instruction_handler
	db	'fstmdbx',0xe0
	dw	ARM_instruction_fstmdbx-instruction_handler
	db	'fstmd~~',0x00
	dw	ARM_instruction_fstmd-instruction_handler
	db	'fstmead',0xe0
	dw	ARM_instruction_fstmead-instruction_handler
	db	'fstmeas',0xe0
	dw	ARM_instruction_fstmeas-instruction_handler
	db	'fstmeax',0xe0
	dw	ARM_instruction_fstmeax-instruction_handler
	db	'fstmfdd',0xe0
	dw	ARM_instruction_fstmfdd-instruction_handler
	db	'fstmfds',0xe0
	dw	ARM_instruction_fstmfds-instruction_handler
	db	'fstmfdx',0xe0
	dw	ARM_instruction_fstmfdx-instruction_handler
	db	'fstmiad',0xe0
	dw	ARM_instruction_fstmiad-instruction_handler
	db	'fstmias',0xe0
	dw	ARM_instruction_fstmias-instruction_handler
	db	'fstmiax',0xe0
	dw	ARM_instruction_fstmiax-instruction_handler
	db	'fstms~~',0x00
	dw	ARM_instruction_fstms-instruction_handler
	db	'fstmx~~',0x00
	dw	ARM_instruction_fstmx-instruction_handler
	db	'fsubd~~',0x00
	dw	ARM_instruction_fsubd-instruction_handler
	db	'fsubs~~',0x00
	dw	ARM_instruction_fsubs-instruction_handler
	db	'ftosizd',0xe0
	dw	ARM_instruction_ftosizd-instruction_handler
	db	'ftosizs',0xe0
	dw	ARM_instruction_ftosizs-instruction_handler
	db	'ftouizd',0xe0
	dw	ARM_instruction_ftouizd-instruction_handler
	db	'ftouizs',0xe0
	dw	ARM_instruction_ftouizs-instruction_handler
	db	'ldc2l~~',0x00
	dw	ARM_instruction_ldc2l-instruction_handler
	db	'ldmda~~',0x00
	dw	ARM_instruction_ldmda-instruction_handler
	db	'ldmdb~~',0x00
	dw	ARM_instruction_ldmdb-instruction_handler
	db	'ldmea~~',0x00
	dw	ARM_instruction_ldmea-instruction_handler
	db	'ldmed~~',0x00
	dw	ARM_instruction_ldmed-instruction_handler
	db	'ldmfa~~',0x00
	dw	ARM_instruction_ldmfa-instruction_handler
	db	'ldmfd.n',0xe4
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldmfd.w',0xe2
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldmfd~~',0x00
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldmia.n',0xe4
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldmia.w',0xe2
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldmia~~',0x00
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldmib~~',0x00
	dw	ARM_instruction_ldmib-instruction_handler
	db	'ldm~~.n',0x04
	dw	ARM_instruction_ldm-instruction_handler
	db	'ldm~~.w',0x02
	dw	ARM_instruction_ldm-instruction_handler
	db	'ldm~~da',0x00
	dw	ARM_instruction_ldmda-instruction_handler
	db	'ldm~~db',0x00
	dw	ARM_instruction_ldmdb-instruction_handler
	db	'ldm~~ea',0x00
	dw	ARM_instruction_ldmea-instruction_handler
	db	'ldm~~ed',0x00
	dw	ARM_instruction_ldmed-instruction_handler
	db	'ldm~~fa',0x00
	dw	ARM_instruction_ldmfa-instruction_handler
	db	'ldm~~fd',0x00
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldm~~ia',0x00
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldm~~ib',0x00
	dw	ARM_instruction_ldmib-instruction_handler
	db	'ldrbt~~',0x00
	dw	ARM_instruction_ldrbt-instruction_handler
	db	'ldrex~~',0x00
	dw	ARM_instruction_ldrex-instruction_handler
	db	'ldrht~~',0x00
	dw	ARM_instruction_ldrht-instruction_handler
	db	'ldrsb.n',0xe4
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldrsb.w',0xe2
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldrsb~~',0x00
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldrsh.n',0xe4
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldrsh.w',0xe2
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldrsh~~',0x00
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldr~~.n',0x04
	dw	ARM_instruction_ldr-instruction_handler
	db	'ldr~~.w',0x02
	dw	ARM_instruction_ldr-instruction_handler
	db	'ldr~~bt',0x00
	dw	ARM_instruction_ldrbt-instruction_handler
	db	'ldr~~ht',0x00
	dw	ARM_instruction_ldrht-instruction_handler
	db	'ldr~~sb',0x00
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldr~~sh',0x00
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'lfm~~ea',0x00
	dw	ARM_instruction_lfmea-instruction_handler
	db	'lfm~~fd',0x00
	dw	ARM_instruction_lfmfd-instruction_handler
	db	'lgn~~dm',0x00
	dw	ARM_instruction_lgndm-instruction_handler
	db	'lgn~~dp',0x00
	dw	ARM_instruction_lgndp-instruction_handler
	db	'lgn~~dz',0x00
	dw	ARM_instruction_lgndz-instruction_handler
	db	'lgn~~em',0x00
	dw	ARM_instruction_lgnem-instruction_handler
	db	'lgn~~ep',0x00
	dw	ARM_instruction_lgnep-instruction_handler
	db	'lgn~~ez',0x00
	dw	ARM_instruction_lgnez-instruction_handler
	db	'lgn~~sm',0x00
	dw	ARM_instruction_lgnsm-instruction_handler
	db	'lgn~~sp',0x00
	dw	ARM_instruction_lgnsp-instruction_handler
	db	'lgn~~sz',0x00
	dw	ARM_instruction_lgnsz-instruction_handler
	db	'log~~dm',0x00
	dw	ARM_instruction_logdm-instruction_handler
	db	'log~~dp',0x00
	dw	ARM_instruction_logdp-instruction_handler
	db	'log~~dz',0x00
	dw	ARM_instruction_logdz-instruction_handler
	db	'log~~em',0x00
	dw	ARM_instruction_logem-instruction_handler
	db	'log~~ep',0x00
	dw	ARM_instruction_logep-instruction_handler
	db	'log~~ez',0x00
	dw	ARM_instruction_logez-instruction_handler
	db	'log~~sm',0x00
	dw	ARM_instruction_logsm-instruction_handler
	db	'log~~sp',0x00
	dw	ARM_instruction_logsp-instruction_handler
	db	'log~~sz',0x00
	dw	ARM_instruction_logsz-instruction_handler
	db	'lsl~~.n',0x04
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsl~~.w',0x02
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsr~~.n',0x04
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsr~~.w',0x02
	dw	ARM_instruction_lsr-instruction_handler
	db	'mcrr2~~',0x00
	dw	ARM_instruction_mcrr2-instruction_handler
	db	'miabb~~',0x00
	dw	ARM_instruction_miabb-instruction_handler
	db	'miabt~~',0x00
	dw	ARM_instruction_miabt-instruction_handler
	db	'miaph~~',0x00
	dw	ARM_instruction_miaph-instruction_handler
	db	'miatb~~',0x00
	dw	ARM_instruction_miatb-instruction_handler
	db	'miatt~~',0x00
	dw	ARM_instruction_miatt-instruction_handler
	db	'mnf~~dm',0x00
	dw	ARM_instruction_mnfdm-instruction_handler
	db	'mnf~~dp',0x00
	dw	ARM_instruction_mnfdp-instruction_handler
	db	'mnf~~dz',0x00
	dw	ARM_instruction_mnfdz-instruction_handler
	db	'mnf~~em',0x00
	dw	ARM_instruction_mnfem-instruction_handler
	db	'mnf~~ep',0x00
	dw	ARM_instruction_mnfep-instruction_handler
	db	'mnf~~ez',0x00
	dw	ARM_instruction_mnfez-instruction_handler
	db	'mnf~~sm',0x00
	dw	ARM_instruction_mnfsm-instruction_handler
	db	'mnf~~sp',0x00
	dw	ARM_instruction_mnfsp-instruction_handler
	db	'mnf~~sz',0x00
	dw	ARM_instruction_mnfsz-instruction_handler
	db	'mov~~.n',0x04
	dw	ARM_instruction_mov-instruction_handler
	db	'mov~~.w',0x02
	dw	ARM_instruction_mov-instruction_handler
	db	'mrrc2~~',0x00
	dw	ARM_instruction_mrrc2-instruction_handler
	db	'muf~~dm',0x00
	dw	ARM_instruction_mufdm-instruction_handler
	db	'muf~~dp',0x00
	dw	ARM_instruction_mufdp-instruction_handler
	db	'muf~~dz',0x00
	dw	ARM_instruction_mufdz-instruction_handler
	db	'muf~~em',0x00
	dw	ARM_instruction_mufem-instruction_handler
	db	'muf~~ep',0x00
	dw	ARM_instruction_mufep-instruction_handler
	db	'muf~~ez',0x00
	dw	ARM_instruction_mufez-instruction_handler
	db	'muf~~sm',0x00
	dw	ARM_instruction_mufsm-instruction_handler
	db	'muf~~sp',0x00
	dw	ARM_instruction_mufsp-instruction_handler
	db	'muf~~sz',0x00
	dw	ARM_instruction_mufsz-instruction_handler
	db	'mul~~.n',0x04
	dw	ARM_instruction_mul-instruction_handler
	db	'mul~~.w',0x02
	dw	ARM_instruction_mul-instruction_handler
	db	'mvf~~dm',0x00
	dw	ARM_instruction_mvfdm-instruction_handler
	db	'mvf~~dp',0x00
	dw	ARM_instruction_mvfdp-instruction_handler
	db	'mvf~~dz',0x00
	dw	ARM_instruction_mvfdz-instruction_handler
	db	'mvf~~em',0x00
	dw	ARM_instruction_mvfem-instruction_handler
	db	'mvf~~ep',0x00
	dw	ARM_instruction_mvfep-instruction_handler
	db	'mvf~~ez',0x00
	dw	ARM_instruction_mvfez-instruction_handler
	db	'mvf~~sm',0x00
	dw	ARM_instruction_mvfsm-instruction_handler
	db	'mvf~~sp',0x00
	dw	ARM_instruction_mvfsp-instruction_handler
	db	'mvf~~sz',0x00
	dw	ARM_instruction_mvfsz-instruction_handler
	db	'mvn~~.n',0x04
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvn~~.w',0x02
	dw	ARM_instruction_mvn-instruction_handler
	db	'neg~~.n',0x04
	dw	ARM_instruction_neg-instruction_handler
	db	'neg~~.w',0x02
	dw	ARM_instruction_neg-instruction_handler
	db	'nop~~.n',0x04
	dw	ARM_instruction_nop-instruction_handler
	db	'nop~~.w',0x02
	dw	ARM_instruction_nop-instruction_handler
	db	'nrm~~dm',0x00
	dw	ARM_instruction_nrmdm-instruction_handler
	db	'nrm~~dp',0x00
	dw	ARM_instruction_nrmdp-instruction_handler
	db	'nrm~~dz',0x00
	dw	ARM_instruction_nrmdz-instruction_handler
	db	'nrm~~em',0x00
	dw	ARM_instruction_nrmem-instruction_handler
	db	'nrm~~ep',0x00
	dw	ARM_instruction_nrmep-instruction_handler
	db	'nrm~~ez',0x00
	dw	ARM_instruction_nrmez-instruction_handler
	db	'nrm~~sm',0x00
	dw	ARM_instruction_nrmsm-instruction_handler
	db	'nrm~~sp',0x00
	dw	ARM_instruction_nrmsp-instruction_handler
	db	'nrm~~sz',0x00
	dw	ARM_instruction_nrmsz-instruction_handler
	db	'orr~~.n',0x04
	dw	ARM_instruction_orr-instruction_handler
	db	'orr~~.w',0x02
	dw	ARM_instruction_orr-instruction_handler
	db	'pkhbt~~',0x00
	dw	ARM_instruction_pkhbt-instruction_handler
	db	'pkhtb~~',0x00
	dw	ARM_instruction_pkhtb-instruction_handler
	db	'pol~~dm',0x00
	dw	ARM_instruction_poldm-instruction_handler
	db	'pol~~dp',0x00
	dw	ARM_instruction_poldp-instruction_handler
	db	'pol~~dz',0x00
	dw	ARM_instruction_poldz-instruction_handler
	db	'pol~~em',0x00
	dw	ARM_instruction_polem-instruction_handler
	db	'pol~~ep',0x00
	dw	ARM_instruction_polep-instruction_handler
	db	'pol~~ez',0x00
	dw	ARM_instruction_polez-instruction_handler
	db	'pol~~sm',0x00
	dw	ARM_instruction_polsm-instruction_handler
	db	'pol~~sp',0x00
	dw	ARM_instruction_polsp-instruction_handler
	db	'pol~~sz',0x00
	dw	ARM_instruction_polsz-instruction_handler
	db	'pop~~.n',0x04
	dw	ARM_instruction_pop-instruction_handler
	db	'pop~~.w',0x02
	dw	ARM_instruction_pop-instruction_handler
	db	'pow~~dm',0x00
	dw	ARM_instruction_powdm-instruction_handler
	db	'pow~~dp',0x00
	dw	ARM_instruction_powdp-instruction_handler
	db	'pow~~dz',0x00
	dw	ARM_instruction_powdz-instruction_handler
	db	'pow~~em',0x00
	dw	ARM_instruction_powem-instruction_handler
	db	'pow~~ep',0x00
	dw	ARM_instruction_powep-instruction_handler
	db	'pow~~ez',0x00
	dw	ARM_instruction_powez-instruction_handler
	db	'pow~~sm',0x00
	dw	ARM_instruction_powsm-instruction_handler
	db	'pow~~sp',0x00
	dw	ARM_instruction_powsp-instruction_handler
	db	'pow~~sz',0x00
	dw	ARM_instruction_powsz-instruction_handler
	db	'qadd8~~',0x00
	dw	ARM_instruction_qadd8-instruction_handler
	db	'qdadd~~',0x00
	dw	ARM_instruction_qdadd-instruction_handler
	db	'qdsub~~',0x00
	dw	ARM_instruction_qdsub-instruction_handler
	db	'qsub8~~',0x00
	dw	ARM_instruction_qsub8-instruction_handler
	db	'rdf~~dm',0x00
	dw	ARM_instruction_rdfdm-instruction_handler
	db	'rdf~~dp',0x00
	dw	ARM_instruction_rdfdp-instruction_handler
	db	'rdf~~dz',0x00
	dw	ARM_instruction_rdfdz-instruction_handler
	db	'rdf~~em',0x00
	dw	ARM_instruction_rdfem-instruction_handler
	db	'rdf~~ep',0x00
	dw	ARM_instruction_rdfep-instruction_handler
	db	'rdf~~ez',0x00
	dw	ARM_instruction_rdfez-instruction_handler
	db	'rdf~~sm',0x00
	dw	ARM_instruction_rdfsm-instruction_handler
	db	'rdf~~sp',0x00
	dw	ARM_instruction_rdfsp-instruction_handler
	db	'rdf~~sz',0x00
	dw	ARM_instruction_rdfsz-instruction_handler
	db	'rev16.n',0xe4
	dw	ARM_instruction_rev16-instruction_handler
	db	'rev16.w',0xe2
	dw	ARM_instruction_rev16-instruction_handler
	db	'rev16~~',0x00
	dw	ARM_instruction_rev16-instruction_handler
	db	'revsh.n',0xe4
	dw	ARM_instruction_revsh-instruction_handler
	db	'revsh.w',0xe2
	dw	ARM_instruction_revsh-instruction_handler
	db	'revsh~~',0x00
	dw	ARM_instruction_revsh-instruction_handler
	db	'rev~~.n',0x04
	dw	ARM_instruction_rev-instruction_handler
	db	'rev~~.w',0x02
	dw	ARM_instruction_rev-instruction_handler
	db	'rmf~~dm',0x00
	dw	ARM_instruction_rmfdm-instruction_handler
	db	'rmf~~dp',0x00
	dw	ARM_instruction_rmfdp-instruction_handler
	db	'rmf~~dz',0x00
	dw	ARM_instruction_rmfdz-instruction_handler
	db	'rmf~~em',0x00
	dw	ARM_instruction_rmfem-instruction_handler
	db	'rmf~~ep',0x00
	dw	ARM_instruction_rmfep-instruction_handler
	db	'rmf~~ez',0x00
	dw	ARM_instruction_rmfez-instruction_handler
	db	'rmf~~sm',0x00
	dw	ARM_instruction_rmfsm-instruction_handler
	db	'rmf~~sp',0x00
	dw	ARM_instruction_rmfsp-instruction_handler
	db	'rmf~~sz',0x00
	dw	ARM_instruction_rmfsz-instruction_handler
	db	'rnd~~dm',0x00
	dw	ARM_instruction_rnddm-instruction_handler
	db	'rnd~~dp',0x00
	dw	ARM_instruction_rnddp-instruction_handler
	db	'rnd~~dz',0x00
	dw	ARM_instruction_rnddz-instruction_handler
	db	'rnd~~em',0x00
	dw	ARM_instruction_rndem-instruction_handler
	db	'rnd~~ep',0x00
	dw	ARM_instruction_rndep-instruction_handler
	db	'rnd~~ez',0x00
	dw	ARM_instruction_rndez-instruction_handler
	db	'rnd~~sm',0x00
	dw	ARM_instruction_rndsm-instruction_handler
	db	'rnd~~sp',0x00
	dw	ARM_instruction_rndsp-instruction_handler
	db	'rnd~~sz',0x00
	dw	ARM_instruction_rndsz-instruction_handler
	db	'ror~~.n',0x04
	dw	ARM_instruction_ror-instruction_handler
	db	'ror~~.w',0x02
	dw	ARM_instruction_ror-instruction_handler
	db	'rpw~~dm',0x00
	dw	ARM_instruction_rpwdm-instruction_handler
	db	'rpw~~dp',0x00
	dw	ARM_instruction_rpwdp-instruction_handler
	db	'rpw~~dz',0x00
	dw	ARM_instruction_rpwdz-instruction_handler
	db	'rpw~~em',0x00
	dw	ARM_instruction_rpwem-instruction_handler
	db	'rpw~~ep',0x00
	dw	ARM_instruction_rpwep-instruction_handler
	db	'rpw~~ez',0x00
	dw	ARM_instruction_rpwez-instruction_handler
	db	'rpw~~sm',0x00
	dw	ARM_instruction_rpwsm-instruction_handler
	db	'rpw~~sp',0x00
	dw	ARM_instruction_rpwsp-instruction_handler
	db	'rpw~~sz',0x00
	dw	ARM_instruction_rpwsz-instruction_handler
	db	'rsb~~.n',0x04
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsb~~.w',0x02
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsf~~dm',0x00
	dw	ARM_instruction_rsfdm-instruction_handler
	db	'rsf~~dp',0x00
	dw	ARM_instruction_rsfdp-instruction_handler
	db	'rsf~~dz',0x00
	dw	ARM_instruction_rsfdz-instruction_handler
	db	'rsf~~em',0x00
	dw	ARM_instruction_rsfem-instruction_handler
	db	'rsf~~ep',0x00
	dw	ARM_instruction_rsfep-instruction_handler
	db	'rsf~~ez',0x00
	dw	ARM_instruction_rsfez-instruction_handler
	db	'rsf~~sm',0x00
	dw	ARM_instruction_rsfsm-instruction_handler
	db	'rsf~~sp',0x00
	dw	ARM_instruction_rsfsp-instruction_handler
	db	'rsf~~sz',0x00
	dw	ARM_instruction_rsfsz-instruction_handler
	db	'sadd8~~',0x00
	dw	ARM_instruction_sadd8-instruction_handler
	db	'sbc~~.n',0x04
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbc~~.w',0x02
	dw	ARM_instruction_sbc-instruction_handler
	db	'section',0x00
	dw	ARM_section_directive-instruction_handler
	db	'segment',0x00
	dw	segment_directive-instruction_handler
	db	'sev~~.n',0x04
	dw	ARM_instruction_sev-instruction_handler
	db	'sev~~.w',0x02
	dw	ARM_instruction_sev-instruction_handler
	db	'sfm~~ea',0x00
	dw	ARM_instruction_sfmea-instruction_handler
	db	'sfm~~fd',0x00
	dw	ARM_instruction_sfmfd-instruction_handler
	db	'shadd16',0xe0
	dw	ARM_instruction_shadd16-instruction_handler
	db	'shasx~~',0x00
	dw	ARM_instruction_shasx-instruction_handler
	db	'shsax~~',0x00
	dw	ARM_instruction_shsax-instruction_handler
	db	'shsub16',0xe0
	dw	ARM_instruction_shsub16-instruction_handler
	db	'sin~~dm',0x00
	dw	ARM_instruction_sindm-instruction_handler
	db	'sin~~dp',0x00
	dw	ARM_instruction_sindp-instruction_handler
	db	'sin~~dz',0x00
	dw	ARM_instruction_sindz-instruction_handler
	db	'sin~~em',0x00
	dw	ARM_instruction_sinem-instruction_handler
	db	'sin~~ep',0x00
	dw	ARM_instruction_sinep-instruction_handler
	db	'sin~~ez',0x00
	dw	ARM_instruction_sinez-instruction_handler
	db	'sin~~sm',0x00
	dw	ARM_instruction_sinsm-instruction_handler
	db	'sin~~sp',0x00
	dw	ARM_instruction_sinsp-instruction_handler
	db	'sin~~sz',0x00
	dw	ARM_instruction_sinsz-instruction_handler
	db	'smlad~~',0x00
	dw	ARM_instruction_smlad-instruction_handler
	db	'smlalbb',0xe0
	dw	ARM_instruction_smlalbb-instruction_handler
	db	'smlalbt',0xe0
	dw	ARM_instruction_smlalbt-instruction_handler
	db	'smlaldx',0xe0
	dw	ARM_instruction_smlaldx-instruction_handler
	db	'smlaltb',0xe0
	dw	ARM_instruction_smlaltb-instruction_handler
	db	'smlaltt',0xe0
	dw	ARM_instruction_smlaltt-instruction_handler
	db	'smlal~~',0x00
	dw	ARM_instruction_smlal-instruction_handler
	db	'smlsd~~',0x00
	dw	ARM_instruction_smlsd-instruction_handler
	db	'smlsldx',0xe0
	dw	ARM_instruction_smlsldx-instruction_handler
	db	'smmla~~',0x00
	dw	ARM_instruction_smmla-instruction_handler
	db	'smmls~~',0x00
	dw	ARM_instruction_smmls-instruction_handler
	db	'smmul~~',0x00
	dw	ARM_instruction_smmul-instruction_handler
	db	'smuad~~',0x00
	dw	ARM_instruction_smuad-instruction_handler
	db	'smull~~',0x00
	dw	ARM_instruction_smull-instruction_handler
	db	'smusd~~',0x00
	dw	ARM_instruction_smusd-instruction_handler
	db	'sqt~~dm',0x00
	dw	ARM_instruction_sqtdm-instruction_handler
	db	'sqt~~dp',0x00
	dw	ARM_instruction_sqtdp-instruction_handler
	db	'sqt~~dz',0x00
	dw	ARM_instruction_sqtdz-instruction_handler
	db	'sqt~~em',0x00
	dw	ARM_instruction_sqtem-instruction_handler
	db	'sqt~~ep',0x00
	dw	ARM_instruction_sqtep-instruction_handler
	db	'sqt~~ez',0x00
	dw	ARM_instruction_sqtez-instruction_handler
	db	'sqt~~sm',0x00
	dw	ARM_instruction_sqtsm-instruction_handler
	db	'sqt~~sp',0x00
	dw	ARM_instruction_sqtsp-instruction_handler
	db	'sqt~~sz',0x00
	dw	ARM_instruction_sqtsz-instruction_handler
	db	'ssub8~~',0x00
	dw	ARM_instruction_ssub8-instruction_handler
	db	'stc2l~~',0x00
	dw	ARM_instruction_stc2l-instruction_handler
	db	'stmda~~',0x00
	dw	ARM_instruction_stmda-instruction_handler
	db	'stmdb.n',0xe4
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stmdb.w',0xe2
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stmdb~~',0x00
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stmea~~',0x00
	dw	ARM_instruction_stmea-instruction_handler
	db	'stmed~~',0x00
	dw	ARM_instruction_stmed-instruction_handler
	db	'stmfa~~',0x00
	dw	ARM_instruction_stmfa-instruction_handler
	db	'stmfd.n',0xe4
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stmfd.w',0xe2
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stmfd~~',0x00
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stmia.n',0xe4
	dw	ARM_instruction_stmia-instruction_handler
	db	'stmia.w',0xe2
	dw	ARM_instruction_stmia-instruction_handler
	db	'stmia~~',0x00
	dw	ARM_instruction_stmia-instruction_handler
	db	'stmib~~',0x00
	dw	ARM_instruction_stmib-instruction_handler
	db	'stm~~.n',0x04
	dw	ARM_instruction_stm-instruction_handler
	db	'stm~~.w',0x02
	dw	ARM_instruction_stm-instruction_handler
	db	'stm~~da',0x00
	dw	ARM_instruction_stmda-instruction_handler
	db	'stm~~db',0x00
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stm~~ea',0x00
	dw	ARM_instruction_stmea-instruction_handler
	db	'stm~~ed',0x00
	dw	ARM_instruction_stmed-instruction_handler
	db	'stm~~fa',0x00
	dw	ARM_instruction_stmfa-instruction_handler
	db	'stm~~fd',0x00
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stm~~ia',0x00
	dw	ARM_instruction_stmia-instruction_handler
	db	'stm~~ib',0x00
	dw	ARM_instruction_stmib-instruction_handler
	db	'strbt~~',0x00
	dw	ARM_instruction_strbt-instruction_handler
	db	'strex~~',0x00
	dw	ARM_instruction_strex-instruction_handler
	db	'strht~~',0x00
	dw	ARM_instruction_strht-instruction_handler
	db	'str~~.n',0x04
	dw	ARM_instruction_str-instruction_handler
	db	'str~~.w',0x02
	dw	ARM_instruction_str-instruction_handler
	db	'str~~bt',0x00
	dw	ARM_instruction_strbt-instruction_handler
	db	'str~~ht',0x00
	dw	ARM_instruction_strht-instruction_handler
	db	'sub~~.n',0x04
	dw	ARM_instruction_sub-instruction_handler
	db	'sub~~.w',0x02
	dw	ARM_instruction_sub-instruction_handler
	db	'suf~~dm',0x00
	dw	ARM_instruction_sufdm-instruction_handler
	db	'suf~~dp',0x00
	dw	ARM_instruction_sufdp-instruction_handler
	db	'suf~~dz',0x00
	dw	ARM_instruction_sufdz-instruction_handler
	db	'suf~~em',0x00
	dw	ARM_instruction_sufem-instruction_handler
	db	'suf~~ep',0x00
	dw	ARM_instruction_sufep-instruction_handler
	db	'suf~~ez',0x00
	dw	ARM_instruction_sufez-instruction_handler
	db	'suf~~sm',0x00
	dw	ARM_instruction_sufsm-instruction_handler
	db	'suf~~sp',0x00
	dw	ARM_instruction_sufsp-instruction_handler
	db	'suf~~sz',0x00
	dw	ARM_instruction_sufsz-instruction_handler
	db	'svc~~.n',0x04
	dw	ARM_instruction_svc-instruction_handler
	db	'svc~~.w',0x02
	dw	ARM_instruction_svc-instruction_handler
	db	'swi~~.n',0x04
	dw	ARM_instruction_swi-instruction_handler
	db	'swi~~.w',0x02
	dw	ARM_instruction_swi-instruction_handler
	db	'sxtab16',0xe0
	dw	ARM_instruction_sxtab16-instruction_handler
	db	'sxtab~~',0x00
	dw	ARM_instruction_sxtab-instruction_handler
	db	'sxtah~~',0x00
	dw	ARM_instruction_sxtah-instruction_handler
	db	'tan~~dm',0x00
	dw	ARM_instruction_tandm-instruction_handler
	db	'tan~~dp',0x00
	dw	ARM_instruction_tandp-instruction_handler
	db	'tan~~dz',0x00
	dw	ARM_instruction_tandz-instruction_handler
	db	'tan~~em',0x00
	dw	ARM_instruction_tanem-instruction_handler
	db	'tan~~ep',0x00
	dw	ARM_instruction_tanep-instruction_handler
	db	'tan~~ez',0x00
	dw	ARM_instruction_tanez-instruction_handler
	db	'tan~~sm',0x00
	dw	ARM_instruction_tansm-instruction_handler
	db	'tan~~sp',0x00
	dw	ARM_instruction_tansp-instruction_handler
	db	'tan~~sz',0x00
	dw	ARM_instruction_tansz-instruction_handler
	db	'textrcb',0xe0
	dw	ARM_instruction_textrcb-instruction_handler
	db	'textrch',0xe0
	dw	ARM_instruction_textrch-instruction_handler
	db	'textrcw',0xe0
	dw	ARM_instruction_textrcw-instruction_handler
	db	'thumbee',0x00
	dw	ARM_thumbee_directive-instruction_handler
	db	'tmcrr~~',0x00
	dw	ARM_instruction_tmcrr-instruction_handler
	db	'tmrrc~~',0x00
	dw	ARM_instruction_tmrrc-instruction_handler
	db	'torcb~~',0x00
	dw	ARM_instruction_torcb-instruction_handler
	db	'torch~~',0x00
	dw	ARM_instruction_torch-instruction_handler
	db	'torcw~~',0x00
	dw	ARM_instruction_torcw-instruction_handler
	db	'torvscb',0xe0
	dw	ARM_instruction_torvscb-instruction_handler
	db	'torvsch',0xe0
	dw	ARM_instruction_torvsch-instruction_handler
	db	'torvscw',0xe0
	dw	ARM_instruction_torvscw-instruction_handler
	db	'tst~~.n',0x04
	dw	ARM_instruction_tst-instruction_handler
	db	'tst~~.w',0x02
	dw	ARM_instruction_tst-instruction_handler
	db	'uadd8~~',0x00
	dw	ARM_instruction_uadd8-instruction_handler
	db	'uhadd16',0xe0
	dw	ARM_instruction_uhadd16-instruction_handler
	db	'uhasx~~',0x00
	dw	ARM_instruction_uhasx-instruction_handler
	db	'uhsax~~',0x00
	dw	ARM_instruction_uhsax-instruction_handler
	db	'uhsub16',0xe0
	dw	ARM_instruction_uhsub16-instruction_handler
	db	'umaal~~',0x00
	dw	ARM_instruction_umaal-instruction_handler
	db	'umlal~~',0x00
	dw	ARM_instruction_umlal-instruction_handler
	db	'umull~~',0x00
	dw	ARM_instruction_umull-instruction_handler
	db	'und~~.n',0x04
	dw	ARM_instruction_und-instruction_handler
	db	'und~~.w',0x02
	dw	ARM_instruction_und-instruction_handler
	db	'uqadd16',0xe0
	dw	ARM_instruction_uqadd16-instruction_handler
	db	'uqasx~~',0x00
	dw	ARM_instruction_uqasx-instruction_handler
	db	'uqsax~~',0x00
	dw	ARM_instruction_uqsax-instruction_handler
	db	'uqsub16',0xe0
	dw	ARM_instruction_uqsub16-instruction_handler
	db	'urd~~dm',0x00
	dw	ARM_instruction_urddm-instruction_handler
	db	'urd~~dp',0x00
	dw	ARM_instruction_urddp-instruction_handler
	db	'urd~~dz',0x00
	dw	ARM_instruction_urddz-instruction_handler
	db	'urd~~em',0x00
	dw	ARM_instruction_urdem-instruction_handler
	db	'urd~~ep',0x00
	dw	ARM_instruction_urdep-instruction_handler
	db	'urd~~ez',0x00
	dw	ARM_instruction_urdez-instruction_handler
	db	'urd~~sm',0x00
	dw	ARM_instruction_urdsm-instruction_handler
	db	'urd~~sp',0x00
	dw	ARM_instruction_urdsp-instruction_handler
	db	'urd~~sz',0x00
	dw	ARM_instruction_urdsz-instruction_handler
	db	'usad8~~',0x00
	dw	ARM_instruction_usad8-instruction_handler
	db	'usub8~~',0x00
	dw	ARM_instruction_usub8-instruction_handler
	db	'uxtab16',0xe0
	dw	ARM_instruction_uxtab16-instruction_handler
	db	'uxtab~~',0x00
	dw	ARM_instruction_uxtab-instruction_handler
	db	'uxtah~~',0x00
	dw	ARM_instruction_uxtah-instruction_handler
	db	'vaba.s8',0xe0
	dw	ARM_instruction_vaba.s8-instruction_handler
	db	'vaba.u8',0xe0
	dw	ARM_instruction_vaba.u8-instruction_handler
	db	'vabd.s8',0xe0
	dw	ARM_instruction_vabd.s8-instruction_handler
	db	'vabd.u8',0xe0
	dw	ARM_instruction_vabd.u8-instruction_handler
	db	'vabs.s8',0xe0
	dw	ARM_instruction_vabs.s8-instruction_handler
	db	'vadd.i8',0xe0
	dw	ARM_instruction_vadd.i8-instruction_handler
	db	'vceq.i8',0xe0
	dw	ARM_instruction_vceq.i8-instruction_handler
	db	'vcge.s8',0xe0
	dw	ARM_instruction_vcge.s8-instruction_handler
	db	'vcge.u8',0xe0
	dw	ARM_instruction_vcge.u8-instruction_handler
	db	'vcgt.s8',0xe0
	dw	ARM_instruction_vcgt.s8-instruction_handler
	db	'vcgt.u8',0xe0
	dw	ARM_instruction_vcgt.u8-instruction_handler
	db	'vcle.s8',0xe0
	dw	ARM_instruction_vcle.s8-instruction_handler
	db	'vcle.u8',0xe0
	dw	ARM_instruction_vcle.u8-instruction_handler
	db	'vcls.s8',0xe0
	dw	ARM_instruction_vcls.s8-instruction_handler
	db	'vclt.s8',0xe0
	dw	ARM_instruction_vclt.s8-instruction_handler
	db	'vclt.u8',0xe0
	dw	ARM_instruction_vclt.u8-instruction_handler
	db	'vclz.i8',0xe0
	dw	ARM_instruction_vclz.i8-instruction_handler
	db	'vdup.16',0xe0
	dw	ARM_instruction_vdup.16-instruction_handler
	db	'vdup.32',0xe0
	dw	ARM_instruction_vdup.32-instruction_handler
	db	'vext.16',0xe0
	dw	ARM_instruction_vext.16-instruction_handler
	db	'vext.32',0xe0
	dw	ARM_instruction_vext.32-instruction_handler
	db	'vext.64',0xe0
	dw	ARM_instruction_vext.64-instruction_handler
	db	'virtual',0x00
	dw	virtual_directive-instruction_handler
	db	'vld1.16',0xe0
	dw	ARM_instruction_vld1.16-instruction_handler
	db	'vld1.32',0xe0
	dw	ARM_instruction_vld1.32-instruction_handler
	db	'vld1.64',0xe0
	dw	ARM_instruction_vld1.64-instruction_handler
	db	'vld2.16',0xe0
	dw	ARM_instruction_vld2.16-instruction_handler
	db	'vld2.32',0xe0
	dw	ARM_instruction_vld2.32-instruction_handler
	db	'vld3.16',0xe0
	dw	ARM_instruction_vld3.16-instruction_handler
	db	'vld3.32',0xe0
	dw	ARM_instruction_vld3.32-instruction_handler
	db	'vld4.16',0xe0
	dw	ARM_instruction_vld4.16-instruction_handler
	db	'vld4.32',0xe0
	dw	ARM_instruction_vld4.32-instruction_handler
	db	'vldm.32',0xe0
	dw	ARM_instruction_vldm.32-instruction_handler
	db	'vldm.64',0xe0
	dw	ARM_instruction_vldm.64-instruction_handler
	db	'vldr.32',0xe0
	dw	ARM_instruction_vldr.32-instruction_handler
	db	'vldr.64',0xe0
	dw	ARM_instruction_vldr.64-instruction_handler
	db	'vmax.s8',0xe0
	dw	ARM_instruction_vmax.s8-instruction_handler
	db	'vmax.u8',0xe0
	dw	ARM_instruction_vmax.u8-instruction_handler
	db	'vmin.s8',0xe0
	dw	ARM_instruction_vmin.s8-instruction_handler
	db	'vmin.u8',0xe0
	dw	ARM_instruction_vmin.u8-instruction_handler
	db	'vmla.i8',0xe0
	dw	ARM_instruction_vmla.i8-instruction_handler
	db	'vmla.s8',0xe0
	dw	ARM_instruction_vmla.s8-instruction_handler
	db	'vmla.u8',0xe0
	dw	ARM_instruction_vmla.u8-instruction_handler
	db	'vmls.i8',0xe0
	dw	ARM_instruction_vmls.i8-instruction_handler
	db	'vmls.s8',0xe0
	dw	ARM_instruction_vmls.s8-instruction_handler
	db	'vmls.u8',0xe0
	dw	ARM_instruction_vmls.u8-instruction_handler
	db	'vmov.16',0xe0
	dw	ARM_instruction_vmov.16-instruction_handler
	db	'vmov.32',0xe0
	dw	ARM_instruction_vmov.32-instruction_handler
	db	'vmov.i8',0xe0
	dw	ARM_instruction_vmov.i8-instruction_handler
	db	'vmov.s8',0xe0
	dw	ARM_instruction_vmov.s8-instruction_handler
	db	'vmov.u8',0xe0
	dw	ARM_instruction_vmov.u8-instruction_handler
	db	'vmul.i8',0xe0
	dw	ARM_instruction_vmul.i8-instruction_handler
	db	'vmul.p8',0xe0
	dw	ARM_instruction_vmul.p8-instruction_handler
	db	'vmul.s8',0xe0
	dw	ARM_instruction_vmul.s8-instruction_handler
	db	'vmul.u8',0xe0
	dw	ARM_instruction_vmul.u8-instruction_handler
	db	'vneg.s8',0xe0
	dw	ARM_instruction_vneg.s8-instruction_handler
	db	'vpush~~',0x00
	dw	ARM_instruction_vpush-instruction_handler
	db	'vshl.i8',0xe0
	dw	ARM_instruction_vshl.i8-instruction_handler
	db	'vshl.s8',0xe0
	dw	ARM_instruction_vshl.s8-instruction_handler
	db	'vshl.u8',0xe0
	dw	ARM_instruction_vshl.u8-instruction_handler
	db	'vshr.s8',0xe0
	dw	ARM_instruction_vshr.s8-instruction_handler
	db	'vshr.u8',0xe0
	dw	ARM_instruction_vshr.u8-instruction_handler
	db	'vsli.16',0xe0
	dw	ARM_instruction_vsli.16-instruction_handler
	db	'vsli.32',0xe0
	dw	ARM_instruction_vsli.32-instruction_handler
	db	'vsli.64',0xe0
	dw	ARM_instruction_vsli.64-instruction_handler
	db	'vsra.s8',0xe0
	dw	ARM_instruction_vsra.s8-instruction_handler
	db	'vsra.u8',0xe0
	dw	ARM_instruction_vsra.u8-instruction_handler
	db	'vsri.16',0xe0
	dw	ARM_instruction_vsri.16-instruction_handler
	db	'vsri.32',0xe0
	dw	ARM_instruction_vsri.32-instruction_handler
	db	'vsri.64',0xe0
	dw	ARM_instruction_vsri.64-instruction_handler
	db	'vst1.16',0xe0
	dw	ARM_instruction_vst1.16-instruction_handler
	db	'vst1.32',0xe0
	dw	ARM_instruction_vst1.32-instruction_handler
	db	'vst1.64',0xe0
	dw	ARM_instruction_vst1.64-instruction_handler
	db	'vst2.16',0xe0
	dw	ARM_instruction_vst2.16-instruction_handler
	db	'vst2.32',0xe0
	dw	ARM_instruction_vst2.32-instruction_handler
	db	'vst3.16',0xe0
	dw	ARM_instruction_vst3.16-instruction_handler
	db	'vst3.32',0xe0
	dw	ARM_instruction_vst3.32-instruction_handler
	db	'vst4.16',0xe0
	dw	ARM_instruction_vst4.16-instruction_handler
	db	'vst4.32',0xe0
	dw	ARM_instruction_vst4.32-instruction_handler
	db	'vstm.32',0xe0
	dw	ARM_instruction_vstm.32-instruction_handler
	db	'vstm.64',0xe0
	dw	ARM_instruction_vstm.64-instruction_handler
	db	'vstr.32',0xe0
	dw	ARM_instruction_vstr.32-instruction_handler
	db	'vstr.64',0xe0
	dw	ARM_instruction_vstr.64-instruction_handler
	db	'vsub.i8',0xe0
	dw	ARM_instruction_vsub.i8-instruction_handler
	db	'vtrn.16',0xe0
	dw	ARM_instruction_vtrn.16-instruction_handler
	db	'vtrn.32',0xe0
	dw	ARM_instruction_vtrn.32-instruction_handler
	db	'vtst.16',0xe0
	dw	ARM_instruction_vtst.16-instruction_handler
	db	'vtst.32',0xe0
	dw	ARM_instruction_vtst.32-instruction_handler
	db	'vuzp.16',0xe0
	dw	ARM_instruction_vuzp.16-instruction_handler
	db	'vuzp.32',0xe0
	dw	ARM_instruction_vuzp.32-instruction_handler
	db	'vzip.16',0xe0
	dw	ARM_instruction_vzip.16-instruction_handler
	db	'vzip.32',0xe0
	dw	ARM_instruction_vzip.32-instruction_handler
	db	'wabsb~~',0x00
	dw	ARM_instruction_wabsb-instruction_handler
	db	'wabsh~~',0x00
	dw	ARM_instruction_wabsh-instruction_handler
	db	'wabsw~~',0x00
	dw	ARM_instruction_wabsw-instruction_handler
	db	'waccb~~',0x00
	dw	ARM_instruction_waccb-instruction_handler
	db	'wacch~~',0x00
	dw	ARM_instruction_wacch-instruction_handler
	db	'waccw~~',0x00
	dw	ARM_instruction_waccw-instruction_handler
	db	'waddbss',0xe0
	dw	ARM_instruction_waddbss-instruction_handler
	db	'waddbus',0xe0
	dw	ARM_instruction_waddbus-instruction_handler
	db	'waddb~~',0x00
	dw	ARM_instruction_waddb-instruction_handler
	db	'waddhss',0xe0
	dw	ARM_instruction_waddhss-instruction_handler
	db	'waddhus',0xe0
	dw	ARM_instruction_waddhus-instruction_handler
	db	'waddh~~',0x00
	dw	ARM_instruction_waddh-instruction_handler
	db	'waddwss',0xe0
	dw	ARM_instruction_waddwss-instruction_handler
	db	'waddwus',0xe0
	dw	ARM_instruction_waddwus-instruction_handler
	db	'waddw~~',0x00
	dw	ARM_instruction_waddw-instruction_handler
	db	'waligni',0xe0
	dw	ARM_instruction_waligni-instruction_handler
	db	'wandn~~',0x00
	dw	ARM_instruction_wandn-instruction_handler
	db	'wavg2br',0xe0
	dw	ARM_instruction_wavg2br-instruction_handler
	db	'wavg2hr',0xe0
	dw	ARM_instruction_wavg2hr-instruction_handler
	db	'wavg4~~',0x00
	dw	ARM_instruction_wavg4-instruction_handler
	db	'wcmpeqb',0xe0
	dw	ARM_instruction_wcmpeqb-instruction_handler
	db	'wcmpeqh',0xe0
	dw	ARM_instruction_wcmpeqh-instruction_handler
	db	'wcmpeqw',0xe0
	dw	ARM_instruction_wcmpeqw-instruction_handler
	db	'wfe~~.n',0x04
	dw	ARM_instruction_wfe-instruction_handler
	db	'wfe~~.w',0x02
	dw	ARM_instruction_wfe-instruction_handler
	db	'wfi~~.n',0x04
	dw	ARM_instruction_wfi-instruction_handler
	db	'wfi~~.w',0x02
	dw	ARM_instruction_wfi-instruction_handler
	db	'wldrb~~',0x00
	dw	ARM_instruction_wldrb-instruction_handler
	db	'wldrd~~',0x00
	dw	ARM_instruction_wldrd-instruction_handler
	db	'wldrh~~',0x00
	dw	ARM_instruction_wldrh-instruction_handler
	db	'wldrw~~',0x00
	dw	ARM_instruction_wldrw-instruction_handler
	db	'wmacs~~',0x00
	dw	ARM_instruction_wmacs-instruction_handler
	db	'wmacu~~',0x00
	dw	ARM_instruction_wmacu-instruction_handler
	db	'wmaddsn',0xe0
	dw	ARM_instruction_wmaddsn-instruction_handler
	db	'wmaddsx',0xe0
	dw	ARM_instruction_wmaddsx-instruction_handler
	db	'wmaddun',0xe0
	dw	ARM_instruction_wmaddun-instruction_handler
	db	'wmaddux',0xe0
	dw	ARM_instruction_wmaddux-instruction_handler
	db	'wmiabbn',0xe0
	dw	ARM_instruction_wmiabbn-instruction_handler
	db	'wmiabtn',0xe0
	dw	ARM_instruction_wmiabtn-instruction_handler
	db	'wmiatbn',0xe0
	dw	ARM_instruction_wmiatbn-instruction_handler
	db	'wmiattn',0xe0
	dw	ARM_instruction_wmiattn-instruction_handler
	db	'wmiawbb',0xe0
	dw	ARM_instruction_wmiawbb-instruction_handler
	db	'wmiawbt',0xe0
	dw	ARM_instruction_wmiawbt-instruction_handler
	db	'wmiawtb',0xe0
	dw	ARM_instruction_wmiawtb-instruction_handler
	db	'wmiawtt',0xe0
	dw	ARM_instruction_wmiawtt-instruction_handler
	db	'wmulsmr',0xe0
	dw	ARM_instruction_wmulsmr-instruction_handler
	db	'wmulumr',0xe0
	dw	ARM_instruction_wmulumr-instruction_handler
	db	'wmulwsm',0xe0
	dw	ARM_instruction_wmulwsm-instruction_handler
	db	'wmulwum',0xe0
	dw	ARM_instruction_wmulwum-instruction_handler
	db	'wqmiabb',0xe0
	dw	ARM_instruction_wqmiabb-instruction_handler
	db	'wqmiabt',0xe0
	dw	ARM_instruction_wqmiabt-instruction_handler
	db	'wqmiatb',0xe0
	dw	ARM_instruction_wqmiatb-instruction_handler
	db	'wqmiatt',0xe0
	dw	ARM_instruction_wqmiatt-instruction_handler
	db	'wqmulmr',0xe0
	dw	ARM_instruction_wqmulmr-instruction_handler
	db	'wqmulwm',0xe0
	dw	ARM_instruction_wqmulwm-instruction_handler
	db	'wrord~~',0x00
	dw	ARM_instruction_wrord-instruction_handler
	db	'wrorh~~',0x00
	dw	ARM_instruction_wrorh-instruction_handler
	db	'wrorw~~',0x00
	dw	ARM_instruction_wrorw-instruction_handler
	db	'wsadb~~',0x00
	dw	ARM_instruction_wsadb-instruction_handler
	db	'wsadh~~',0x00
	dw	ARM_instruction_wsadh-instruction_handler
	db	'wslld~~',0x00
	dw	ARM_instruction_wslld-instruction_handler
	db	'wsllh~~',0x00
	dw	ARM_instruction_wsllh-instruction_handler
	db	'wsllw~~',0x00
	dw	ARM_instruction_wsllw-instruction_handler
	db	'wsrad~~',0x00
	dw	ARM_instruction_wsrad-instruction_handler
	db	'wsrah~~',0x00
	dw	ARM_instruction_wsrah-instruction_handler
	db	'wsraw~~',0x00
	dw	ARM_instruction_wsraw-instruction_handler
	db	'wsrld~~',0x00
	dw	ARM_instruction_wsrld-instruction_handler
	db	'wsrlh~~',0x00
	dw	ARM_instruction_wsrlh-instruction_handler
	db	'wsrlw~~',0x00
	dw	ARM_instruction_wsrlw-instruction_handler
	db	'wstrb~~',0x00
	dw	ARM_instruction_wstrb-instruction_handler
	db	'wstrd~~',0x00
	dw	ARM_instruction_wstrd-instruction_handler
	db	'wstrh~~',0x00
	dw	ARM_instruction_wstrh-instruction_handler
	db	'wstrw~~',0x00
	dw	ARM_instruction_wstrw-instruction_handler
	db	'wsubbss',0xe0
	dw	ARM_instruction_wsubbss-instruction_handler
	db	'wsubbus',0xe0
	dw	ARM_instruction_wsubbus-instruction_handler
	db	'wsubb~~',0x00
	dw	ARM_instruction_wsubb-instruction_handler
	db	'wsubhss',0xe0
	dw	ARM_instruction_wsubhss-instruction_handler
	db	'wsubhus',0xe0
	dw	ARM_instruction_wsubhus-instruction_handler
	db	'wsubh~~',0x00
	dw	ARM_instruction_wsubh-instruction_handler
	db	'wsubwss',0xe0
	dw	ARM_instruction_wsubwss-instruction_handler
	db	'wsubwus',0xe0
	dw	ARM_instruction_wsubwus-instruction_handler
	db	'wsubw~~',0x00
	dw	ARM_instruction_wsubw-instruction_handler
	db	'wzero~~',0x00
	dw	ARM_instruction_wzero-instruction_handler
	db	'yield.n',0xe4
	dw	ARM_instruction_yield-instruction_handler
	db	'yield.w',0xe2
	dw	ARM_instruction_yield-instruction_handler
	db	'yield~~',0x00
	dw	ARM_instruction_yield-instruction_handler
	db	0
instructions_8:
	db	'adcs~~.n',0x05
	dw	ARM_instruction_adc-instruction_handler
	db	'adcs~~.w',0x03
	dw	ARM_instruction_adc-instruction_handler
	db	'adc~~s.n',0x05
	dw	ARM_instruction_adc-instruction_handler
	db	'adc~~s.w',0x03
	dw	ARM_instruction_adc-instruction_handler
	db	'adds~~.n',0x05
	dw	ARM_instruction_add-instruction_handler
	db	'adds~~.w',0x03
	dw	ARM_instruction_add-instruction_handler
	db	'add~~s.n',0x05
	dw	ARM_instruction_add-instruction_handler
	db	'add~~s.w',0x03
	dw	ARM_instruction_add-instruction_handler
	db	'ands~~.n',0x05
	dw	ARM_instruction_and-instruction_handler
	db	'ands~~.w',0x03
	dw	ARM_instruction_and-instruction_handler
	db	'and~~s.n',0x05
	dw	ARM_instruction_and-instruction_handler
	db	'and~~s.w',0x03
	dw	ARM_instruction_and-instruction_handler
	db	'asrs~~.n',0x05
	dw	ARM_instruction_asr-instruction_handler
	db	'asrs~~.w',0x03
	dw	ARM_instruction_asr-instruction_handler
	db	'asr~~s.n',0x05
	dw	ARM_instruction_asr-instruction_handler
	db	'asr~~s.w',0x03
	dw	ARM_instruction_asr-instruction_handler
	db	'bics~~.n',0x05
	dw	ARM_instruction_bic-instruction_handler
	db	'bics~~.w',0x03
	dw	ARM_instruction_bic-instruction_handler
	db	'bic~~s.n',0x05
	dw	ARM_instruction_bic-instruction_handler
	db	'bic~~s.w',0x03
	dw	ARM_instruction_bic-instruction_handler
	db	'cfabsd~~',0x00
	dw	ARM_instruction_cfabsd-instruction_handler
	db	'cfabss~~',0x00
	dw	ARM_instruction_cfabss-instruction_handler
	db	'cfaddd~~',0x00
	dw	ARM_instruction_cfaddd-instruction_handler
	db	'cfadds~~',0x00
	dw	ARM_instruction_cfadds-instruction_handler
	db	'cfcmpd~~',0x00
	dw	ARM_instruction_cfcmpd-instruction_handler
	db	'cfcmps~~',0x00
	dw	ARM_instruction_cfcmps-instruction_handler
	db	'cfcpyd~~',0x00
	dw	ARM_instruction_cfcpyd-instruction_handler
	db	'cfcpys~~',0x00
	dw	ARM_instruction_cfcpys-instruction_handler
	db	'cfcvt32d',0xe0
	dw	ARM_instruction_cfcvt32d-instruction_handler
	db	'cfcvt32s',0xe0
	dw	ARM_instruction_cfcvt32s-instruction_handler
	db	'cfcvt64d',0xe0
	dw	ARM_instruction_cfcvt64d-instruction_handler
	db	'cfcvt64s',0xe0
	dw	ARM_instruction_cfcvt64s-instruction_handler
	db	'cfcvtd32',0xe0
	dw	ARM_instruction_cfcvtd32-instruction_handler
	db	'cfcvts32',0xe0
	dw	ARM_instruction_cfcvts32-instruction_handler
	db	'cfldrd~~',0x00
	dw	ARM_instruction_cfldrd-instruction_handler
	db	'cfldrs~~',0x00
	dw	ARM_instruction_cfldrs-instruction_handler
	db	'cfmadd32',0xe0
	dw	ARM_instruction_cfmadd32-instruction_handler
	db	'cfmsub32',0xe0
	dw	ARM_instruction_cfmsub32-instruction_handler
	db	'cfmuld~~',0x00
	dw	ARM_instruction_cfmuld-instruction_handler
	db	'cfmuls~~',0x00
	dw	ARM_instruction_cfmuls-instruction_handler
	db	'cfmv32ah',0xe0
	dw	ARM_instruction_cfmv32ah-instruction_handler
	db	'cfmv32al',0xe0
	dw	ARM_instruction_cfmv32al-instruction_handler
	db	'cfmv32am',0xe0
	dw	ARM_instruction_cfmv32am-instruction_handler
	db	'cfmv32sc',0xe0
	dw	ARM_instruction_cfmv32sc-instruction_handler
	db	'cfmv64hr',0xe0
	dw	ARM_instruction_cfmv64hr-instruction_handler
	db	'cfmv64lr',0xe0
	dw	ARM_instruction_cfmv64lr-instruction_handler
	db	'cfmvah32',0xe0
	dw	ARM_instruction_cfmvah32-instruction_handler
	db	'cfmval32',0xe0
	dw	ARM_instruction_cfmval32-instruction_handler
	db	'cfmvam32',0xe0
	dw	ARM_instruction_cfmvam32-instruction_handler
	db	'cfmvr64h',0xe0
	dw	ARM_instruction_cfmvr64h-instruction_handler
	db	'cfmvr64l',0xe0
	dw	ARM_instruction_cfmvr64l-instruction_handler
	db	'cfmvrs~~',0x00
	dw	ARM_instruction_cfmvrs-instruction_handler
	db	'cfmvsc32',0xe0
	dw	ARM_instruction_cfmvsc32-instruction_handler
	db	'cfmvsr~~',0x00
	dw	ARM_instruction_cfmvsr-instruction_handler
	db	'cfnegd~~',0x00
	dw	ARM_instruction_cfnegd-instruction_handler
	db	'cfnegs~~',0x00
	dw	ARM_instruction_cfnegs-instruction_handler
	db	'cfrshl32',0xe0
	dw	ARM_instruction_cfrshl32-instruction_handler
	db	'cfrshl64',0xe0
	dw	ARM_instruction_cfrshl64-instruction_handler
	db	'cfsh32~~',0x00
	dw	ARM_instruction_cfsh32-instruction_handler
	db	'cfsh64~~',0x00
	dw	ARM_instruction_cfsh64-instruction_handler
	db	'cfstrd~~',0x00
	dw	ARM_instruction_cfstrd-instruction_handler
	db	'cfstrs~~',0x00
	dw	ARM_instruction_cfstrs-instruction_handler
	db	'cfsubd~~',0x00
	dw	ARM_instruction_cfsubd-instruction_handler
	db	'cfsubs~~',0x00
	dw	ARM_instruction_cfsubs-instruction_handler
	db	'eors~~.n',0x05
	dw	ARM_instruction_eor-instruction_handler
	db	'eors~~.w',0x03
	dw	ARM_instruction_eor-instruction_handler
	db	'eor~~s.n',0x05
	dw	ARM_instruction_eor-instruction_handler
	db	'eor~~s.w',0x03
	dw	ARM_instruction_eor-instruction_handler
	db	'fcmped~~',0x00
	dw	ARM_instruction_fcmped-instruction_handler
	db	'fcmpes~~',0x00
	dw	ARM_instruction_fcmpes-instruction_handler
	db	'fcmpzd~~',0x00
	dw	ARM_instruction_fcmpzd-instruction_handler
	db	'fcmpzs~~',0x00
	dw	ARM_instruction_fcmpzs-instruction_handler
	db	'fcvtds~~',0x00
	dw	ARM_instruction_fcvtds-instruction_handler
	db	'fcvtsd~~',0x00
	dw	ARM_instruction_fcvtsd-instruction_handler
	db	'fmstat~~',0x00
	dw	ARM_instruction_fmstat-instruction_handler
	db	'fnmacd~~',0x00
	dw	ARM_instruction_fnmacd-instruction_handler
	db	'fnmacs~~',0x00
	dw	ARM_instruction_fnmacs-instruction_handler
	db	'fnmscd~~',0x00
	dw	ARM_instruction_fnmscd-instruction_handler
	db	'fnmscs~~',0x00
	dw	ARM_instruction_fnmscs-instruction_handler
	db	'fnmuld~~',0x00
	dw	ARM_instruction_fnmuld-instruction_handler
	db	'fnmuls~~',0x00
	dw	ARM_instruction_fnmuls-instruction_handler
	db	'fshtod~~',0x00
	dw	ARM_instruction_fshtod-instruction_handler
	db	'fshtos~~',0x00
	dw	ARM_instruction_fshtos-instruction_handler
	db	'fsitod~~',0x00
	dw	ARM_instruction_fsitod-instruction_handler
	db	'fsitos~~',0x00
	dw	ARM_instruction_fsitos-instruction_handler
	db	'fsltod~~',0x00
	dw	ARM_instruction_fsltod-instruction_handler
	db	'fsltos~~',0x00
	dw	ARM_instruction_fsltos-instruction_handler
	db	'fsqrtd~~',0x00
	dw	ARM_instruction_fsqrtd-instruction_handler
	db	'fsqrts~~',0x00
	dw	ARM_instruction_fsqrts-instruction_handler
	db	'ftoshd~~',0x00
	dw	ARM_instruction_ftoshd-instruction_handler
	db	'ftoshs~~',0x00
	dw	ARM_instruction_ftoshs-instruction_handler
	db	'ftosid~~',0x00
	dw	ARM_instruction_ftosid-instruction_handler
	db	'ftosis~~',0x00
	dw	ARM_instruction_ftosis-instruction_handler
	db	'ftosld~~',0x00
	dw	ARM_instruction_ftosld-instruction_handler
	db	'ftosls~~',0x00
	dw	ARM_instruction_ftosls-instruction_handler
	db	'ftouhd~~',0x00
	dw	ARM_instruction_ftouhd-instruction_handler
	db	'ftouhs~~',0x00
	dw	ARM_instruction_ftouhs-instruction_handler
	db	'ftouid~~',0x00
	dw	ARM_instruction_ftouid-instruction_handler
	db	'ftouis~~',0x00
	dw	ARM_instruction_ftouis-instruction_handler
	db	'ftould~~',0x00
	dw	ARM_instruction_ftould-instruction_handler
	db	'ftouls~~',0x00
	dw	ARM_instruction_ftouls-instruction_handler
	db	'fuhtod~~',0x00
	dw	ARM_instruction_fuhtod-instruction_handler
	db	'fuhtos~~',0x00
	dw	ARM_instruction_fuhtos-instruction_handler
	db	'fuitod~~',0x00
	dw	ARM_instruction_fuitod-instruction_handler
	db	'fuitos~~',0x00
	dw	ARM_instruction_fuitos-instruction_handler
	db	'fultod~~',0x00
	dw	ARM_instruction_fultod-instruction_handler
	db	'fultos~~',0x00
	dw	ARM_instruction_fultos-instruction_handler
	db	'ldrb~~.n',0x04
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldrb~~.w',0x02
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldrexb~~',0x00
	dw	ARM_instruction_ldrexb-instruction_handler
	db	'ldrexd~~',0x00
	dw	ARM_instruction_ldrexd-instruction_handler
	db	'ldrexh~~',0x00
	dw	ARM_instruction_ldrexh-instruction_handler
	db	'ldrh~~.n',0x04
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldrh~~.w',0x02
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldrsbt~~',0x00
	dw	ARM_instruction_ldrsbt-instruction_handler
	db	'ldrsht~~',0x00
	dw	ARM_instruction_ldrsht-instruction_handler
	db	'ldr~~b.n',0x04
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldr~~b.w',0x02
	dw	ARM_instruction_ldrb-instruction_handler
	db	'ldr~~h.n',0x04
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldr~~h.w',0x02
	dw	ARM_instruction_ldrh-instruction_handler
	db	'ldr~~sbt',0x00
	dw	ARM_instruction_ldrsbt-instruction_handler
	db	'ldr~~sht',0x00
	dw	ARM_instruction_ldrsht-instruction_handler
	db	'lsls~~.n',0x05
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsls~~.w',0x03
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsl~~s.n',0x05
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsl~~s.w',0x03
	dw	ARM_instruction_lsl-instruction_handler
	db	'lsrs~~.n',0x05
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsrs~~.w',0x03
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsr~~s.n',0x05
	dw	ARM_instruction_lsr-instruction_handler
	db	'lsr~~s.w',0x03
	dw	ARM_instruction_lsr-instruction_handler
	db	'movs~~.n',0x05
	dw	ARM_instruction_mov-instruction_handler
	db	'movs~~.w',0x03
	dw	ARM_instruction_mov-instruction_handler
	db	'mov~~s.n',0x05
	dw	ARM_instruction_mov-instruction_handler
	db	'mov~~s.w',0x03
	dw	ARM_instruction_mov-instruction_handler
	db	'muls~~.n',0x05
	dw	ARM_instruction_mul-instruction_handler
	db	'muls~~.w',0x03
	dw	ARM_instruction_mul-instruction_handler
	db	'mul~~s.n',0x05
	dw	ARM_instruction_mul-instruction_handler
	db	'mul~~s.w',0x03
	dw	ARM_instruction_mul-instruction_handler
	db	'mvns~~.n',0x05
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvns~~.w',0x03
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvn~~s.n',0x05
	dw	ARM_instruction_mvn-instruction_handler
	db	'mvn~~s.w',0x03
	dw	ARM_instruction_mvn-instruction_handler
	db	'negs~~.n',0x05
	dw	ARM_instruction_neg-instruction_handler
	db	'negs~~.w',0x03
	dw	ARM_instruction_neg-instruction_handler
	db	'neg~~s.n',0x05
	dw	ARM_instruction_neg-instruction_handler
	db	'neg~~s.w',0x03
	dw	ARM_instruction_neg-instruction_handler
	db	'orrs~~.n',0x05
	dw	ARM_instruction_orr-instruction_handler
	db	'orrs~~.w',0x03
	dw	ARM_instruction_orr-instruction_handler
	db	'orr~~s.n',0x05
	dw	ARM_instruction_orr-instruction_handler
	db	'orr~~s.w',0x03
	dw	ARM_instruction_orr-instruction_handler
	db	'push~~.n',0x04
	dw	ARM_instruction_push-instruction_handler
	db	'push~~.w',0x02
	dw	ARM_instruction_push-instruction_handler
	db	'qadd16~~',0x00
	dw	ARM_instruction_qadd16-instruction_handler
	db	'qaddsubx',0xe0
	dw	ARM_instruction_qaddsubx-instruction_handler
	db	'qsub16~~',0x00
	dw	ARM_instruction_qsub16-instruction_handler
	db	'qsubaddx',0xe0
	dw	ARM_instruction_qsubaddx-instruction_handler
	db	'rors~~.n',0x05
	dw	ARM_instruction_ror-instruction_handler
	db	'rors~~.w',0x03
	dw	ARM_instruction_ror-instruction_handler
	db	'ror~~s.n',0x05
	dw	ARM_instruction_ror-instruction_handler
	db	'ror~~s.w',0x03
	dw	ARM_instruction_ror-instruction_handler
	db	'rsbs~~.n',0x05
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsbs~~.w',0x03
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsb~~s.n',0x05
	dw	ARM_instruction_rsb-instruction_handler
	db	'rsb~~s.w',0x03
	dw	ARM_instruction_rsb-instruction_handler
	db	'sadd16~~',0x00
	dw	ARM_instruction_sadd16-instruction_handler
	db	'saddsubx',0xe0
	dw	ARM_instruction_saddsubx-instruction_handler
	db	'sbcs~~.n',0x05
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbcs~~.w',0x03
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbc~~s.n',0x05
	dw	ARM_instruction_sbc-instruction_handler
	db	'sbc~~s.w',0x03
	dw	ARM_instruction_sbc-instruction_handler
	db	'shadd8~~',0x00
	dw	ARM_instruction_shadd8-instruction_handler
	db	'shsub8~~',0x00
	dw	ARM_instruction_shsub8-instruction_handler
	db	'smlabb~~',0x00
	dw	ARM_instruction_smlabb-instruction_handler
	db	'smlabt~~',0x00
	dw	ARM_instruction_smlabt-instruction_handler
	db	'smladx~~',0x00
	dw	ARM_instruction_smladx-instruction_handler
	db	'smlald~~',0x00
	dw	ARM_instruction_smlald-instruction_handler
	db	'smlals~~',0x01
	dw	ARM_instruction_smlal-instruction_handler
	db	'smlal~~s',0x01
	dw	ARM_instruction_smlal-instruction_handler
	db	'smlatb~~',0x00
	dw	ARM_instruction_smlatb-instruction_handler
	db	'smlatt~~',0x00
	dw	ARM_instruction_smlatt-instruction_handler
	db	'smlawb~~',0x00
	dw	ARM_instruction_smlawb-instruction_handler
	db	'smlawt~~',0x00
	dw	ARM_instruction_smlawt-instruction_handler
	db	'smlsdx~~',0x00
	dw	ARM_instruction_smlsdx-instruction_handler
	db	'smlsld~~',0x00
	dw	ARM_instruction_smlsld-instruction_handler
	db	'smmlar~~',0x00
	dw	ARM_instruction_smmlar-instruction_handler
	db	'smmlsr~~',0x00
	dw	ARM_instruction_smmlsr-instruction_handler
	db	'smmulr~~',0x00
	dw	ARM_instruction_smmulr-instruction_handler
	db	'smuadx~~',0x00
	dw	ARM_instruction_smuadx-instruction_handler
	db	'smulbb~~',0x00
	dw	ARM_instruction_smulbb-instruction_handler
	db	'smulbt~~',0x00
	dw	ARM_instruction_smulbt-instruction_handler
	db	'smulls~~',0x01
	dw	ARM_instruction_smull-instruction_handler
	db	'smull~~s',0x01
	dw	ARM_instruction_smull-instruction_handler
	db	'smultb~~',0x00
	dw	ARM_instruction_smultb-instruction_handler
	db	'smultt~~',0x00
	dw	ARM_instruction_smultt-instruction_handler
	db	'smulwb~~',0x00
	dw	ARM_instruction_smulwb-instruction_handler
	db	'smulwt~~',0x00
	dw	ARM_instruction_smulwt-instruction_handler
	db	'smusdx~~',0x00
	dw	ARM_instruction_smusdx-instruction_handler
	db	'ssat16~~',0x00
	dw	ARM_instruction_ssat16-instruction_handler
	db	'ssub16~~',0x00
	dw	ARM_instruction_ssub16-instruction_handler
	db	'ssubaddx',0xe0
	dw	ARM_instruction_ssubaddx-instruction_handler
	db	'strb~~.n',0x04
	dw	ARM_instruction_strb-instruction_handler
	db	'strb~~.w',0x02
	dw	ARM_instruction_strb-instruction_handler
	db	'strexb~~',0x00
	dw	ARM_instruction_strexb-instruction_handler
	db	'strexd~~',0x00
	dw	ARM_instruction_strexd-instruction_handler
	db	'strexh~~',0x00
	dw	ARM_instruction_strexh-instruction_handler
	db	'strh~~.n',0x04
	dw	ARM_instruction_strh-instruction_handler
	db	'strh~~.w',0x02
	dw	ARM_instruction_strh-instruction_handler
	db	'str~~b.n',0x04
	dw	ARM_instruction_strb-instruction_handler
	db	'str~~b.w',0x02
	dw	ARM_instruction_strb-instruction_handler
	db	'str~~h.n',0x04
	dw	ARM_instruction_strh-instruction_handler
	db	'str~~h.w',0x02
	dw	ARM_instruction_strh-instruction_handler
	db	'subs~~.n',0x05
	dw	ARM_instruction_sub-instruction_handler
	db	'subs~~.w',0x03
	dw	ARM_instruction_sub-instruction_handler
	db	'sub~~s.n',0x05
	dw	ARM_instruction_sub-instruction_handler
	db	'sub~~s.w',0x03
	dw	ARM_instruction_sub-instruction_handler
	db	'sxtb16~~',0x00
	dw	ARM_instruction_sxtb16-instruction_handler
	db	'sxtb~~.n',0x04
	dw	ARM_instruction_sxtb-instruction_handler
	db	'sxtb~~.w',0x02
	dw	ARM_instruction_sxtb-instruction_handler
	db	'sxth~~.n',0x04
	dw	ARM_instruction_sxth-instruction_handler
	db	'sxth~~.w',0x02
	dw	ARM_instruction_sxth-instruction_handler
	db	'tandcb~~',0x00
	dw	ARM_instruction_tandcb-instruction_handler
	db	'tandch~~',0x00
	dw	ARM_instruction_tandch-instruction_handler
	db	'tandcw~~',0x00
	dw	ARM_instruction_tandcw-instruction_handler
	db	'tbcstb~~',0x00
	dw	ARM_instruction_tbcstb-instruction_handler
	db	'tbcsth~~',0x00
	dw	ARM_instruction_tbcsth-instruction_handler
	db	'tbcstw~~',0x00
	dw	ARM_instruction_tbcstw-instruction_handler
	db	'textrmsb',0xe0
	dw	ARM_instruction_textrmsb-instruction_handler
	db	'textrmsh',0xe0
	dw	ARM_instruction_textrmsh-instruction_handler
	db	'textrmsw',0xe0
	dw	ARM_instruction_textrmsw-instruction_handler
	db	'textrmub',0xe0
	dw	ARM_instruction_textrmub-instruction_handler
	db	'textrmuh',0xe0
	dw	ARM_instruction_textrmuh-instruction_handler
	db	'textrmuw',0xe0
	dw	ARM_instruction_textrmuw-instruction_handler
	db	'tinsrb~~',0x00
	dw	ARM_instruction_tinsrb-instruction_handler
	db	'tinsrh~~',0x00
	dw	ARM_instruction_tinsrh-instruction_handler
	db	'tinsrw~~',0x00
	dw	ARM_instruction_tinsrw-instruction_handler
	db	'tmiabb~~',0x00
	dw	ARM_instruction_tmiabb-instruction_handler
	db	'tmiabt~~',0x00
	dw	ARM_instruction_tmiabt-instruction_handler
	db	'tmiaph~~',0x00
	dw	ARM_instruction_tmiaph-instruction_handler
	db	'tmiatb~~',0x00
	dw	ARM_instruction_tmiatb-instruction_handler
	db	'tmiatt~~',0x00
	dw	ARM_instruction_tmiatt-instruction_handler
	db	'tmovmskb',0xe0
	dw	ARM_instruction_tmovmskb-instruction_handler
	db	'tmovmskh',0xe0
	dw	ARM_instruction_tmovmskh-instruction_handler
	db	'tmovmskw',0xe0
	dw	ARM_instruction_tmovmskw-instruction_handler
	db	'uadd16~~',0x00
	dw	ARM_instruction_uadd16-instruction_handler
	db	'uaddsubx',0xe0
	dw	ARM_instruction_uaddsubx-instruction_handler
	db	'uhadd8~~',0x00
	dw	ARM_instruction_uhadd8-instruction_handler
	db	'uhsub8~~',0x00
	dw	ARM_instruction_uhsub8-instruction_handler
	db	'umlals~~',0x01
	dw	ARM_instruction_umlal-instruction_handler
	db	'umlal~~s',0x01
	dw	ARM_instruction_umlal-instruction_handler
	db	'umulls~~',0x01
	dw	ARM_instruction_umull-instruction_handler
	db	'umull~~s',0x01
	dw	ARM_instruction_umull-instruction_handler
	db	'uqadd8~~',0x00
	dw	ARM_instruction_uqadd8-instruction_handler
	db	'uqsub8~~',0x00
	dw	ARM_instruction_uqsub8-instruction_handler
	db	'usada8~~',0x00
	dw	ARM_instruction_usada8-instruction_handler
	db	'usat16~~',0x00
	dw	ARM_instruction_usat16-instruction_handler
	db	'usub16~~',0x00
	dw	ARM_instruction_usub16-instruction_handler
	db	'usubaddx',0xe0
	dw	ARM_instruction_usubaddx-instruction_handler
	db	'uxtb16~~',0x00
	dw	ARM_instruction_uxtb16-instruction_handler
	db	'uxtb~~.n',0x04
	dw	ARM_instruction_uxtb-instruction_handler
	db	'uxtb~~.w',0x02
	dw	ARM_instruction_uxtb-instruction_handler
	db	'uxth~~.n',0x04
	dw	ARM_instruction_uxth-instruction_handler
	db	'uxth~~.w',0x02
	dw	ARM_instruction_uxth-instruction_handler
	db	'vaba.s16',0xe0
	dw	ARM_instruction_vaba.s16-instruction_handler
	db	'vaba.s32',0xe0
	dw	ARM_instruction_vaba.s32-instruction_handler
	db	'vaba.u16',0xe0
	dw	ARM_instruction_vaba.u16-instruction_handler
	db	'vaba.u32',0xe0
	dw	ARM_instruction_vaba.u32-instruction_handler
	db	'vabal.s8',0xe0
	dw	ARM_instruction_vabal.s8-instruction_handler
	db	'vabal.u8',0xe0
	dw	ARM_instruction_vabal.u8-instruction_handler
	db	'vabd.f32',0xe0
	dw	ARM_instruction_vabd.f32-instruction_handler
	db	'vabd.s16',0xe0
	dw	ARM_instruction_vabd.s16-instruction_handler
	db	'vabd.s32',0xe0
	dw	ARM_instruction_vabd.s32-instruction_handler
	db	'vabd.u16',0xe0
	dw	ARM_instruction_vabd.u16-instruction_handler
	db	'vabd.u32',0xe0
	dw	ARM_instruction_vabd.u32-instruction_handler
	db	'vabdl.s8',0xe0
	dw	ARM_instruction_vabdl.s8-instruction_handler
	db	'vabdl.u8',0xe0
	dw	ARM_instruction_vabdl.u8-instruction_handler
	db	'vabs.f32',0xe0
	dw	ARM_instruction_vabs.f32-instruction_handler
	db	'vabs.f64',0xe0
	dw	ARM_instruction_vabs.f64-instruction_handler
	db	'vabs.s16',0xe0
	dw	ARM_instruction_vabs.s16-instruction_handler
	db	'vabs.s32',0xe0
	dw	ARM_instruction_vabs.s32-instruction_handler
	db	'vadd.f32',0xe0
	dw	ARM_instruction_vadd.f32-instruction_handler
	db	'vadd.f64',0xe0
	dw	ARM_instruction_vadd.f64-instruction_handler
	db	'vadd.i16',0xe0
	dw	ARM_instruction_vadd.i16-instruction_handler
	db	'vadd.i32',0xe0
	dw	ARM_instruction_vadd.i32-instruction_handler
	db	'vadd.i64',0xe0
	dw	ARM_instruction_vadd.i64-instruction_handler
	db	'vaddl.s8',0xe0
	dw	ARM_instruction_vaddl.s8-instruction_handler
	db	'vaddl.u8',0xe0
	dw	ARM_instruction_vaddl.u8-instruction_handler
	db	'vaddw.s8',0xe0
	dw	ARM_instruction_vaddw.s8-instruction_handler
	db	'vaddw.u8',0xe0
	dw	ARM_instruction_vaddw.u8-instruction_handler
	db	'vand.i16',0xe0
	dw	ARM_instruction_vand.i16-instruction_handler
	db	'vand.i32',0xe0
	dw	ARM_instruction_vand.i32-instruction_handler
	db	'vbic.i16',0xe0
	dw	ARM_instruction_vbic.i16-instruction_handler
	db	'vbic.i32',0xe0
	dw	ARM_instruction_vbic.i32-instruction_handler
	db	'vceq.f32',0xe0
	dw	ARM_instruction_vceq.f32-instruction_handler
	db	'vceq.i16',0xe0
	dw	ARM_instruction_vceq.i16-instruction_handler
	db	'vceq.i32',0xe0
	dw	ARM_instruction_vceq.i32-instruction_handler
	db	'vcge.f32',0xe0
	dw	ARM_instruction_vcge.f32-instruction_handler
	db	'vcge.s16',0xe0
	dw	ARM_instruction_vcge.s16-instruction_handler
	db	'vcge.s32',0xe0
	dw	ARM_instruction_vcge.s32-instruction_handler
	db	'vcge.u16',0xe0
	dw	ARM_instruction_vcge.u16-instruction_handler
	db	'vcge.u32',0xe0
	dw	ARM_instruction_vcge.u32-instruction_handler
	db	'vcgt.f32',0xe0
	dw	ARM_instruction_vcgt.f32-instruction_handler
	db	'vcgt.s16',0xe0
	dw	ARM_instruction_vcgt.s16-instruction_handler
	db	'vcgt.s32',0xe0
	dw	ARM_instruction_vcgt.s32-instruction_handler
	db	'vcgt.u16',0xe0
	dw	ARM_instruction_vcgt.u16-instruction_handler
	db	'vcgt.u32',0xe0
	dw	ARM_instruction_vcgt.u32-instruction_handler
	db	'vcle.f32',0xe0
	dw	ARM_instruction_vcle.f32-instruction_handler
	db	'vcle.s16',0xe0
	dw	ARM_instruction_vcle.s16-instruction_handler
	db	'vcle.s32',0xe0
	dw	ARM_instruction_vcle.s32-instruction_handler
	db	'vcle.u16',0xe0
	dw	ARM_instruction_vcle.u16-instruction_handler
	db	'vcle.u32',0xe0
	dw	ARM_instruction_vcle.u32-instruction_handler
	db	'vcls.s16',0xe0
	dw	ARM_instruction_vcls.s16-instruction_handler
	db	'vcls.s32',0xe0
	dw	ARM_instruction_vcls.s32-instruction_handler
	db	'vclt.f32',0xe0
	dw	ARM_instruction_vclt.f32-instruction_handler
	db	'vclt.s16',0xe0
	dw	ARM_instruction_vclt.s16-instruction_handler
	db	'vclt.s32',0xe0
	dw	ARM_instruction_vclt.s32-instruction_handler
	db	'vclt.u16',0xe0
	dw	ARM_instruction_vclt.u16-instruction_handler
	db	'vclt.u32',0xe0
	dw	ARM_instruction_vclt.u32-instruction_handler
	db	'vclz.i16',0xe0
	dw	ARM_instruction_vclz.i16-instruction_handler
	db	'vclz.i32',0xe0
	dw	ARM_instruction_vclz.i32-instruction_handler
	db	'vcmp.f32',0xe0
	dw	ARM_instruction_vcmp.f32-instruction_handler
	db	'vcmp.f64',0xe0
	dw	ARM_instruction_vcmp.f64-instruction_handler
	db	'vcnt~~.8',0x00
	dw	ARM_instruction_vcnt.8-instruction_handler
	db	'vdiv.f32',0xe0
	dw	ARM_instruction_vdiv.f32-instruction_handler
	db	'vdiv.f64',0xe0
	dw	ARM_instruction_vdiv.f64-instruction_handler
	db	'vdup~~.8',0x00
	dw	ARM_instruction_vdup.8-instruction_handler
	db	'vext~~.8',0x00
	dw	ARM_instruction_vext.8-instruction_handler
	db	'vfma.f32',0xe0
	dw	ARM_instruction_vfma.f32-instruction_handler
	db	'vfma.f64',0xe0
	dw	ARM_instruction_vfma.f64-instruction_handler
	db	'vfms.f32',0xe0
	dw	ARM_instruction_vfms.f32-instruction_handler
	db	'vfms.f64',0xe0
	dw	ARM_instruction_vfms.f64-instruction_handler
	db	'vhadd.s8',0xe0
	dw	ARM_instruction_vhadd.s8-instruction_handler
	db	'vhadd.u8',0xe0
	dw	ARM_instruction_vhadd.u8-instruction_handler
	db	'vhsub.s8',0xe0
	dw	ARM_instruction_vhsub.s8-instruction_handler
	db	'vhsub.u8',0xe0
	dw	ARM_instruction_vhsub.u8-instruction_handler
	db	'vld1~~.8',0x00
	dw	ARM_instruction_vld1.8-instruction_handler
	db	'vld2~~.8',0x00
	dw	ARM_instruction_vld2.8-instruction_handler
	db	'vld3~~.8',0x00
	dw	ARM_instruction_vld3.8-instruction_handler
	db	'vld4~~.8',0x00
	dw	ARM_instruction_vld4.8-instruction_handler
	db	'vldmdb~~',0x00
	dw	ARM_instruction_vldmdb-instruction_handler
	db	'vldmea~~',0x00
	dw	ARM_instruction_vldmea-instruction_handler
	db	'vldmfd~~',0x00
	dw	ARM_instruction_vldmfd-instruction_handler
	db	'vldmia~~',0x00
	dw	ARM_instruction_vldmia-instruction_handler
	db	'vmax.f32',0xe0
	dw	ARM_instruction_vmax.f32-instruction_handler
	db	'vmax.s16',0xe0
	dw	ARM_instruction_vmax.s16-instruction_handler
	db	'vmax.s32',0xe0
	dw	ARM_instruction_vmax.s32-instruction_handler
	db	'vmax.u16',0xe0
	dw	ARM_instruction_vmax.u16-instruction_handler
	db	'vmax.u32',0xe0
	dw	ARM_instruction_vmax.u32-instruction_handler
	db	'vmin.f32',0xe0
	dw	ARM_instruction_vmin.f32-instruction_handler
	db	'vmin.s16',0xe0
	dw	ARM_instruction_vmin.s16-instruction_handler
	db	'vmin.s32',0xe0
	dw	ARM_instruction_vmin.s32-instruction_handler
	db	'vmin.u16',0xe0
	dw	ARM_instruction_vmin.u16-instruction_handler
	db	'vmin.u32',0xe0
	dw	ARM_instruction_vmin.u32-instruction_handler
	db	'vmla.f32',0xe0
	dw	ARM_instruction_vmla.f32-instruction_handler
	db	'vmla.f64',0xe0
	dw	ARM_instruction_vmla.f64-instruction_handler
	db	'vmla.i16',0xe0
	dw	ARM_instruction_vmla.i16-instruction_handler
	db	'vmla.i32',0xe0
	dw	ARM_instruction_vmla.i32-instruction_handler
	db	'vmla.s16',0xe0
	dw	ARM_instruction_vmla.s16-instruction_handler
	db	'vmla.s32',0xe0
	dw	ARM_instruction_vmla.s32-instruction_handler
	db	'vmla.u16',0xe0
	dw	ARM_instruction_vmla.u16-instruction_handler
	db	'vmla.u32',0xe0
	dw	ARM_instruction_vmla.u32-instruction_handler
	db	'vmlal.s8',0xe0
	dw	ARM_instruction_vmlal.s8-instruction_handler
	db	'vmlal.u8',0xe0
	dw	ARM_instruction_vmlal.u8-instruction_handler
	db	'vmls.f32',0xe0
	dw	ARM_instruction_vmls.f32-instruction_handler
	db	'vmls.f64',0xe0
	dw	ARM_instruction_vmls.f64-instruction_handler
	db	'vmls.i16',0xe0
	dw	ARM_instruction_vmls.i16-instruction_handler
	db	'vmls.i32',0xe0
	dw	ARM_instruction_vmls.i32-instruction_handler
	db	'vmls.s16',0xe0
	dw	ARM_instruction_vmls.s16-instruction_handler
	db	'vmls.s32',0xe0
	dw	ARM_instruction_vmls.s32-instruction_handler
	db	'vmls.u16',0xe0
	dw	ARM_instruction_vmls.u16-instruction_handler
	db	'vmls.u32',0xe0
	dw	ARM_instruction_vmls.u32-instruction_handler
	db	'vmlsl.s8',0xe0
	dw	ARM_instruction_vmlsl.s8-instruction_handler
	db	'vmlsl.u8',0xe0
	dw	ARM_instruction_vmlsl.u8-instruction_handler
	db	'vmov.f32',0xe0
	dw	ARM_instruction_vmov.f32-instruction_handler
	db	'vmov.f64',0xe0
	dw	ARM_instruction_vmov.f64-instruction_handler
	db	'vmov.i16',0xe0
	dw	ARM_instruction_vmov.i16-instruction_handler
	db	'vmov.i32',0xe0
	dw	ARM_instruction_vmov.i32-instruction_handler
	db	'vmov.i64',0xe0
	dw	ARM_instruction_vmov.i64-instruction_handler
	db	'vmov.s16',0xe0
	dw	ARM_instruction_vmov.s16-instruction_handler
	db	'vmov.u16',0xe0
	dw	ARM_instruction_vmov.u16-instruction_handler
	db	'vmovl.s8',0xe0
	dw	ARM_instruction_vmovl.s8-instruction_handler
	db	'vmovl.u8',0xe0
	dw	ARM_instruction_vmovl.u8-instruction_handler
	db	'vmovn.i8',0xe0
	dw	ARM_instruction_vmovn.i8-instruction_handler
	db	'vmov~~.8',0x00
	dw	ARM_instruction_vmov.8-instruction_handler
	db	'vmul.f32',0xe0
	dw	ARM_instruction_vmul.f32-instruction_handler
	db	'vmul.f64',0xe0
	dw	ARM_instruction_vmul.f64-instruction_handler
	db	'vmul.i16',0xe0
	dw	ARM_instruction_vmul.i16-instruction_handler
	db	'vmul.i32',0xe0
	dw	ARM_instruction_vmul.i32-instruction_handler
	db	'vmul.s16',0xe0
	dw	ARM_instruction_vmul.s16-instruction_handler
	db	'vmul.s32',0xe0
	dw	ARM_instruction_vmul.s32-instruction_handler
	db	'vmul.u16',0xe0
	dw	ARM_instruction_vmul.u16-instruction_handler
	db	'vmul.u32',0xe0
	dw	ARM_instruction_vmul.u32-instruction_handler
	db	'vmull.p8',0xe0
	dw	ARM_instruction_vmull.p8-instruction_handler
	db	'vmull.s8',0xe0
	dw	ARM_instruction_vmull.s8-instruction_handler
	db	'vmull.u8',0xe0
	dw	ARM_instruction_vmull.u8-instruction_handler
	db	'vmvn.i16',0xe0
	dw	ARM_instruction_vmvn.i16-instruction_handler
	db	'vmvn.i32',0xe0
	dw	ARM_instruction_vmvn.i32-instruction_handler
	db	'vneg.f32',0xe0
	dw	ARM_instruction_vneg.f32-instruction_handler
	db	'vneg.f64',0xe0
	dw	ARM_instruction_vneg.f64-instruction_handler
	db	'vneg.s16',0xe0
	dw	ARM_instruction_vneg.s16-instruction_handler
	db	'vneg.s32',0xe0
	dw	ARM_instruction_vneg.s32-instruction_handler
	db	'vorn.i16',0xe0
	dw	ARM_instruction_vorn.i16-instruction_handler
	db	'vorn.i32',0xe0
	dw	ARM_instruction_vorn.i32-instruction_handler
	db	'vorr.i16',0xe0
	dw	ARM_instruction_vorr.i16-instruction_handler
	db	'vorr.i32',0xe0
	dw	ARM_instruction_vorr.i32-instruction_handler
	db	'vpadd.i8',0xe0
	dw	ARM_instruction_vpadd.i8-instruction_handler
	db	'vpmax.s8',0xe0
	dw	ARM_instruction_vpmax.s8-instruction_handler
	db	'vpmax.u8',0xe0
	dw	ARM_instruction_vpmax.u8-instruction_handler
	db	'vpmin.s8',0xe0
	dw	ARM_instruction_vpmin.s8-instruction_handler
	db	'vpmin.u8',0xe0
	dw	ARM_instruction_vpmin.u8-instruction_handler
	db	'vqabs.s8',0xe0
	dw	ARM_instruction_vqabs.s8-instruction_handler
	db	'vqadd.s8',0xe0
	dw	ARM_instruction_vqadd.s8-instruction_handler
	db	'vqadd.u8',0xe0
	dw	ARM_instruction_vqadd.u8-instruction_handler
	db	'vqneg.s8',0xe0
	dw	ARM_instruction_vqneg.s8-instruction_handler
	db	'vqshl.s8',0xe0
	dw	ARM_instruction_vqshl.s8-instruction_handler
	db	'vqshl.u8',0xe0
	dw	ARM_instruction_vqshl.u8-instruction_handler
	db	'vqsub.s8',0xe0
	dw	ARM_instruction_vqsub.s8-instruction_handler
	db	'vqsub.u8',0xe0
	dw	ARM_instruction_vqsub.u8-instruction_handler
	db	'vrev16.8',0xe0
	dw	ARM_instruction_vrev16.8-instruction_handler
	db	'vrev32.8',0xe0
	dw	ARM_instruction_vrev32.8-instruction_handler
	db	'vrev64.8',0xe0
	dw	ARM_instruction_vrev64.8-instruction_handler
	db	'vrshl.s8',0xe0
	dw	ARM_instruction_vrshl.s8-instruction_handler
	db	'vrshl.u8',0xe0
	dw	ARM_instruction_vrshl.u8-instruction_handler
	db	'vrshr.s8',0xe0
	dw	ARM_instruction_vrshr.s8-instruction_handler
	db	'vrshr.u8',0xe0
	dw	ARM_instruction_vrshr.u8-instruction_handler
	db	'vrsra.s8',0xe0
	dw	ARM_instruction_vrsra.s8-instruction_handler
	db	'vrsra.u8',0xe0
	dw	ARM_instruction_vrsra.u8-instruction_handler
	db	'vshl.i16',0xe0
	dw	ARM_instruction_vshl.i16-instruction_handler
	db	'vshl.i32',0xe0
	dw	ARM_instruction_vshl.i32-instruction_handler
	db	'vshl.i64',0xe0
	dw	ARM_instruction_vshl.i64-instruction_handler
	db	'vshl.s16',0xe0
	dw	ARM_instruction_vshl.s16-instruction_handler
	db	'vshl.s32',0xe0
	dw	ARM_instruction_vshl.s32-instruction_handler
	db	'vshl.s64',0xe0
	dw	ARM_instruction_vshl.s64-instruction_handler
	db	'vshl.u16',0xe0
	dw	ARM_instruction_vshl.u16-instruction_handler
	db	'vshl.u32',0xe0
	dw	ARM_instruction_vshl.u32-instruction_handler
	db	'vshl.u64',0xe0
	dw	ARM_instruction_vshl.u64-instruction_handler
	db	'vshll.i8',0xe0
	dw	ARM_instruction_vshll.i8-instruction_handler
	db	'vshll.s8',0xe0
	dw	ARM_instruction_vshll.s8-instruction_handler
	db	'vshll.u8',0xe0
	dw	ARM_instruction_vshll.u8-instruction_handler
	db	'vshr.s16',0xe0
	dw	ARM_instruction_vshr.s16-instruction_handler
	db	'vshr.s32',0xe0
	dw	ARM_instruction_vshr.s32-instruction_handler
	db	'vshr.s64',0xe0
	dw	ARM_instruction_vshr.s64-instruction_handler
	db	'vshr.u16',0xe0
	dw	ARM_instruction_vshr.u16-instruction_handler
	db	'vshr.u32',0xe0
	dw	ARM_instruction_vshr.u32-instruction_handler
	db	'vshr.u64',0xe0
	dw	ARM_instruction_vshr.u64-instruction_handler
	db	'vsli~~.8',0x00
	dw	ARM_instruction_vsli.8-instruction_handler
	db	'vsra.s16',0xe0
	dw	ARM_instruction_vsra.s16-instruction_handler
	db	'vsra.s32',0xe0
	dw	ARM_instruction_vsra.s32-instruction_handler
	db	'vsra.s64',0xe0
	dw	ARM_instruction_vsra.s64-instruction_handler
	db	'vsra.u16',0xe0
	dw	ARM_instruction_vsra.u16-instruction_handler
	db	'vsra.u32',0xe0
	dw	ARM_instruction_vsra.u32-instruction_handler
	db	'vsra.u64',0xe0
	dw	ARM_instruction_vsra.u64-instruction_handler
	db	'vsri~~.8',0x00
	dw	ARM_instruction_vsri.8-instruction_handler
	db	'vst1~~.8',0x00
	dw	ARM_instruction_vst1.8-instruction_handler
	db	'vst2~~.8',0x00
	dw	ARM_instruction_vst2.8-instruction_handler
	db	'vst3~~.8',0x00
	dw	ARM_instruction_vst3.8-instruction_handler
	db	'vst4~~.8',0x00
	dw	ARM_instruction_vst4.8-instruction_handler
	db	'vstmdb~~',0x00
	dw	ARM_instruction_vstmdb-instruction_handler
	db	'vstmea~~',0x00
	dw	ARM_instruction_vstmea-instruction_handler
	db	'vstmfd~~',0x00
	dw	ARM_instruction_vstmfd-instruction_handler
	db	'vstmia~~',0x00
	dw	ARM_instruction_vstmia-instruction_handler
	db	'vsub.f32',0xe0
	dw	ARM_instruction_vsub.f32-instruction_handler
	db	'vsub.f64',0xe0
	dw	ARM_instruction_vsub.f64-instruction_handler
	db	'vsub.i16',0xe0
	dw	ARM_instruction_vsub.i16-instruction_handler
	db	'vsub.i32',0xe0
	dw	ARM_instruction_vsub.i32-instruction_handler
	db	'vsub.i64',0xe0
	dw	ARM_instruction_vsub.i64-instruction_handler
	db	'vsubl.s8',0xe0
	dw	ARM_instruction_vsubl.s8-instruction_handler
	db	'vsubl.u8',0xe0
	dw	ARM_instruction_vsubl.u8-instruction_handler
	db	'vsubw.s8',0xe0
	dw	ARM_instruction_vsubw.s8-instruction_handler
	db	'vsubw.u8',0xe0
	dw	ARM_instruction_vsubw.u8-instruction_handler
	db	'vtbl~~.8',0x00
	dw	ARM_instruction_vtbl.8-instruction_handler
	db	'vtbx~~.8',0x00
	dw	ARM_instruction_vtbx.8-instruction_handler
	db	'vtrn~~.8',0x00
	dw	ARM_instruction_vtrn.8-instruction_handler
	db	'vtst~~.8',0x00
	dw	ARM_instruction_vtst.8-instruction_handler
	db	'vuzp~~.8',0x00
	dw	ARM_instruction_vuzp.8-instruction_handler
	db	'vzip~~.8',0x00
	dw	ARM_instruction_vzip.8-instruction_handler
	db	'waddhc~~',0x00
	dw	ARM_instruction_waddhc-instruction_handler
	db	'waddwc~~',0x00
	dw	ARM_instruction_waddwc-instruction_handler
	db	'walignr0',0xe0
	dw	ARM_instruction_walignr0-instruction_handler
	db	'walignr1',0xe0
	dw	ARM_instruction_walignr1-instruction_handler
	db	'walignr2',0xe0
	dw	ARM_instruction_walignr2-instruction_handler
	db	'walignr3',0xe0
	dw	ARM_instruction_walignr3-instruction_handler
	db	'wavg2b~~',0x00
	dw	ARM_instruction_wavg2b-instruction_handler
	db	'wavg2h~~',0x00
	dw	ARM_instruction_wavg2h-instruction_handler
	db	'wavg4r~~',0x00
	dw	ARM_instruction_wavg4r-instruction_handler
	db	'wcmpgtsb',0xe0
	dw	ARM_instruction_wcmpgtsb-instruction_handler
	db	'wcmpgtsh',0xe0
	dw	ARM_instruction_wcmpgtsh-instruction_handler
	db	'wcmpgtsw',0xe0
	dw	ARM_instruction_wcmpgtsw-instruction_handler
	db	'wcmpgtub',0xe0
	dw	ARM_instruction_wcmpgtub-instruction_handler
	db	'wcmpgtuh',0xe0
	dw	ARM_instruction_wcmpgtuh-instruction_handler
	db	'wcmpgtuw',0xe0
	dw	ARM_instruction_wcmpgtuw-instruction_handler
	db	'wmacsz~~',0x00
	dw	ARM_instruction_wmacsz-instruction_handler
	db	'wmacuz~~',0x00
	dw	ARM_instruction_wmacuz-instruction_handler
	db	'wmadds~~',0x00
	dw	ARM_instruction_wmadds-instruction_handler
	db	'wmaddu~~',0x00
	dw	ARM_instruction_wmaddu-instruction_handler
	db	'wmaxsb~~',0x00
	dw	ARM_instruction_wmaxsb-instruction_handler
	db	'wmaxsh~~',0x00
	dw	ARM_instruction_wmaxsh-instruction_handler
	db	'wmaxsw~~',0x00
	dw	ARM_instruction_wmaxsw-instruction_handler
	db	'wmaxub~~',0x00
	dw	ARM_instruction_wmaxub-instruction_handler
	db	'wmaxuh~~',0x00
	dw	ARM_instruction_wmaxuh-instruction_handler
	db	'wmaxuw~~',0x00
	dw	ARM_instruction_wmaxuw-instruction_handler
	db	'wmerge~~',0x00
	dw	ARM_instruction_wmerge-instruction_handler
	db	'wmiabb~~',0x00
	dw	ARM_instruction_wmiabb-instruction_handler
	db	'wmiabt~~',0x00
	dw	ARM_instruction_wmiabt-instruction_handler
	db	'wmiatb~~',0x00
	dw	ARM_instruction_wmiatb-instruction_handler
	db	'wmiatt~~',0x00
	dw	ARM_instruction_wmiatt-instruction_handler
	db	'wmiawbbn',0xe0
	dw	ARM_instruction_wmiawbbn-instruction_handler
	db	'wmiawbtn',0xe0
	dw	ARM_instruction_wmiawbtn-instruction_handler
	db	'wmiawtbn',0xe0
	dw	ARM_instruction_wmiawtbn-instruction_handler
	db	'wmiawttn',0xe0
	dw	ARM_instruction_wmiawttn-instruction_handler
	db	'wminsb~~',0x00
	dw	ARM_instruction_wminsb-instruction_handler
	db	'wminsh~~',0x00
	dw	ARM_instruction_wminsh-instruction_handler
	db	'wminsw~~',0x00
	dw	ARM_instruction_wminsw-instruction_handler
	db	'wminub~~',0x00
	dw	ARM_instruction_wminub-instruction_handler
	db	'wminuh~~',0x00
	dw	ARM_instruction_wminuh-instruction_handler
	db	'wminuw~~',0x00
	dw	ARM_instruction_wminuw-instruction_handler
	db	'wmulsl~~',0x00
	dw	ARM_instruction_wmulsl-instruction_handler
	db	'wmulsm~~',0x00
	dw	ARM_instruction_wmulsm-instruction_handler
	db	'wmulul~~',0x00
	dw	ARM_instruction_wmulul-instruction_handler
	db	'wmulum~~',0x00
	dw	ARM_instruction_wmulum-instruction_handler
	db	'wmulwl~~',0x00
	dw	ARM_instruction_wmulwl-instruction_handler
	db	'wmulwsmr',0xe0
	dw	ARM_instruction_wmulwsmr-instruction_handler
	db	'wmulwumr',0xe0
	dw	ARM_instruction_wmulwumr-instruction_handler
	db	'wpackdss',0xe0
	dw	ARM_instruction_wpackdss-instruction_handler
	db	'wpackdus',0xe0
	dw	ARM_instruction_wpackdus-instruction_handler
	db	'wpackhss',0xe0
	dw	ARM_instruction_wpackhss-instruction_handler
	db	'wpackhus',0xe0
	dw	ARM_instruction_wpackhus-instruction_handler
	db	'wpackwss',0xe0
	dw	ARM_instruction_wpackwss-instruction_handler
	db	'wpackwus',0xe0
	dw	ARM_instruction_wpackwus-instruction_handler
	db	'wqmiabbn',0xe0
	dw	ARM_instruction_wqmiabbn-instruction_handler
	db	'wqmiabtn',0xe0
	dw	ARM_instruction_wqmiabtn-instruction_handler
	db	'wqmiatbn',0xe0
	dw	ARM_instruction_wqmiatbn-instruction_handler
	db	'wqmiattn',0xe0
	dw	ARM_instruction_wqmiattn-instruction_handler
	db	'wqmulm~~',0x00
	dw	ARM_instruction_wqmulm-instruction_handler
	db	'wqmulwmr',0xe0
	dw	ARM_instruction_wqmulwmr-instruction_handler
	db	'wrordg~~',0x00
	dw	ARM_instruction_wrordg-instruction_handler
	db	'wrorhg~~',0x00
	dw	ARM_instruction_wrorhg-instruction_handler
	db	'wrorwg~~',0x00
	dw	ARM_instruction_wrorwg-instruction_handler
	db	'wsadbz~~',0x00
	dw	ARM_instruction_wsadbz-instruction_handler
	db	'wsadhz~~',0x00
	dw	ARM_instruction_wsadhz-instruction_handler
	db	'wshufh~~',0x00
	dw	ARM_instruction_wshufh-instruction_handler
	db	'wslldg~~',0x00
	dw	ARM_instruction_wslldg-instruction_handler
	db	'wsllhg~~',0x00
	dw	ARM_instruction_wsllhg-instruction_handler
	db	'wsllwg~~',0x00
	dw	ARM_instruction_wsllwg-instruction_handler
	db	'wsradg~~',0x00
	dw	ARM_instruction_wsradg-instruction_handler
	db	'wsrahg~~',0x00
	dw	ARM_instruction_wsrahg-instruction_handler
	db	'wsrawg~~',0x00
	dw	ARM_instruction_wsrawg-instruction_handler
	db	'wsrldg~~',0x00
	dw	ARM_instruction_wsrldg-instruction_handler
	db	'wsrlhg~~',0x00
	dw	ARM_instruction_wsrlhg-instruction_handler
	db	'wsrlwg~~',0x00
	dw	ARM_instruction_wsrlwg-instruction_handler
	db	0
instructions_9:
	db	'cfabs32~~',0x00
	dw	ARM_instruction_cfabs32-instruction_handler
	db	'cfabs64~~',0x00
	dw	ARM_instruction_cfabs64-instruction_handler
	db	'cfadd32~~',0x00
	dw	ARM_instruction_cfadd32-instruction_handler
	db	'cfadd64~~',0x00
	dw	ARM_instruction_cfadd64-instruction_handler
	db	'cfcmp32~~',0x00
	dw	ARM_instruction_cfcmp32-instruction_handler
	db	'cfcmp64~~',0x00
	dw	ARM_instruction_cfcmp64-instruction_handler
	db	'cfcvtds~~',0x00
	dw	ARM_instruction_cfcvtds-instruction_handler
	db	'cfcvtsd~~',0x00
	dw	ARM_instruction_cfcvtsd-instruction_handler
	db	'cfldr32~~',0x00
	dw	ARM_instruction_cfldr32-instruction_handler
	db	'cfldr64~~',0x00
	dw	ARM_instruction_cfldr64-instruction_handler
	db	'cfmac32~~',0x00
	dw	ARM_instruction_cfmac32-instruction_handler
	db	'cfmadda32',0xe0
	dw	ARM_instruction_cfmadda32-instruction_handler
	db	'cfmsc32~~',0x00
	dw	ARM_instruction_cfmsc32-instruction_handler
	db	'cfmsuba32',0xe0
	dw	ARM_instruction_cfmsuba32-instruction_handler
	db	'cfmul32~~',0x00
	dw	ARM_instruction_cfmul32-instruction_handler
	db	'cfmul64~~',0x00
	dw	ARM_instruction_cfmul64-instruction_handler
	db	'cfmv32a~~',0x00
	dw	ARM_instruction_cfmv32a-instruction_handler
	db	'cfmv64a~~',0x00
	dw	ARM_instruction_cfmv64a-instruction_handler
	db	'cfmva32~~',0x00
	dw	ARM_instruction_cfmva32-instruction_handler
	db	'cfmva64~~',0x00
	dw	ARM_instruction_cfmva64-instruction_handler
	db	'cfmvdhr~~',0x00
	dw	ARM_instruction_cfmvdhr-instruction_handler
	db	'cfmvdlr~~',0x00
	dw	ARM_instruction_cfmvdlr-instruction_handler
	db	'cfmvrdh~~',0x00
	dw	ARM_instruction_cfmvrdh-instruction_handler
	db	'cfmvrdl~~',0x00
	dw	ARM_instruction_cfmvrdl-instruction_handler
	db	'cfneg32~~',0x00
	dw	ARM_instruction_cfneg32-instruction_handler
	db	'cfneg64~~',0x00
	dw	ARM_instruction_cfneg64-instruction_handler
	db	'cfstr32~~',0x00
	dw	ARM_instruction_cfstr32-instruction_handler
	db	'cfstr64~~',0x00
	dw	ARM_instruction_cfstr64-instruction_handler
	db	'cfsub32~~',0x00
	dw	ARM_instruction_cfsub32-instruction_handler
	db	'cfsub64~~',0x00
	dw	ARM_instruction_cfsub64-instruction_handler
	db	'fcmpezd~~',0x00
	dw	ARM_instruction_fcmpezd-instruction_handler
	db	'fcmpezs~~',0x00
	dw	ARM_instruction_fcmpezs-instruction_handler
	db	'fconstd~~',0x00
	dw	ARM_instruction_fconstd-instruction_handler
	db	'fconsts~~',0x00
	dw	ARM_instruction_fconsts-instruction_handler
	db	'fldmdbd~~',0x00
	dw	ARM_instruction_fldmdbd-instruction_handler
	db	'fldmdbs~~',0x00
	dw	ARM_instruction_fldmdbs-instruction_handler
	db	'fldmdbx~~',0x00
	dw	ARM_instruction_fldmdbx-instruction_handler
	db	'fldmead~~',0x00
	dw	ARM_instruction_fldmead-instruction_handler
	db	'fldmeas~~',0x00
	dw	ARM_instruction_fldmeas-instruction_handler
	db	'fldmeax~~',0x00
	dw	ARM_instruction_fldmeax-instruction_handler
	db	'fldmfdd~~',0x00
	dw	ARM_instruction_fldmfdd-instruction_handler
	db	'fldmfds~~',0x00
	dw	ARM_instruction_fldmfds-instruction_handler
	db	'fldmfdx~~',0x00
	dw	ARM_instruction_fldmfdx-instruction_handler
	db	'fldmiad~~',0x00
	dw	ARM_instruction_fldmiad-instruction_handler
	db	'fldmias~~',0x00
	dw	ARM_instruction_fldmias-instruction_handler
	db	'fldmiax~~',0x00
	dw	ARM_instruction_fldmiax-instruction_handler
	db	'fstmdbd~~',0x00
	dw	ARM_instruction_fstmdbd-instruction_handler
	db	'fstmdbs~~',0x00
	dw	ARM_instruction_fstmdbs-instruction_handler
	db	'fstmdbx~~',0x00
	dw	ARM_instruction_fstmdbx-instruction_handler
	db	'fstmead~~',0x00
	dw	ARM_instruction_fstmead-instruction_handler
	db	'fstmeas~~',0x00
	dw	ARM_instruction_fstmeas-instruction_handler
	db	'fstmeax~~',0x00
	dw	ARM_instruction_fstmeax-instruction_handler
	db	'fstmfdd~~',0x00
	dw	ARM_instruction_fstmfdd-instruction_handler
	db	'fstmfds~~',0x00
	dw	ARM_instruction_fstmfds-instruction_handler
	db	'fstmfdx~~',0x00
	dw	ARM_instruction_fstmfdx-instruction_handler
	db	'fstmiad~~',0x00
	dw	ARM_instruction_fstmiad-instruction_handler
	db	'fstmias~~',0x00
	dw	ARM_instruction_fstmias-instruction_handler
	db	'fstmiax~~',0x00
	dw	ARM_instruction_fstmiax-instruction_handler
	db	'ftosizd~~',0x00
	dw	ARM_instruction_ftosizd-instruction_handler
	db	'ftosizs~~',0x00
	dw	ARM_instruction_ftosizs-instruction_handler
	db	'ftouizd~~',0x00
	dw	ARM_instruction_ftouizd-instruction_handler
	db	'ftouizs~~',0x00
	dw	ARM_instruction_ftouizs-instruction_handler
	db	'ldmfd~~.n',0x04
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldmfd~~.w',0x02
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldmia~~.n',0x04
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldmia~~.w',0x02
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldm~~fd.n',0x04
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldm~~fd.w',0x02
	dw	ARM_instruction_ldmfd-instruction_handler
	db	'ldm~~ia.n',0x04
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldm~~ia.w',0x02
	dw	ARM_instruction_ldmia-instruction_handler
	db	'ldrsb~~.n',0x04
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldrsb~~.w',0x02
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldrsh~~.n',0x04
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldrsh~~.w',0x02
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldr~~sb.n',0x04
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldr~~sb.w',0x02
	dw	ARM_instruction_ldrsb-instruction_handler
	db	'ldr~~sh.n',0x04
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'ldr~~sh.w',0x02
	dw	ARM_instruction_ldrsh-instruction_handler
	db	'processor',0x00
	dw	ARM_processor_directive-instruction_handler
	db	'rev16~~.n',0x04
	dw	ARM_instruction_rev16-instruction_handler
	db	'rev16~~.w',0x02
	dw	ARM_instruction_rev16-instruction_handler
	db	'revsh~~.n',0x04
	dw	ARM_instruction_revsh-instruction_handler
	db	'revsh~~.w',0x02
	dw	ARM_instruction_revsh-instruction_handler
	db	'shadd16~~',0x00
	dw	ARM_instruction_shadd16-instruction_handler
	db	'shaddsubx',0xe0
	dw	ARM_instruction_shaddsubx-instruction_handler
	db	'shsub16~~',0x00
	dw	ARM_instruction_shsub16-instruction_handler
	db	'shsubaddx',0xe0
	dw	ARM_instruction_shsubaddx-instruction_handler
	db	'smlalbb~~',0x00
	dw	ARM_instruction_smlalbb-instruction_handler
	db	'smlalbt~~',0x00
	dw	ARM_instruction_smlalbt-instruction_handler
	db	'smlaldx~~',0x00
	dw	ARM_instruction_smlaldx-instruction_handler
	db	'smlaltb~~',0x00
	dw	ARM_instruction_smlaltb-instruction_handler
	db	'smlaltt~~',0x00
	dw	ARM_instruction_smlaltt-instruction_handler
	db	'smlsldx~~',0x00
	dw	ARM_instruction_smlsldx-instruction_handler
	db	'stmdb~~.n',0x04
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stmdb~~.w',0x02
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stmfd~~.n',0x04
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stmfd~~.w',0x02
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stmia~~.n',0x04
	dw	ARM_instruction_stmia-instruction_handler
	db	'stmia~~.w',0x02
	dw	ARM_instruction_stmia-instruction_handler
	db	'stm~~db.n',0x04
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stm~~db.w',0x02
	dw	ARM_instruction_stmdb-instruction_handler
	db	'stm~~fd.n',0x04
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stm~~fd.w',0x02
	dw	ARM_instruction_stmfd-instruction_handler
	db	'stm~~ia.n',0x04
	dw	ARM_instruction_stmia-instruction_handler
	db	'stm~~ia.w',0x02
	dw	ARM_instruction_stmia-instruction_handler
	db	'sxtab16~~',0x00
	dw	ARM_instruction_sxtab16-instruction_handler
	db	'textrcb~~',0x00
	dw	ARM_instruction_textrcb-instruction_handler
	db	'textrch~~',0x00
	dw	ARM_instruction_textrch-instruction_handler
	db	'textrcw~~',0x00
	dw	ARM_instruction_textrcw-instruction_handler
	db	'torvscb~~',0x00
	dw	ARM_instruction_torvscb-instruction_handler
	db	'torvsch~~',0x00
	dw	ARM_instruction_torvsch-instruction_handler
	db	'torvscw~~',0x00
	dw	ARM_instruction_torvscw-instruction_handler
	db	'uhadd16~~',0x00
	dw	ARM_instruction_uhadd16-instruction_handler
	db	'uhaddsubx',0xe0
	dw	ARM_instruction_uhaddsubx-instruction_handler
	db	'uhsub16~~',0x00
	dw	ARM_instruction_uhsub16-instruction_handler
	db	'uhsubaddx',0xe0
	dw	ARM_instruction_uhsubaddx-instruction_handler
	db	'uqadd16~~',0x00
	dw	ARM_instruction_uqadd16-instruction_handler
	db	'uqaddsubx',0xe0
	dw	ARM_instruction_uqaddsubx-instruction_handler
	db	'uqsub16~~',0x00
	dw	ARM_instruction_uqsub16-instruction_handler
	db	'uqsubaddx',0xe0
	dw	ARM_instruction_uqsubaddx-instruction_handler
	db	'uxtab16~~',0x00
	dw	ARM_instruction_uxtab16-instruction_handler
	db	'vabal.s16',0xe0
	dw	ARM_instruction_vabal.s16-instruction_handler
	db	'vabal.s32',0xe0
	dw	ARM_instruction_vabal.s32-instruction_handler
	db	'vabal.u16',0xe0
	dw	ARM_instruction_vabal.u16-instruction_handler
	db	'vabal.u32',0xe0
	dw	ARM_instruction_vabal.u32-instruction_handler
	db	'vaba~~.s8',0x00
	dw	ARM_instruction_vaba.s8-instruction_handler
	db	'vaba~~.u8',0x00
	dw	ARM_instruction_vaba.u8-instruction_handler
	db	'vabdl.s16',0xe0
	dw	ARM_instruction_vabdl.s16-instruction_handler
	db	'vabdl.s32',0xe0
	dw	ARM_instruction_vabdl.s32-instruction_handler
	db	'vabdl.u16',0xe0
	dw	ARM_instruction_vabdl.u16-instruction_handler
	db	'vabdl.u32',0xe0
	dw	ARM_instruction_vabdl.u32-instruction_handler
	db	'vabd~~.s8',0x00
	dw	ARM_instruction_vabd.s8-instruction_handler
	db	'vabd~~.u8',0x00
	dw	ARM_instruction_vabd.u8-instruction_handler
	db	'vabs~~.s8',0x00
	dw	ARM_instruction_vabs.s8-instruction_handler
	db	'vacge.f32',0xe0
	dw	ARM_instruction_vacge.f32-instruction_handler
	db	'vacgt.f32',0xe0
	dw	ARM_instruction_vacgt.f32-instruction_handler
	db	'vacle.f32',0xe0
	dw	ARM_instruction_vacle.f32-instruction_handler
	db	'vaclt.f32',0xe0
	dw	ARM_instruction_vaclt.f32-instruction_handler
	db	'vaddl.s16',0xe0
	dw	ARM_instruction_vaddl.s16-instruction_handler
	db	'vaddl.s32',0xe0
	dw	ARM_instruction_vaddl.s32-instruction_handler
	db	'vaddl.u16',0xe0
	dw	ARM_instruction_vaddl.u16-instruction_handler
	db	'vaddl.u32',0xe0
	dw	ARM_instruction_vaddl.u32-instruction_handler
	db	'vaddw.s16',0xe0
	dw	ARM_instruction_vaddw.s16-instruction_handler
	db	'vaddw.s32',0xe0
	dw	ARM_instruction_vaddw.s32-instruction_handler
	db	'vaddw.u16',0xe0
	dw	ARM_instruction_vaddw.u16-instruction_handler
	db	'vaddw.u32',0xe0
	dw	ARM_instruction_vaddw.u32-instruction_handler
	db	'vadd~~.i8',0x00
	dw	ARM_instruction_vadd.i8-instruction_handler
	db	'vceq~~.i8',0x00
	dw	ARM_instruction_vceq.i8-instruction_handler
	db	'vcge~~.s8',0x00
	dw	ARM_instruction_vcge.s8-instruction_handler
	db	'vcge~~.u8',0x00
	dw	ARM_instruction_vcge.u8-instruction_handler
	db	'vcgt~~.s8',0x00
	dw	ARM_instruction_vcgt.s8-instruction_handler
	db	'vcgt~~.u8',0x00
	dw	ARM_instruction_vcgt.u8-instruction_handler
	db	'vcle~~.s8',0x00
	dw	ARM_instruction_vcle.s8-instruction_handler
	db	'vcle~~.u8',0x00
	dw	ARM_instruction_vcle.u8-instruction_handler
	db	'vcls~~.s8',0x00
	dw	ARM_instruction_vcls.s8-instruction_handler
	db	'vclt~~.s8',0x00
	dw	ARM_instruction_vclt.s8-instruction_handler
	db	'vclt~~.u8',0x00
	dw	ARM_instruction_vclt.u8-instruction_handler
	db	'vclz~~.i8',0x00
	dw	ARM_instruction_vclz.i8-instruction_handler
	db	'vcmpe.f32',0xe0
	dw	ARM_instruction_vcmpe.f32-instruction_handler
	db	'vcmpe.f64',0xe0
	dw	ARM_instruction_vcmpe.f64-instruction_handler
	db	'vdup~~.16',0x00
	dw	ARM_instruction_vdup.16-instruction_handler
	db	'vdup~~.32',0x00
	dw	ARM_instruction_vdup.32-instruction_handler
	db	'vext~~.16',0x00
	dw	ARM_instruction_vext.16-instruction_handler
	db	'vext~~.32',0x00
	dw	ARM_instruction_vext.32-instruction_handler
	db	'vext~~.64',0x00
	dw	ARM_instruction_vext.64-instruction_handler
	db	'vfnma.f32',0xe0
	dw	ARM_instruction_vfnma.f32-instruction_handler
	db	'vfnma.f64',0xe0
	dw	ARM_instruction_vfnma.f64-instruction_handler
	db	'vfnms.f32',0xe0
	dw	ARM_instruction_vfnms.f32-instruction_handler
	db	'vfnms.f64',0xe0
	dw	ARM_instruction_vfnms.f64-instruction_handler
	db	'vhadd.s16',0xe0
	dw	ARM_instruction_vhadd.s16-instruction_handler
	db	'vhadd.s32',0xe0
	dw	ARM_instruction_vhadd.s32-instruction_handler
	db	'vhadd.u16',0xe0
	dw	ARM_instruction_vhadd.u16-instruction_handler
	db	'vhadd.u32',0xe0
	dw	ARM_instruction_vhadd.u32-instruction_handler
	db	'vhsub.s16',0xe0
	dw	ARM_instruction_vhsub.s16-instruction_handler
	db	'vhsub.s32',0xe0
	dw	ARM_instruction_vhsub.s32-instruction_handler
	db	'vhsub.u16',0xe0
	dw	ARM_instruction_vhsub.u16-instruction_handler
	db	'vhsub.u32',0xe0
	dw	ARM_instruction_vhsub.u32-instruction_handler
	db	'vld1~~.16',0x00
	dw	ARM_instruction_vld1.16-instruction_handler
	db	'vld1~~.32',0x00
	dw	ARM_instruction_vld1.32-instruction_handler
	db	'vld1~~.64',0x00
	dw	ARM_instruction_vld1.64-instruction_handler
	db	'vld2~~.16',0x00
	dw	ARM_instruction_vld2.16-instruction_handler
	db	'vld2~~.32',0x00
	dw	ARM_instruction_vld2.32-instruction_handler
	db	'vld3~~.16',0x00
	dw	ARM_instruction_vld3.16-instruction_handler
	db	'vld3~~.32',0x00
	dw	ARM_instruction_vld3.32-instruction_handler
	db	'vld4~~.16',0x00
	dw	ARM_instruction_vld4.16-instruction_handler
	db	'vld4~~.32',0x00
	dw	ARM_instruction_vld4.32-instruction_handler
	db	'vldmdb.32',0xe0
	dw	ARM_instruction_vldmdb.32-instruction_handler
	db	'vldmdb.64',0xe0
	dw	ARM_instruction_vldmdb.64-instruction_handler
	db	'vldmea.32',0xe0
	dw	ARM_instruction_vldmea.32-instruction_handler
	db	'vldmea.64',0xe0
	dw	ARM_instruction_vldmea.64-instruction_handler
	db	'vldmfd.32',0xe0
	dw	ARM_instruction_vldmfd.32-instruction_handler
	db	'vldmfd.64',0xe0
	dw	ARM_instruction_vldmfd.64-instruction_handler
	db	'vldmia.32',0xe0
	dw	ARM_instruction_vldmia.32-instruction_handler
	db	'vldmia.64',0xe0
	dw	ARM_instruction_vldmia.64-instruction_handler
	db	'vldm~~.32',0x00
	dw	ARM_instruction_vldm.32-instruction_handler
	db	'vldm~~.64',0x00
	dw	ARM_instruction_vldm.64-instruction_handler
	db	'vldr~~.32',0x00
	dw	ARM_instruction_vldr.32-instruction_handler
	db	'vldr~~.64',0x00
	dw	ARM_instruction_vldr.64-instruction_handler
	db	'vmax~~.s8',0x00
	dw	ARM_instruction_vmax.s8-instruction_handler
	db	'vmax~~.u8',0x00
	dw	ARM_instruction_vmax.u8-instruction_handler
	db	'vmin~~.s8',0x00
	dw	ARM_instruction_vmin.s8-instruction_handler
	db	'vmin~~.u8',0x00
	dw	ARM_instruction_vmin.u8-instruction_handler
	db	'vmlal.s16',0xe0
	dw	ARM_instruction_vmlal.s16-instruction_handler
	db	'vmlal.s32',0xe0
	dw	ARM_instruction_vmlal.s32-instruction_handler
	db	'vmlal.u16',0xe0
	dw	ARM_instruction_vmlal.u16-instruction_handler
	db	'vmlal.u32',0xe0
	dw	ARM_instruction_vmlal.u32-instruction_handler
	db	'vmla~~.i8',0x00
	dw	ARM_instruction_vmla.i8-instruction_handler
	db	'vmla~~.s8',0x00
	dw	ARM_instruction_vmla.s8-instruction_handler
	db	'vmla~~.u8',0x00
	dw	ARM_instruction_vmla.u8-instruction_handler
	db	'vmlsl.s16',0xe0
	dw	ARM_instruction_vmlsl.s16-instruction_handler
	db	'vmlsl.s32',0xe0
	dw	ARM_instruction_vmlsl.s32-instruction_handler
	db	'vmlsl.u16',0xe0
	dw	ARM_instruction_vmlsl.u16-instruction_handler
	db	'vmlsl.u32',0xe0
	dw	ARM_instruction_vmlsl.u32-instruction_handler
	db	'vmls~~.i8',0x00
	dw	ARM_instruction_vmls.i8-instruction_handler
	db	'vmls~~.s8',0x00
	dw	ARM_instruction_vmls.s8-instruction_handler
	db	'vmls~~.u8',0x00
	dw	ARM_instruction_vmls.u8-instruction_handler
	db	'vmovl.s16',0xe0
	dw	ARM_instruction_vmovl.s16-instruction_handler
	db	'vmovl.s32',0xe0
	dw	ARM_instruction_vmovl.s32-instruction_handler
	db	'vmovl.u16',0xe0
	dw	ARM_instruction_vmovl.u16-instruction_handler
	db	'vmovl.u32',0xe0
	dw	ARM_instruction_vmovl.u32-instruction_handler
	db	'vmovn.i16',0xe0
	dw	ARM_instruction_vmovn.i16-instruction_handler
	db	'vmovn.i32',0xe0
	dw	ARM_instruction_vmovn.i32-instruction_handler
	db	'vmov~~.16',0x00
	dw	ARM_instruction_vmov.16-instruction_handler
	db	'vmov~~.32',0x00
	dw	ARM_instruction_vmov.32-instruction_handler
	db	'vmov~~.i8',0x00
	dw	ARM_instruction_vmov.i8-instruction_handler
	db	'vmov~~.s8',0x00
	dw	ARM_instruction_vmov.s8-instruction_handler
	db	'vmov~~.u8',0x00
	dw	ARM_instruction_vmov.u8-instruction_handler
	db	'vmull.s16',0xe0
	dw	ARM_instruction_vmull.s16-instruction_handler
	db	'vmull.s32',0xe0
	dw	ARM_instruction_vmull.s32-instruction_handler
	db	'vmull.u16',0xe0
	dw	ARM_instruction_vmull.u16-instruction_handler
	db	'vmull.u32',0xe0
	dw	ARM_instruction_vmull.u32-instruction_handler
	db	'vmul~~.i8',0x00
	dw	ARM_instruction_vmul.i8-instruction_handler
	db	'vmul~~.p8',0x00
	dw	ARM_instruction_vmul.p8-instruction_handler
	db	'vmul~~.s8',0x00
	dw	ARM_instruction_vmul.s8-instruction_handler
	db	'vmul~~.u8',0x00
	dw	ARM_instruction_vmul.u8-instruction_handler
	db	'vneg~~.s8',0x00
	dw	ARM_instruction_vneg.s8-instruction_handler
	db	'vnmla.f32',0xe0
	dw	ARM_instruction_vnmla.f32-instruction_handler
	db	'vnmla.f64',0xe0
	dw	ARM_instruction_vnmla.f64-instruction_handler
	db	'vnmls.f32',0xe0
	dw	ARM_instruction_vnmls.f32-instruction_handler
	db	'vnmls.f64',0xe0
	dw	ARM_instruction_vnmls.f64-instruction_handler
	db	'vnmul.f32',0xe0
	dw	ARM_instruction_vnmul.f32-instruction_handler
	db	'vnmul.f64',0xe0
	dw	ARM_instruction_vnmul.f64-instruction_handler
	db	'vpadal.s8',0xe0
	dw	ARM_instruction_vpadal.s8-instruction_handler
	db	'vpadal.u8',0xe0
	dw	ARM_instruction_vpadal.u8-instruction_handler
	db	'vpadd.f32',0xe0
	dw	ARM_instruction_vpadd.f32-instruction_handler
	db	'vpadd.i16',0xe0
	dw	ARM_instruction_vpadd.i16-instruction_handler
	db	'vpadd.i32',0xe0
	dw	ARM_instruction_vpadd.i32-instruction_handler
	db	'vpaddl.s8',0xe0
	dw	ARM_instruction_vpaddl.s8-instruction_handler
	db	'vpaddl.u8',0xe0
	dw	ARM_instruction_vpaddl.u8-instruction_handler
	db	'vpmax.f32',0xe0
	dw	ARM_instruction_vpmax.f32-instruction_handler
	db	'vpmax.s16',0xe0
	dw	ARM_instruction_vpmax.s16-instruction_handler
	db	'vpmax.s32',0xe0
	dw	ARM_instruction_vpmax.s32-instruction_handler
	db	'vpmax.u16',0xe0
	dw	ARM_instruction_vpmax.u16-instruction_handler
	db	'vpmax.u32',0xe0
	dw	ARM_instruction_vpmax.u32-instruction_handler
	db	'vpmin.f32',0xe0
	dw	ARM_instruction_vpmin.f32-instruction_handler
	db	'vpmin.s16',0xe0
	dw	ARM_instruction_vpmin.s16-instruction_handler
	db	'vpmin.s32',0xe0
	dw	ARM_instruction_vpmin.s32-instruction_handler
	db	'vpmin.u16',0xe0
	dw	ARM_instruction_vpmin.u16-instruction_handler
	db	'vpmin.u32',0xe0
	dw	ARM_instruction_vpmin.u32-instruction_handler
	db	'vqabs.s16',0xe0
	dw	ARM_instruction_vqabs.s16-instruction_handler
	db	'vqabs.s32',0xe0
	dw	ARM_instruction_vqabs.s32-instruction_handler
	db	'vqadd.s16',0xe0
	dw	ARM_instruction_vqadd.s16-instruction_handler
	db	'vqadd.s32',0xe0
	dw	ARM_instruction_vqadd.s32-instruction_handler
	db	'vqadd.s64',0xe0
	dw	ARM_instruction_vqadd.s64-instruction_handler
	db	'vqadd.u16',0xe0
	dw	ARM_instruction_vqadd.u16-instruction_handler
	db	'vqadd.u32',0xe0
	dw	ARM_instruction_vqadd.u32-instruction_handler
	db	'vqadd.u64',0xe0
	dw	ARM_instruction_vqadd.u64-instruction_handler
	db	'vqneg.s16',0xe0
	dw	ARM_instruction_vqneg.s16-instruction_handler
	db	'vqneg.s32',0xe0
	dw	ARM_instruction_vqneg.s32-instruction_handler
	db	'vqrshl.s8',0xe0
	dw	ARM_instruction_vqrshl.s8-instruction_handler
	db	'vqrshl.u8',0xe0
	dw	ARM_instruction_vqrshl.u8-instruction_handler
	db	'vqshl.s16',0xe0
	dw	ARM_instruction_vqshl.s16-instruction_handler
	db	'vqshl.s32',0xe0
	dw	ARM_instruction_vqshl.s32-instruction_handler
	db	'vqshl.s64',0xe0
	dw	ARM_instruction_vqshl.s64-instruction_handler
	db	'vqshl.u16',0xe0
	dw	ARM_instruction_vqshl.u16-instruction_handler
	db	'vqshl.u32',0xe0
	dw	ARM_instruction_vqshl.u32-instruction_handler
	db	'vqshl.u64',0xe0
	dw	ARM_instruction_vqshl.u64-instruction_handler
	db	'vqshlu.s8',0xe0
	dw	ARM_instruction_vqshlu.s8-instruction_handler
	db	'vqsub.s16',0xe0
	dw	ARM_instruction_vqsub.s16-instruction_handler
	db	'vqsub.s32',0xe0
	dw	ARM_instruction_vqsub.s32-instruction_handler
	db	'vqsub.s64',0xe0
	dw	ARM_instruction_vqsub.s64-instruction_handler
	db	'vqsub.u16',0xe0
	dw	ARM_instruction_vqsub.u16-instruction_handler
	db	'vqsub.u32',0xe0
	dw	ARM_instruction_vqsub.u32-instruction_handler
	db	'vqsub.u64',0xe0
	dw	ARM_instruction_vqsub.u64-instruction_handler
	db	'vrev32.16',0xe0
	dw	ARM_instruction_vrev32.16-instruction_handler
	db	'vrev64.16',0xe0
	dw	ARM_instruction_vrev64.16-instruction_handler
	db	'vrev64.32',0xe0
	dw	ARM_instruction_vrev64.32-instruction_handler
	db	'vrhadd.s8',0xe0
	dw	ARM_instruction_vrhadd.s8-instruction_handler
	db	'vrhadd.u8',0xe0
	dw	ARM_instruction_vrhadd.u8-instruction_handler
	db	'vrshl.s16',0xe0
	dw	ARM_instruction_vrshl.s16-instruction_handler
	db	'vrshl.s32',0xe0
	dw	ARM_instruction_vrshl.s32-instruction_handler
	db	'vrshl.s64',0xe0
	dw	ARM_instruction_vrshl.s64-instruction_handler
	db	'vrshl.u16',0xe0
	dw	ARM_instruction_vrshl.u16-instruction_handler
	db	'vrshl.u32',0xe0
	dw	ARM_instruction_vrshl.u32-instruction_handler
	db	'vrshl.u64',0xe0
	dw	ARM_instruction_vrshl.u64-instruction_handler
	db	'vrshr.s16',0xe0
	dw	ARM_instruction_vrshr.s16-instruction_handler
	db	'vrshr.s32',0xe0
	dw	ARM_instruction_vrshr.s32-instruction_handler
	db	'vrshr.s64',0xe0
	dw	ARM_instruction_vrshr.s64-instruction_handler
	db	'vrshr.u16',0xe0
	dw	ARM_instruction_vrshr.u16-instruction_handler
	db	'vrshr.u32',0xe0
	dw	ARM_instruction_vrshr.u32-instruction_handler
	db	'vrshr.u64',0xe0
	dw	ARM_instruction_vrshr.u64-instruction_handler
	db	'vrsra.s16',0xe0
	dw	ARM_instruction_vrsra.s16-instruction_handler
	db	'vrsra.s32',0xe0
	dw	ARM_instruction_vrsra.s32-instruction_handler
	db	'vrsra.s64',0xe0
	dw	ARM_instruction_vrsra.s64-instruction_handler
	db	'vrsra.u16',0xe0
	dw	ARM_instruction_vrsra.u16-instruction_handler
	db	'vrsra.u32',0xe0
	dw	ARM_instruction_vrsra.u32-instruction_handler
	db	'vrsra.u64',0xe0
	dw	ARM_instruction_vrsra.u64-instruction_handler
	db	'vshll.i16',0xe0
	dw	ARM_instruction_vshll.i16-instruction_handler
	db	'vshll.i32',0xe0
	dw	ARM_instruction_vshll.i32-instruction_handler
	db	'vshll.s16',0xe0
	dw	ARM_instruction_vshll.s16-instruction_handler
	db	'vshll.s32',0xe0
	dw	ARM_instruction_vshll.s32-instruction_handler
	db	'vshll.u16',0xe0
	dw	ARM_instruction_vshll.u16-instruction_handler
	db	'vshll.u32',0xe0
	dw	ARM_instruction_vshll.u32-instruction_handler
	db	'vshl~~.i8',0x00
	dw	ARM_instruction_vshl.i8-instruction_handler
	db	'vshl~~.s8',0x00
	dw	ARM_instruction_vshl.s8-instruction_handler
	db	'vshl~~.u8',0x00
	dw	ARM_instruction_vshl.u8-instruction_handler
	db	'vshrn.i16',0xe0
	dw	ARM_instruction_vshrn.i16-instruction_handler
	db	'vshrn.i32',0xe0
	dw	ARM_instruction_vshrn.i32-instruction_handler
	db	'vshrn.i64',0xe0
	dw	ARM_instruction_vshrn.i64-instruction_handler
	db	'vshr~~.s8',0x00
	dw	ARM_instruction_vshr.s8-instruction_handler
	db	'vshr~~.u8',0x00
	dw	ARM_instruction_vshr.u8-instruction_handler
	db	'vsli~~.16',0x00
	dw	ARM_instruction_vsli.16-instruction_handler
	db	'vsli~~.32',0x00
	dw	ARM_instruction_vsli.32-instruction_handler
	db	'vsli~~.64',0x00
	dw	ARM_instruction_vsli.64-instruction_handler
	db	'vsqrt.f32',0xe0
	dw	ARM_instruction_vsqrt.f32-instruction_handler
	db	'vsqrt.f64',0xe0
	dw	ARM_instruction_vsqrt.f64-instruction_handler
	db	'vsra~~.s8',0x00
	dw	ARM_instruction_vsra.s8-instruction_handler
	db	'vsra~~.u8',0x00
	dw	ARM_instruction_vsra.u8-instruction_handler
	db	'vsri~~.16',0x00
	dw	ARM_instruction_vsri.16-instruction_handler
	db	'vsri~~.32',0x00
	dw	ARM_instruction_vsri.32-instruction_handler
	db	'vsri~~.64',0x00
	dw	ARM_instruction_vsri.64-instruction_handler
	db	'vst1~~.16',0x00
	dw	ARM_instruction_vst1.16-instruction_handler
	db	'vst1~~.32',0x00
	dw	ARM_instruction_vst1.32-instruction_handler
	db	'vst1~~.64',0x00
	dw	ARM_instruction_vst1.64-instruction_handler
	db	'vst2~~.16',0x00
	dw	ARM_instruction_vst2.16-instruction_handler
	db	'vst2~~.32',0x00
	dw	ARM_instruction_vst2.32-instruction_handler
	db	'vst3~~.16',0x00
	dw	ARM_instruction_vst3.16-instruction_handler
	db	'vst3~~.32',0x00
	dw	ARM_instruction_vst3.32-instruction_handler
	db	'vst4~~.16',0x00
	dw	ARM_instruction_vst4.16-instruction_handler
	db	'vst4~~.32',0x00
	dw	ARM_instruction_vst4.32-instruction_handler
	db	'vstmdb.32',0xe0
	dw	ARM_instruction_vstmdb.32-instruction_handler
	db	'vstmdb.64',0xe0
	dw	ARM_instruction_vstmdb.64-instruction_handler
	db	'vstmea.32',0xe0
	dw	ARM_instruction_vstmea.32-instruction_handler
	db	'vstmea.64',0xe0
	dw	ARM_instruction_vstmea.64-instruction_handler
	db	'vstmfd.32',0xe0
	dw	ARM_instruction_vstmfd.32-instruction_handler
	db	'vstmfd.64',0xe0
	dw	ARM_instruction_vstmfd.64-instruction_handler
	db	'vstmia.32',0xe0
	dw	ARM_instruction_vstmia.32-instruction_handler
	db	'vstmia.64',0xe0
	dw	ARM_instruction_vstmia.64-instruction_handler
	db	'vstm~~.32',0x00
	dw	ARM_instruction_vstm.32-instruction_handler
	db	'vstm~~.64',0x00
	dw	ARM_instruction_vstm.64-instruction_handler
	db	'vstr~~.32',0x00
	dw	ARM_instruction_vstr.32-instruction_handler
	db	'vstr~~.64',0x00
	dw	ARM_instruction_vstr.64-instruction_handler
	db	'vsubl.s16',0xe0
	dw	ARM_instruction_vsubl.s16-instruction_handler
	db	'vsubl.s32',0xe0
	dw	ARM_instruction_vsubl.s32-instruction_handler
	db	'vsubl.u16',0xe0
	dw	ARM_instruction_vsubl.u16-instruction_handler
	db	'vsubl.u32',0xe0
	dw	ARM_instruction_vsubl.u32-instruction_handler
	db	'vsubw.s16',0xe0
	dw	ARM_instruction_vsubw.s16-instruction_handler
	db	'vsubw.s32',0xe0
	dw	ARM_instruction_vsubw.s32-instruction_handler
	db	'vsubw.u16',0xe0
	dw	ARM_instruction_vsubw.u16-instruction_handler
	db	'vsubw.u32',0xe0
	dw	ARM_instruction_vsubw.u32-instruction_handler
	db	'vsub~~.i8',0x00
	dw	ARM_instruction_vsub.i8-instruction_handler
	db	'vtrn~~.16',0x00
	dw	ARM_instruction_vtrn.16-instruction_handler
	db	'vtrn~~.32',0x00
	dw	ARM_instruction_vtrn.32-instruction_handler
	db	'vtst~~.16',0x00
	dw	ARM_instruction_vtst.16-instruction_handler
	db	'vtst~~.32',0x00
	dw	ARM_instruction_vtst.32-instruction_handler
	db	'vuzp~~.16',0x00
	dw	ARM_instruction_vuzp.16-instruction_handler
	db	'vuzp~~.32',0x00
	dw	ARM_instruction_vuzp.32-instruction_handler
	db	'vzip~~.16',0x00
	dw	ARM_instruction_vzip.16-instruction_handler
	db	'vzip~~.32',0x00
	dw	ARM_instruction_vzip.32-instruction_handler
	db	'wabsdiffb',0xe0
	dw	ARM_instruction_wabsdiffb-instruction_handler
	db	'wabsdiffh',0xe0
	dw	ARM_instruction_wabsdiffh-instruction_handler
	db	'wabsdiffw',0xe0
	dw	ARM_instruction_wabsdiffw-instruction_handler
	db	'waddbss~~',0x00
	dw	ARM_instruction_waddbss-instruction_handler
	db	'waddbus~~',0x00
	dw	ARM_instruction_waddbus-instruction_handler
	db	'waddhss~~',0x00
	dw	ARM_instruction_waddhss-instruction_handler
	db	'waddhus~~',0x00
	dw	ARM_instruction_waddhus-instruction_handler
	db	'waddsubhx',0xe0
	dw	ARM_instruction_waddsubhx-instruction_handler
	db	'waddwss~~',0x00
	dw	ARM_instruction_waddwss-instruction_handler
	db	'waddwus~~',0x00
	dw	ARM_instruction_waddwus-instruction_handler
	db	'waligni~~',0x00
	dw	ARM_instruction_waligni-instruction_handler
	db	'wavg2br~~',0x00
	dw	ARM_instruction_wavg2br-instruction_handler
	db	'wavg2hr~~',0x00
	dw	ARM_instruction_wavg2hr-instruction_handler
	db	'wcmpeqb~~',0x00
	dw	ARM_instruction_wcmpeqb-instruction_handler
	db	'wcmpeqh~~',0x00
	dw	ARM_instruction_wcmpeqh-instruction_handler
	db	'wcmpeqw~~',0x00
	dw	ARM_instruction_wcmpeqw-instruction_handler
	db	'wmaddsn~~',0x00
	dw	ARM_instruction_wmaddsn-instruction_handler
	db	'wmaddsx~~',0x00
	dw	ARM_instruction_wmaddsx-instruction_handler
	db	'wmaddun~~',0x00
	dw	ARM_instruction_wmaddun-instruction_handler
	db	'wmaddux~~',0x00
	dw	ARM_instruction_wmaddux-instruction_handler
	db	'wmiabbn~~',0x00
	dw	ARM_instruction_wmiabbn-instruction_handler
	db	'wmiabtn~~',0x00
	dw	ARM_instruction_wmiabtn-instruction_handler
	db	'wmiatbn~~',0x00
	dw	ARM_instruction_wmiatbn-instruction_handler
	db	'wmiattn~~',0x00
	dw	ARM_instruction_wmiattn-instruction_handler
	db	'wmiawbb~~',0x00
	dw	ARM_instruction_wmiawbb-instruction_handler
	db	'wmiawbt~~',0x00
	dw	ARM_instruction_wmiawbt-instruction_handler
	db	'wmiawtb~~',0x00
	dw	ARM_instruction_wmiawtb-instruction_handler
	db	'wmiawtt~~',0x00
	dw	ARM_instruction_wmiawtt-instruction_handler
	db	'wmulsmr~~',0x00
	dw	ARM_instruction_wmulsmr-instruction_handler
	db	'wmulumr~~',0x00
	dw	ARM_instruction_wmulumr-instruction_handler
	db	'wmulwsm~~',0x00
	dw	ARM_instruction_wmulwsm-instruction_handler
	db	'wmulwum~~',0x00
	dw	ARM_instruction_wmulwum-instruction_handler
	db	'wqmiabb~~',0x00
	dw	ARM_instruction_wqmiabb-instruction_handler
	db	'wqmiabt~~',0x00
	dw	ARM_instruction_wqmiabt-instruction_handler
	db	'wqmiatb~~',0x00
	dw	ARM_instruction_wqmiatb-instruction_handler
	db	'wqmiatt~~',0x00
	dw	ARM_instruction_wqmiatt-instruction_handler
	db	'wqmulmr~~',0x00
	dw	ARM_instruction_wqmulmr-instruction_handler
	db	'wqmulwm~~',0x00
	dw	ARM_instruction_wqmulwm-instruction_handler
	db	'wsubaddhx',0xe0
	dw	ARM_instruction_wsubaddhx-instruction_handler
	db	'wsubbss~~',0x00
	dw	ARM_instruction_wsubbss-instruction_handler
	db	'wsubbus~~',0x00
	dw	ARM_instruction_wsubbus-instruction_handler
	db	'wsubhss~~',0x00
	dw	ARM_instruction_wsubhss-instruction_handler
	db	'wsubhus~~',0x00
	dw	ARM_instruction_wsubhus-instruction_handler
	db	'wsubwss~~',0x00
	dw	ARM_instruction_wsubwss-instruction_handler
	db	'wsubwus~~',0x00
	dw	ARM_instruction_wsubwus-instruction_handler
	db	'wunpckihb',0xe0
	dw	ARM_instruction_wunpckihb-instruction_handler
	db	'wunpckihh',0xe0
	dw	ARM_instruction_wunpckihh-instruction_handler
	db	'wunpckihw',0xe0
	dw	ARM_instruction_wunpckihw-instruction_handler
	db	'wunpckilb',0xe0
	dw	ARM_instruction_wunpckilb-instruction_handler
	db	'wunpckilh',0xe0
	dw	ARM_instruction_wunpckilh-instruction_handler
	db	'wunpckilw',0xe0
	dw	ARM_instruction_wunpckilw-instruction_handler
	db	'yield~~.n',0x04
	dw	ARM_instruction_yield-instruction_handler
	db	'yield~~.w',0x02
	dw	ARM_instruction_yield-instruction_handler
	db	0
instructions_10:
	db	'cfcvt32d~~',0x00
	dw	ARM_instruction_cfcvt32d-instruction_handler
	db	'cfcvt32s~~',0x00
	dw	ARM_instruction_cfcvt32s-instruction_handler
	db	'cfcvt64d~~',0x00
	dw	ARM_instruction_cfcvt64d-instruction_handler
	db	'cfcvt64s~~',0x00
	dw	ARM_instruction_cfcvt64s-instruction_handler
	db	'cfcvtd32~~',0x00
	dw	ARM_instruction_cfcvtd32-instruction_handler
	db	'cfcvts32~~',0x00
	dw	ARM_instruction_cfcvts32-instruction_handler
	db	'cfmadd32~~',0x00
	dw	ARM_instruction_cfmadd32-instruction_handler
	db	'cfmsub32~~',0x00
	dw	ARM_instruction_cfmsub32-instruction_handler
	db	'cfmv32ah~~',0x00
	dw	ARM_instruction_cfmv32ah-instruction_handler
	db	'cfmv32al~~',0x00
	dw	ARM_instruction_cfmv32al-instruction_handler
	db	'cfmv32am~~',0x00
	dw	ARM_instruction_cfmv32am-instruction_handler
	db	'cfmv32sc~~',0x00
	dw	ARM_instruction_cfmv32sc-instruction_handler
	db	'cfmv64hr~~',0x00
	dw	ARM_instruction_cfmv64hr-instruction_handler
	db	'cfmv64lr~~',0x00
	dw	ARM_instruction_cfmv64lr-instruction_handler
	db	'cfmvah32~~',0x00
	dw	ARM_instruction_cfmvah32-instruction_handler
	db	'cfmval32~~',0x00
	dw	ARM_instruction_cfmval32-instruction_handler
	db	'cfmvam32~~',0x00
	dw	ARM_instruction_cfmvam32-instruction_handler
	db	'cfmvr64h~~',0x00
	dw	ARM_instruction_cfmvr64h-instruction_handler
	db	'cfmvr64l~~',0x00
	dw	ARM_instruction_cfmvr64l-instruction_handler
	db	'cfmvsc32~~',0x00
	dw	ARM_instruction_cfmvsc32-instruction_handler
	db	'cfrshl32~~',0x00
	dw	ARM_instruction_cfrshl32-instruction_handler
	db	'cfrshl64~~',0x00
	dw	ARM_instruction_cfrshl64-instruction_handler
	db	'cftruncd32',0xe0
	dw	ARM_instruction_cftruncd32-instruction_handler
	db	'cftruncs32',0xe0
	dw	ARM_instruction_cftruncs32-instruction_handler
	db	'qaddsubx~~',0x00
	dw	ARM_instruction_qaddsubx-instruction_handler
	db	'qsubaddx~~',0x00
	dw	ARM_instruction_qsubaddx-instruction_handler
	db	'saddsubx~~',0x00
	dw	ARM_instruction_saddsubx-instruction_handler
	db	'ssubaddx~~',0x00
	dw	ARM_instruction_ssubaddx-instruction_handler
	db	'textrmsb~~',0x00
	dw	ARM_instruction_textrmsb-instruction_handler
	db	'textrmsh~~',0x00
	dw	ARM_instruction_textrmsh-instruction_handler
	db	'textrmsw~~',0x00
	dw	ARM_instruction_textrmsw-instruction_handler
	db	'textrmub~~',0x00
	dw	ARM_instruction_textrmub-instruction_handler
	db	'textrmuh~~',0x00
	dw	ARM_instruction_textrmuh-instruction_handler
	db	'textrmuw~~',0x00
	dw	ARM_instruction_textrmuw-instruction_handler
	db	'tmovmskb~~',0x00
	dw	ARM_instruction_tmovmskb-instruction_handler
	db	'tmovmskh~~',0x00
	dw	ARM_instruction_tmovmskh-instruction_handler
	db	'tmovmskw~~',0x00
	dw	ARM_instruction_tmovmskw-instruction_handler
	db	'uaddsubx~~',0x00
	dw	ARM_instruction_uaddsubx-instruction_handler
	db	'usubaddx~~',0x00
	dw	ARM_instruction_usubaddx-instruction_handler
	db	'vabal~~.s8',0x00
	dw	ARM_instruction_vabal.s8-instruction_handler
	db	'vabal~~.u8',0x00
	dw	ARM_instruction_vabal.u8-instruction_handler
	db	'vaba~~.s16',0x00
	dw	ARM_instruction_vaba.s16-instruction_handler
	db	'vaba~~.s32',0x00
	dw	ARM_instruction_vaba.s32-instruction_handler
	db	'vaba~~.u16',0x00
	dw	ARM_instruction_vaba.u16-instruction_handler
	db	'vaba~~.u32',0x00
	dw	ARM_instruction_vaba.u32-instruction_handler
	db	'vabdl~~.s8',0x00
	dw	ARM_instruction_vabdl.s8-instruction_handler
	db	'vabdl~~.u8',0x00
	dw	ARM_instruction_vabdl.u8-instruction_handler
	db	'vabd~~.f32',0x00
	dw	ARM_instruction_vabd.f32-instruction_handler
	db	'vabd~~.s16',0x00
	dw	ARM_instruction_vabd.s16-instruction_handler
	db	'vabd~~.s32',0x00
	dw	ARM_instruction_vabd.s32-instruction_handler
	db	'vabd~~.u16',0x00
	dw	ARM_instruction_vabd.u16-instruction_handler
	db	'vabd~~.u32',0x00
	dw	ARM_instruction_vabd.u32-instruction_handler
	db	'vabs~~.f32',0x00
	dw	ARM_instruction_vabs.f32-instruction_handler
	db	'vabs~~.f64',0x00
	dw	ARM_instruction_vabs.f64-instruction_handler
	db	'vabs~~.s16',0x00
	dw	ARM_instruction_vabs.s16-instruction_handler
	db	'vabs~~.s32',0x00
	dw	ARM_instruction_vabs.s32-instruction_handler
	db	'vaddhn.i16',0xe0
	dw	ARM_instruction_vaddhn.i16-instruction_handler
	db	'vaddhn.i32',0xe0
	dw	ARM_instruction_vaddhn.i32-instruction_handler
	db	'vaddhn.i64',0xe0
	dw	ARM_instruction_vaddhn.i64-instruction_handler
	db	'vaddl~~.s8',0x00
	dw	ARM_instruction_vaddl.s8-instruction_handler
	db	'vaddl~~.u8',0x00
	dw	ARM_instruction_vaddl.u8-instruction_handler
	db	'vaddw~~.s8',0x00
	dw	ARM_instruction_vaddw.s8-instruction_handler
	db	'vaddw~~.u8',0x00
	dw	ARM_instruction_vaddw.u8-instruction_handler
	db	'vadd~~.f32',0x00
	dw	ARM_instruction_vadd.f32-instruction_handler
	db	'vadd~~.f64',0x00
	dw	ARM_instruction_vadd.f64-instruction_handler
	db	'vadd~~.i16',0x00
	dw	ARM_instruction_vadd.i16-instruction_handler
	db	'vadd~~.i32',0x00
	dw	ARM_instruction_vadd.i32-instruction_handler
	db	'vadd~~.i64',0x00
	dw	ARM_instruction_vadd.i64-instruction_handler
	db	'vand~~.i16',0x00
	dw	ARM_instruction_vand.i16-instruction_handler
	db	'vand~~.i32',0x00
	dw	ARM_instruction_vand.i32-instruction_handler
	db	'vbic~~.i16',0x00
	dw	ARM_instruction_vbic.i16-instruction_handler
	db	'vbic~~.i32',0x00
	dw	ARM_instruction_vbic.i32-instruction_handler
	db	'vceq~~.f32',0x00
	dw	ARM_instruction_vceq.f32-instruction_handler
	db	'vceq~~.i16',0x00
	dw	ARM_instruction_vceq.i16-instruction_handler
	db	'vceq~~.i32',0x00
	dw	ARM_instruction_vceq.i32-instruction_handler
	db	'vcge~~.f32',0x00
	dw	ARM_instruction_vcge.f32-instruction_handler
	db	'vcge~~.s16',0x00
	dw	ARM_instruction_vcge.s16-instruction_handler
	db	'vcge~~.s32',0x00
	dw	ARM_instruction_vcge.s32-instruction_handler
	db	'vcge~~.u16',0x00
	dw	ARM_instruction_vcge.u16-instruction_handler
	db	'vcge~~.u32',0x00
	dw	ARM_instruction_vcge.u32-instruction_handler
	db	'vcgt~~.f32',0x00
	dw	ARM_instruction_vcgt.f32-instruction_handler
	db	'vcgt~~.s16',0x00
	dw	ARM_instruction_vcgt.s16-instruction_handler
	db	'vcgt~~.s32',0x00
	dw	ARM_instruction_vcgt.s32-instruction_handler
	db	'vcgt~~.u16',0x00
	dw	ARM_instruction_vcgt.u16-instruction_handler
	db	'vcgt~~.u32',0x00
	dw	ARM_instruction_vcgt.u32-instruction_handler
	db	'vcle~~.f32',0x00
	dw	ARM_instruction_vcle.f32-instruction_handler
	db	'vcle~~.s16',0x00
	dw	ARM_instruction_vcle.s16-instruction_handler
	db	'vcle~~.s32',0x00
	dw	ARM_instruction_vcle.s32-instruction_handler
	db	'vcle~~.u16',0x00
	dw	ARM_instruction_vcle.u16-instruction_handler
	db	'vcle~~.u32',0x00
	dw	ARM_instruction_vcle.u32-instruction_handler
	db	'vcls~~.s16',0x00
	dw	ARM_instruction_vcls.s16-instruction_handler
	db	'vcls~~.s32',0x00
	dw	ARM_instruction_vcls.s32-instruction_handler
	db	'vclt~~.f32',0x00
	dw	ARM_instruction_vclt.f32-instruction_handler
	db	'vclt~~.s16',0x00
	dw	ARM_instruction_vclt.s16-instruction_handler
	db	'vclt~~.s32',0x00
	dw	ARM_instruction_vclt.s32-instruction_handler
	db	'vclt~~.u16',0x00
	dw	ARM_instruction_vclt.u16-instruction_handler
	db	'vclt~~.u32',0x00
	dw	ARM_instruction_vclt.u32-instruction_handler
	db	'vclz~~.i16',0x00
	dw	ARM_instruction_vclz.i16-instruction_handler
	db	'vclz~~.i32',0x00
	dw	ARM_instruction_vclz.i32-instruction_handler
	db	'vcmp~~.f32',0x00
	dw	ARM_instruction_vcmp.f32-instruction_handler
	db	'vcmp~~.f64',0x00
	dw	ARM_instruction_vcmp.f64-instruction_handler
	db	'vdiv~~.f32',0x00
	dw	ARM_instruction_vdiv.f32-instruction_handler
	db	'vdiv~~.f64',0x00
	dw	ARM_instruction_vdiv.f64-instruction_handler
	db	'vfma~~.f32',0x00
	dw	ARM_instruction_vfma.f32-instruction_handler
	db	'vfma~~.f64',0x00
	dw	ARM_instruction_vfma.f64-instruction_handler
	db	'vfms~~.f32',0x00
	dw	ARM_instruction_vfms.f32-instruction_handler
	db	'vfms~~.f64',0x00
	dw	ARM_instruction_vfms.f64-instruction_handler
	db	'vhadd~~.s8',0x00
	dw	ARM_instruction_vhadd.s8-instruction_handler
	db	'vhadd~~.u8',0x00
	dw	ARM_instruction_vhadd.u8-instruction_handler
	db	'vhsub~~.s8',0x00
	dw	ARM_instruction_vhsub.s8-instruction_handler
	db	'vhsub~~.u8',0x00
	dw	ARM_instruction_vhsub.u8-instruction_handler
	db	'vmax~~.f32',0x00
	dw	ARM_instruction_vmax.f32-instruction_handler
	db	'vmax~~.s16',0x00
	dw	ARM_instruction_vmax.s16-instruction_handler
	db	'vmax~~.s32',0x00
	dw	ARM_instruction_vmax.s32-instruction_handler
	db	'vmax~~.u16',0x00
	dw	ARM_instruction_vmax.u16-instruction_handler
	db	'vmax~~.u32',0x00
	dw	ARM_instruction_vmax.u32-instruction_handler
	db	'vmin~~.f32',0x00
	dw	ARM_instruction_vmin.f32-instruction_handler
	db	'vmin~~.s16',0x00
	dw	ARM_instruction_vmin.s16-instruction_handler
	db	'vmin~~.s32',0x00
	dw	ARM_instruction_vmin.s32-instruction_handler
	db	'vmin~~.u16',0x00
	dw	ARM_instruction_vmin.u16-instruction_handler
	db	'vmin~~.u32',0x00
	dw	ARM_instruction_vmin.u32-instruction_handler
	db	'vmlal~~.s8',0x00
	dw	ARM_instruction_vmlal.s8-instruction_handler
	db	'vmlal~~.u8',0x00
	dw	ARM_instruction_vmlal.u8-instruction_handler
	db	'vmla~~.f32',0x00
	dw	ARM_instruction_vmla.f32-instruction_handler
	db	'vmla~~.f64',0x00
	dw	ARM_instruction_vmla.f64-instruction_handler
	db	'vmla~~.i16',0x00
	dw	ARM_instruction_vmla.i16-instruction_handler
	db	'vmla~~.i32',0x00
	dw	ARM_instruction_vmla.i32-instruction_handler
	db	'vmla~~.s16',0x00
	dw	ARM_instruction_vmla.s16-instruction_handler
	db	'vmla~~.s32',0x00
	dw	ARM_instruction_vmla.s32-instruction_handler
	db	'vmla~~.u16',0x00
	dw	ARM_instruction_vmla.u16-instruction_handler
	db	'vmla~~.u32',0x00
	dw	ARM_instruction_vmla.u32-instruction_handler
	db	'vmlsl~~.s8',0x00
	dw	ARM_instruction_vmlsl.s8-instruction_handler
	db	'vmlsl~~.u8',0x00
	dw	ARM_instruction_vmlsl.u8-instruction_handler
	db	'vmls~~.f32',0x00
	dw	ARM_instruction_vmls.f32-instruction_handler
	db	'vmls~~.f64',0x00
	dw	ARM_instruction_vmls.f64-instruction_handler
	db	'vmls~~.i16',0x00
	dw	ARM_instruction_vmls.i16-instruction_handler
	db	'vmls~~.i32',0x00
	dw	ARM_instruction_vmls.i32-instruction_handler
	db	'vmls~~.s16',0x00
	dw	ARM_instruction_vmls.s16-instruction_handler
	db	'vmls~~.s32',0x00
	dw	ARM_instruction_vmls.s32-instruction_handler
	db	'vmls~~.u16',0x00
	dw	ARM_instruction_vmls.u16-instruction_handler
	db	'vmls~~.u32',0x00
	dw	ARM_instruction_vmls.u32-instruction_handler
	db	'vmovl~~.s8',0x00
	dw	ARM_instruction_vmovl.s8-instruction_handler
	db	'vmovl~~.u8',0x00
	dw	ARM_instruction_vmovl.u8-instruction_handler
	db	'vmovn~~.i8',0x00
	dw	ARM_instruction_vmovn.i8-instruction_handler
	db	'vmov~~.f32',0x00
	dw	ARM_instruction_vmov.f32-instruction_handler
	db	'vmov~~.f64',0x00
	dw	ARM_instruction_vmov.f64-instruction_handler
	db	'vmov~~.i16',0x00
	dw	ARM_instruction_vmov.i16-instruction_handler
	db	'vmov~~.i32',0x00
	dw	ARM_instruction_vmov.i32-instruction_handler
	db	'vmov~~.i64',0x00
	dw	ARM_instruction_vmov.i64-instruction_handler
	db	'vmov~~.s16',0x00
	dw	ARM_instruction_vmov.s16-instruction_handler
	db	'vmov~~.u16',0x00
	dw	ARM_instruction_vmov.u16-instruction_handler
	db	'vmull~~.p8',0x00
	dw	ARM_instruction_vmull.p8-instruction_handler
	db	'vmull~~.s8',0x00
	dw	ARM_instruction_vmull.s8-instruction_handler
	db	'vmull~~.u8',0x00
	dw	ARM_instruction_vmull.u8-instruction_handler
	db	'vmul~~.f32',0x00
	dw	ARM_instruction_vmul.f32-instruction_handler
	db	'vmul~~.f64',0x00
	dw	ARM_instruction_vmul.f64-instruction_handler
	db	'vmul~~.i16',0x00
	dw	ARM_instruction_vmul.i16-instruction_handler
	db	'vmul~~.i32',0x00
	dw	ARM_instruction_vmul.i32-instruction_handler
	db	'vmul~~.s16',0x00
	dw	ARM_instruction_vmul.s16-instruction_handler
	db	'vmul~~.s32',0x00
	dw	ARM_instruction_vmul.s32-instruction_handler
	db	'vmul~~.u16',0x00
	dw	ARM_instruction_vmul.u16-instruction_handler
	db	'vmul~~.u32',0x00
	dw	ARM_instruction_vmul.u32-instruction_handler
	db	'vmvn~~.i16',0x00
	dw	ARM_instruction_vmvn.i16-instruction_handler
	db	'vmvn~~.i32',0x00
	dw	ARM_instruction_vmvn.i32-instruction_handler
	db	'vneg~~.f32',0x00
	dw	ARM_instruction_vneg.f32-instruction_handler
	db	'vneg~~.f64',0x00
	dw	ARM_instruction_vneg.f64-instruction_handler
	db	'vneg~~.s16',0x00
	dw	ARM_instruction_vneg.s16-instruction_handler
	db	'vneg~~.s32',0x00
	dw	ARM_instruction_vneg.s32-instruction_handler
	db	'vorn~~.i16',0x00
	dw	ARM_instruction_vorn.i16-instruction_handler
	db	'vorn~~.i32',0x00
	dw	ARM_instruction_vorn.i32-instruction_handler
	db	'vorr~~.i16',0x00
	dw	ARM_instruction_vorr.i16-instruction_handler
	db	'vorr~~.i32',0x00
	dw	ARM_instruction_vorr.i32-instruction_handler
	db	'vpadal.s16',0xe0
	dw	ARM_instruction_vpadal.s16-instruction_handler
	db	'vpadal.s32',0xe0
	dw	ARM_instruction_vpadal.s32-instruction_handler
	db	'vpadal.u16',0xe0
	dw	ARM_instruction_vpadal.u16-instruction_handler
	db	'vpadal.u32',0xe0
	dw	ARM_instruction_vpadal.u32-instruction_handler
	db	'vpaddl.s16',0xe0
	dw	ARM_instruction_vpaddl.s16-instruction_handler
	db	'vpaddl.s32',0xe0
	dw	ARM_instruction_vpaddl.s32-instruction_handler
	db	'vpaddl.u16',0xe0
	dw	ARM_instruction_vpaddl.u16-instruction_handler
	db	'vpaddl.u32',0xe0
	dw	ARM_instruction_vpaddl.u32-instruction_handler
	db	'vpadd~~.i8',0x00
	dw	ARM_instruction_vpadd.i8-instruction_handler
	db	'vpmax~~.s8',0x00
	dw	ARM_instruction_vpmax.s8-instruction_handler
	db	'vpmax~~.u8',0x00
	dw	ARM_instruction_vpmax.u8-instruction_handler
	db	'vpmin~~.s8',0x00
	dw	ARM_instruction_vpmin.s8-instruction_handler
	db	'vpmin~~.u8',0x00
	dw	ARM_instruction_vpmin.u8-instruction_handler
	db	'vqabs~~.s8',0x00
	dw	ARM_instruction_vqabs.s8-instruction_handler
	db	'vqadd~~.s8',0x00
	dw	ARM_instruction_vqadd.s8-instruction_handler
	db	'vqadd~~.u8',0x00
	dw	ARM_instruction_vqadd.u8-instruction_handler
	db	'vqmovn.s16',0xe0
	dw	ARM_instruction_vqmovn.s16-instruction_handler
	db	'vqmovn.s32',0xe0
	dw	ARM_instruction_vqmovn.s32-instruction_handler
	db	'vqmovn.s64',0xe0
	dw	ARM_instruction_vqmovn.s64-instruction_handler
	db	'vqmovn.u16',0xe0
	dw	ARM_instruction_vqmovn.u16-instruction_handler
	db	'vqmovn.u32',0xe0
	dw	ARM_instruction_vqmovn.u32-instruction_handler
	db	'vqmovn.u64',0xe0
	dw	ARM_instruction_vqmovn.u64-instruction_handler
	db	'vqneg~~.s8',0x00
	dw	ARM_instruction_vqneg.s8-instruction_handler
	db	'vqrshl.s16',0xe0
	dw	ARM_instruction_vqrshl.s16-instruction_handler
	db	'vqrshl.s32',0xe0
	dw	ARM_instruction_vqrshl.s32-instruction_handler
	db	'vqrshl.s64',0xe0
	dw	ARM_instruction_vqrshl.s64-instruction_handler
	db	'vqrshl.u16',0xe0
	dw	ARM_instruction_vqrshl.u16-instruction_handler
	db	'vqrshl.u32',0xe0
	dw	ARM_instruction_vqrshl.u32-instruction_handler
	db	'vqrshl.u64',0xe0
	dw	ARM_instruction_vqrshl.u64-instruction_handler
	db	'vqshlu.s16',0xe0
	dw	ARM_instruction_vqshlu.s16-instruction_handler
	db	'vqshlu.s32',0xe0
	dw	ARM_instruction_vqshlu.s32-instruction_handler
	db	'vqshlu.s64',0xe0
	dw	ARM_instruction_vqshlu.s64-instruction_handler
	db	'vqshl~~.s8',0x00
	dw	ARM_instruction_vqshl.s8-instruction_handler
	db	'vqshl~~.u8',0x00
	dw	ARM_instruction_vqshl.u8-instruction_handler
	db	'vqshrn.s16',0xe0
	dw	ARM_instruction_vqshrn.s16-instruction_handler
	db	'vqshrn.s32',0xe0
	dw	ARM_instruction_vqshrn.s32-instruction_handler
	db	'vqshrn.s64',0xe0
	dw	ARM_instruction_vqshrn.s64-instruction_handler
	db	'vqshrn.u16',0xe0
	dw	ARM_instruction_vqshrn.u16-instruction_handler
	db	'vqshrn.u32',0xe0
	dw	ARM_instruction_vqshrn.u32-instruction_handler
	db	'vqshrn.u64',0xe0
	dw	ARM_instruction_vqshrn.u64-instruction_handler
	db	'vqsub~~.s8',0x00
	dw	ARM_instruction_vqsub.s8-instruction_handler
	db	'vqsub~~.u8',0x00
	dw	ARM_instruction_vqsub.u8-instruction_handler
	db	'vrecpe.f32',0xe0
	dw	ARM_instruction_vrecpe.f32-instruction_handler
	db	'vrecpe.u32',0xe0
	dw	ARM_instruction_vrecpe.u32-instruction_handler
	db	'vrecps.f32',0xe0
	dw	ARM_instruction_vrecps.f32-instruction_handler
	db	'vrev16~~.8',0x00
	dw	ARM_instruction_vrev16.8-instruction_handler
	db	'vrev32~~.8',0x00
	dw	ARM_instruction_vrev32.8-instruction_handler
	db	'vrev64~~.8',0x00
	dw	ARM_instruction_vrev64.8-instruction_handler
	db	'vrhadd.s16',0xe0
	dw	ARM_instruction_vrhadd.s16-instruction_handler
	db	'vrhadd.s32',0xe0
	dw	ARM_instruction_vrhadd.s32-instruction_handler
	db	'vrhadd.u16',0xe0
	dw	ARM_instruction_vrhadd.u16-instruction_handler
	db	'vrhadd.u32',0xe0
	dw	ARM_instruction_vrhadd.u32-instruction_handler
	db	'vrshl~~.s8',0x00
	dw	ARM_instruction_vrshl.s8-instruction_handler
	db	'vrshl~~.u8',0x00
	dw	ARM_instruction_vrshl.u8-instruction_handler
	db	'vrshrn.i16',0xe0
	dw	ARM_instruction_vrshrn.i16-instruction_handler
	db	'vrshrn.i32',0xe0
	dw	ARM_instruction_vrshrn.i32-instruction_handler
	db	'vrshrn.i64',0xe0
	dw	ARM_instruction_vrshrn.i64-instruction_handler
	db	'vrshr~~.s8',0x00
	dw	ARM_instruction_vrshr.s8-instruction_handler
	db	'vrshr~~.u8',0x00
	dw	ARM_instruction_vrshr.u8-instruction_handler
	db	'vrsra~~.s8',0x00
	dw	ARM_instruction_vrsra.s8-instruction_handler
	db	'vrsra~~.u8',0x00
	dw	ARM_instruction_vrsra.u8-instruction_handler
	db	'vshll~~.i8',0x00
	dw	ARM_instruction_vshll.i8-instruction_handler
	db	'vshll~~.s8',0x00
	dw	ARM_instruction_vshll.s8-instruction_handler
	db	'vshll~~.u8',0x00
	dw	ARM_instruction_vshll.u8-instruction_handler
	db	'vshl~~.i16',0x00
	dw	ARM_instruction_vshl.i16-instruction_handler
	db	'vshl~~.i32',0x00
	dw	ARM_instruction_vshl.i32-instruction_handler
	db	'vshl~~.i64',0x00
	dw	ARM_instruction_vshl.i64-instruction_handler
	db	'vshl~~.s16',0x00
	dw	ARM_instruction_vshl.s16-instruction_handler
	db	'vshl~~.s32',0x00
	dw	ARM_instruction_vshl.s32-instruction_handler
	db	'vshl~~.s64',0x00
	dw	ARM_instruction_vshl.s64-instruction_handler
	db	'vshl~~.u16',0x00
	dw	ARM_instruction_vshl.u16-instruction_handler
	db	'vshl~~.u32',0x00
	dw	ARM_instruction_vshl.u32-instruction_handler
	db	'vshl~~.u64',0x00
	dw	ARM_instruction_vshl.u64-instruction_handler
	db	'vshr~~.s16',0x00
	dw	ARM_instruction_vshr.s16-instruction_handler
	db	'vshr~~.s32',0x00
	dw	ARM_instruction_vshr.s32-instruction_handler
	db	'vshr~~.s64',0x00
	dw	ARM_instruction_vshr.s64-instruction_handler
	db	'vshr~~.u16',0x00
	dw	ARM_instruction_vshr.u16-instruction_handler
	db	'vshr~~.u32',0x00
	dw	ARM_instruction_vshr.u32-instruction_handler
	db	'vshr~~.u64',0x00
	dw	ARM_instruction_vshr.u64-instruction_handler
	db	'vsra~~.s16',0x00
	dw	ARM_instruction_vsra.s16-instruction_handler
	db	'vsra~~.s32',0x00
	dw	ARM_instruction_vsra.s32-instruction_handler
	db	'vsra~~.s64',0x00
	dw	ARM_instruction_vsra.s64-instruction_handler
	db	'vsra~~.u16',0x00
	dw	ARM_instruction_vsra.u16-instruction_handler
	db	'vsra~~.u32',0x00
	dw	ARM_instruction_vsra.u32-instruction_handler
	db	'vsra~~.u64',0x00
	dw	ARM_instruction_vsra.u64-instruction_handler
	db	'vsubhn.i16',0xe0
	dw	ARM_instruction_vsubhn.i16-instruction_handler
	db	'vsubhn.i32',0xe0
	dw	ARM_instruction_vsubhn.i32-instruction_handler
	db	'vsubhn.i64',0xe0
	dw	ARM_instruction_vsubhn.i64-instruction_handler
	db	'vsubl~~.s8',0x00
	dw	ARM_instruction_vsubl.s8-instruction_handler
	db	'vsubl~~.u8',0x00
	dw	ARM_instruction_vsubl.u8-instruction_handler
	db	'vsubw~~.s8',0x00
	dw	ARM_instruction_vsubw.s8-instruction_handler
	db	'vsubw~~.u8',0x00
	dw	ARM_instruction_vsubw.u8-instruction_handler
	db	'vsub~~.f32',0x00
	dw	ARM_instruction_vsub.f32-instruction_handler
	db	'vsub~~.f64',0x00
	dw	ARM_instruction_vsub.f64-instruction_handler
	db	'vsub~~.i16',0x00
	dw	ARM_instruction_vsub.i16-instruction_handler
	db	'vsub~~.i32',0x00
	dw	ARM_instruction_vsub.i32-instruction_handler
	db	'vsub~~.i64',0x00
	dw	ARM_instruction_vsub.i64-instruction_handler
	db	'walignr0~~',0x00
	dw	ARM_instruction_walignr0-instruction_handler
	db	'walignr1~~',0x00
	dw	ARM_instruction_walignr1-instruction_handler
	db	'walignr2~~',0x00
	dw	ARM_instruction_walignr2-instruction_handler
	db	'walignr3~~',0x00
	dw	ARM_instruction_walignr3-instruction_handler
	db	'wcmpgtsb~~',0x00
	dw	ARM_instruction_wcmpgtsb-instruction_handler
	db	'wcmpgtsh~~',0x00
	dw	ARM_instruction_wcmpgtsh-instruction_handler
	db	'wcmpgtsw~~',0x00
	dw	ARM_instruction_wcmpgtsw-instruction_handler
	db	'wcmpgtub~~',0x00
	dw	ARM_instruction_wcmpgtub-instruction_handler
	db	'wcmpgtuh~~',0x00
	dw	ARM_instruction_wcmpgtuh-instruction_handler
	db	'wcmpgtuw~~',0x00
	dw	ARM_instruction_wcmpgtuw-instruction_handler
	db	'wmiawbbn~~',0x00
	dw	ARM_instruction_wmiawbbn-instruction_handler
	db	'wmiawbtn~~',0x00
	dw	ARM_instruction_wmiawbtn-instruction_handler
	db	'wmiawtbn~~',0x00
	dw	ARM_instruction_wmiawtbn-instruction_handler
	db	'wmiawttn~~',0x00
	dw	ARM_instruction_wmiawttn-instruction_handler
	db	'wmulwsmr~~',0x00
	dw	ARM_instruction_wmulwsmr-instruction_handler
	db	'wmulwumr~~',0x00
	dw	ARM_instruction_wmulwumr-instruction_handler
	db	'wpackdss~~',0x00
	dw	ARM_instruction_wpackdss-instruction_handler
	db	'wpackdus~~',0x00
	dw	ARM_instruction_wpackdus-instruction_handler
	db	'wpackhss~~',0x00
	dw	ARM_instruction_wpackhss-instruction_handler
	db	'wpackhus~~',0x00
	dw	ARM_instruction_wpackhus-instruction_handler
	db	'wpackwss~~',0x00
	dw	ARM_instruction_wpackwss-instruction_handler
	db	'wpackwus~~',0x00
	dw	ARM_instruction_wpackwus-instruction_handler
	db	'wqmiabbn~~',0x00
	dw	ARM_instruction_wqmiabbn-instruction_handler
	db	'wqmiabtn~~',0x00
	dw	ARM_instruction_wqmiabtn-instruction_handler
	db	'wqmiatbn~~',0x00
	dw	ARM_instruction_wqmiatbn-instruction_handler
	db	'wqmiattn~~',0x00
	dw	ARM_instruction_wqmiattn-instruction_handler
	db	'wqmulwmr~~',0x00
	dw	ARM_instruction_wqmulwmr-instruction_handler
	db	'wunpckehsb',0xe0
	dw	ARM_instruction_wunpckehsb-instruction_handler
	db	'wunpckehsh',0xe0
	dw	ARM_instruction_wunpckehsh-instruction_handler
	db	'wunpckehsw',0xe0
	dw	ARM_instruction_wunpckehsw-instruction_handler
	db	'wunpckehub',0xe0
	dw	ARM_instruction_wunpckehub-instruction_handler
	db	'wunpckehuh',0xe0
	dw	ARM_instruction_wunpckehuh-instruction_handler
	db	'wunpckehuw',0xe0
	dw	ARM_instruction_wunpckehuw-instruction_handler
	db	'wunpckelsb',0xe0
	dw	ARM_instruction_wunpckelsb-instruction_handler
	db	'wunpckelsh',0xe0
	dw	ARM_instruction_wunpckelsh-instruction_handler
	db	'wunpckelsw',0xe0
	dw	ARM_instruction_wunpckelsw-instruction_handler
	db	'wunpckelub',0xe0
	dw	ARM_instruction_wunpckelub-instruction_handler
	db	'wunpckeluh',0xe0
	dw	ARM_instruction_wunpckeluh-instruction_handler
	db	'wunpckeluw',0xe0
	dw	ARM_instruction_wunpckeluw-instruction_handler
	db	0
instructions_11:
	db	'cfmadda32~~',0x00
	dw	ARM_instruction_cfmadda32-instruction_handler
	db	'cfmsuba32~~',0x00
	dw	ARM_instruction_cfmsuba32-instruction_handler
	db	'coprocessor',0x00
	dw	ARM_coprocessor_directive-instruction_handler
	db	'shaddsubx~~',0x00
	dw	ARM_instruction_shaddsubx-instruction_handler
	db	'shsubaddx~~',0x00
	dw	ARM_instruction_shsubaddx-instruction_handler
	db	'uhaddsubx~~',0x00
	dw	ARM_instruction_uhaddsubx-instruction_handler
	db	'uhsubaddx~~',0x00
	dw	ARM_instruction_uhsubaddx-instruction_handler
	db	'uqaddsubx~~',0x00
	dw	ARM_instruction_uqaddsubx-instruction_handler
	db	'uqsubaddx~~',0x00
	dw	ARM_instruction_uqsubaddx-instruction_handler
	db	'vabal~~.s16',0x00
	dw	ARM_instruction_vabal.s16-instruction_handler
	db	'vabal~~.s32',0x00
	dw	ARM_instruction_vabal.s32-instruction_handler
	db	'vabal~~.u16',0x00
	dw	ARM_instruction_vabal.u16-instruction_handler
	db	'vabal~~.u32',0x00
	dw	ARM_instruction_vabal.u32-instruction_handler
	db	'vabdl~~.s16',0x00
	dw	ARM_instruction_vabdl.s16-instruction_handler
	db	'vabdl~~.s32',0x00
	dw	ARM_instruction_vabdl.s32-instruction_handler
	db	'vabdl~~.u16',0x00
	dw	ARM_instruction_vabdl.u16-instruction_handler
	db	'vabdl~~.u32',0x00
	dw	ARM_instruction_vabdl.u32-instruction_handler
	db	'vacge~~.f32',0x00
	dw	ARM_instruction_vacge.f32-instruction_handler
	db	'vacgt~~.f32',0x00
	dw	ARM_instruction_vacgt.f32-instruction_handler
	db	'vacle~~.f32',0x00
	dw	ARM_instruction_vacle.f32-instruction_handler
	db	'vaclt~~.f32',0x00
	dw	ARM_instruction_vaclt.f32-instruction_handler
	db	'vaddl~~.s16',0x00
	dw	ARM_instruction_vaddl.s16-instruction_handler
	db	'vaddl~~.s32',0x00
	dw	ARM_instruction_vaddl.s32-instruction_handler
	db	'vaddl~~.u16',0x00
	dw	ARM_instruction_vaddl.u16-instruction_handler
	db	'vaddl~~.u32',0x00
	dw	ARM_instruction_vaddl.u32-instruction_handler
	db	'vaddw~~.s16',0x00
	dw	ARM_instruction_vaddw.s16-instruction_handler
	db	'vaddw~~.s32',0x00
	dw	ARM_instruction_vaddw.s32-instruction_handler
	db	'vaddw~~.u16',0x00
	dw	ARM_instruction_vaddw.u16-instruction_handler
	db	'vaddw~~.u32',0x00
	dw	ARM_instruction_vaddw.u32-instruction_handler
	db	'vcmpe~~.f32',0x00
	dw	ARM_instruction_vcmpe.f32-instruction_handler
	db	'vcmpe~~.f64',0x00
	dw	ARM_instruction_vcmpe.f64-instruction_handler
	db	'vfnma~~.f32',0x00
	dw	ARM_instruction_vfnma.f32-instruction_handler
	db	'vfnma~~.f64',0x00
	dw	ARM_instruction_vfnma.f64-instruction_handler
	db	'vfnms~~.f32',0x00
	dw	ARM_instruction_vfnms.f32-instruction_handler
	db	'vfnms~~.f64',0x00
	dw	ARM_instruction_vfnms.f64-instruction_handler
	db	'vhadd~~.s16',0x00
	dw	ARM_instruction_vhadd.s16-instruction_handler
	db	'vhadd~~.s32',0x00
	dw	ARM_instruction_vhadd.s32-instruction_handler
	db	'vhadd~~.u16',0x00
	dw	ARM_instruction_vhadd.u16-instruction_handler
	db	'vhadd~~.u32',0x00
	dw	ARM_instruction_vhadd.u32-instruction_handler
	db	'vhsub~~.s16',0x00
	dw	ARM_instruction_vhsub.s16-instruction_handler
	db	'vhsub~~.s32',0x00
	dw	ARM_instruction_vhsub.s32-instruction_handler
	db	'vhsub~~.u16',0x00
	dw	ARM_instruction_vhsub.u16-instruction_handler
	db	'vhsub~~.u32',0x00
	dw	ARM_instruction_vhsub.u32-instruction_handler
	db	'vldmdb~~.32',0x00
	dw	ARM_instruction_vldmdb.32-instruction_handler
	db	'vldmdb~~.64',0x00
	dw	ARM_instruction_vldmdb.64-instruction_handler
	db	'vldmea~~.32',0x00
	dw	ARM_instruction_vldmea.32-instruction_handler
	db	'vldmea~~.64',0x00
	dw	ARM_instruction_vldmea.64-instruction_handler
	db	'vldmfd~~.32',0x00
	dw	ARM_instruction_vldmfd.32-instruction_handler
	db	'vldmfd~~.64',0x00
	dw	ARM_instruction_vldmfd.64-instruction_handler
	db	'vldmia~~.32',0x00
	dw	ARM_instruction_vldmia.32-instruction_handler
	db	'vldmia~~.64',0x00
	dw	ARM_instruction_vldmia.64-instruction_handler
	db	'vmlal~~.s16',0x00
	dw	ARM_instruction_vmlal.s16-instruction_handler
	db	'vmlal~~.s32',0x00
	dw	ARM_instruction_vmlal.s32-instruction_handler
	db	'vmlal~~.u16',0x00
	dw	ARM_instruction_vmlal.u16-instruction_handler
	db	'vmlal~~.u32',0x00
	dw	ARM_instruction_vmlal.u32-instruction_handler
	db	'vmlsl~~.s16',0x00
	dw	ARM_instruction_vmlsl.s16-instruction_handler
	db	'vmlsl~~.s32',0x00
	dw	ARM_instruction_vmlsl.s32-instruction_handler
	db	'vmlsl~~.u16',0x00
	dw	ARM_instruction_vmlsl.u16-instruction_handler
	db	'vmlsl~~.u32',0x00
	dw	ARM_instruction_vmlsl.u32-instruction_handler
	db	'vmovl~~.s16',0x00
	dw	ARM_instruction_vmovl.s16-instruction_handler
	db	'vmovl~~.s32',0x00
	dw	ARM_instruction_vmovl.s32-instruction_handler
	db	'vmovl~~.u16',0x00
	dw	ARM_instruction_vmovl.u16-instruction_handler
	db	'vmovl~~.u32',0x00
	dw	ARM_instruction_vmovl.u32-instruction_handler
	db	'vmovn~~.i16',0x00
	dw	ARM_instruction_vmovn.i16-instruction_handler
	db	'vmovn~~.i32',0x00
	dw	ARM_instruction_vmovn.i32-instruction_handler
	db	'vmull~~.s16',0x00
	dw	ARM_instruction_vmull.s16-instruction_handler
	db	'vmull~~.s32',0x00
	dw	ARM_instruction_vmull.s32-instruction_handler
	db	'vmull~~.u16',0x00
	dw	ARM_instruction_vmull.u16-instruction_handler
	db	'vmull~~.u32',0x00
	dw	ARM_instruction_vmull.u32-instruction_handler
	db	'vnmla~~.f32',0x00
	dw	ARM_instruction_vnmla.f32-instruction_handler
	db	'vnmla~~.f64',0x00
	dw	ARM_instruction_vnmla.f64-instruction_handler
	db	'vnmls~~.f32',0x00
	dw	ARM_instruction_vnmls.f32-instruction_handler
	db	'vnmls~~.f64',0x00
	dw	ARM_instruction_vnmls.f64-instruction_handler
	db	'vnmul~~.f32',0x00
	dw	ARM_instruction_vnmul.f32-instruction_handler
	db	'vnmul~~.f64',0x00
	dw	ARM_instruction_vnmul.f64-instruction_handler
	db	'vpadal~~.s8',0x00
	dw	ARM_instruction_vpadal.s8-instruction_handler
	db	'vpadal~~.u8',0x00
	dw	ARM_instruction_vpadal.u8-instruction_handler
	db	'vpaddl~~.s8',0x00
	dw	ARM_instruction_vpaddl.s8-instruction_handler
	db	'vpaddl~~.u8',0x00
	dw	ARM_instruction_vpaddl.u8-instruction_handler
	db	'vpadd~~.f32',0x00
	dw	ARM_instruction_vpadd.f32-instruction_handler
	db	'vpadd~~.i16',0x00
	dw	ARM_instruction_vpadd.i16-instruction_handler
	db	'vpadd~~.i32',0x00
	dw	ARM_instruction_vpadd.i32-instruction_handler
	db	'vpmax~~.f32',0x00
	dw	ARM_instruction_vpmax.f32-instruction_handler
	db	'vpmax~~.s16',0x00
	dw	ARM_instruction_vpmax.s16-instruction_handler
	db	'vpmax~~.s32',0x00
	dw	ARM_instruction_vpmax.s32-instruction_handler
	db	'vpmax~~.u16',0x00
	dw	ARM_instruction_vpmax.u16-instruction_handler
	db	'vpmax~~.u32',0x00
	dw	ARM_instruction_vpmax.u32-instruction_handler
	db	'vpmin~~.f32',0x00
	dw	ARM_instruction_vpmin.f32-instruction_handler
	db	'vpmin~~.s16',0x00
	dw	ARM_instruction_vpmin.s16-instruction_handler
	db	'vpmin~~.s32',0x00
	dw	ARM_instruction_vpmin.s32-instruction_handler
	db	'vpmin~~.u16',0x00
	dw	ARM_instruction_vpmin.u16-instruction_handler
	db	'vpmin~~.u32',0x00
	dw	ARM_instruction_vpmin.u32-instruction_handler
	db	'vqabs~~.s16',0x00
	dw	ARM_instruction_vqabs.s16-instruction_handler
	db	'vqabs~~.s32',0x00
	dw	ARM_instruction_vqabs.s32-instruction_handler
	db	'vqadd~~.s16',0x00
	dw	ARM_instruction_vqadd.s16-instruction_handler
	db	'vqadd~~.s32',0x00
	dw	ARM_instruction_vqadd.s32-instruction_handler
	db	'vqadd~~.s64',0x00
	dw	ARM_instruction_vqadd.s64-instruction_handler
	db	'vqadd~~.u16',0x00
	dw	ARM_instruction_vqadd.u16-instruction_handler
	db	'vqadd~~.u32',0x00
	dw	ARM_instruction_vqadd.u32-instruction_handler
	db	'vqadd~~.u64',0x00
	dw	ARM_instruction_vqadd.u64-instruction_handler
	db	'vqdmlal.s16',0xe0
	dw	ARM_instruction_vqdmlal.s16-instruction_handler
	db	'vqdmlal.s32',0xe0
	dw	ARM_instruction_vqdmlal.s32-instruction_handler
	db	'vqdmlsl.s16',0xe0
	dw	ARM_instruction_vqdmlsl.s16-instruction_handler
	db	'vqdmlsl.s32',0xe0
	dw	ARM_instruction_vqdmlsl.s32-instruction_handler
	db	'vqdmulh.s16',0xe0
	dw	ARM_instruction_vqdmulh.s16-instruction_handler
	db	'vqdmulh.s32',0xe0
	dw	ARM_instruction_vqdmulh.s32-instruction_handler
	db	'vqdmull.s16',0xe0
	dw	ARM_instruction_vqdmull.s16-instruction_handler
	db	'vqdmull.s32',0xe0
	dw	ARM_instruction_vqdmull.s32-instruction_handler
	db	'vqmovun.s16',0xe0
	dw	ARM_instruction_vqmovun.s16-instruction_handler
	db	'vqmovun.s32',0xe0
	dw	ARM_instruction_vqmovun.s32-instruction_handler
	db	'vqmovun.s64',0xe0
	dw	ARM_instruction_vqmovun.s64-instruction_handler
	db	'vqneg~~.s16',0x00
	dw	ARM_instruction_vqneg.s16-instruction_handler
	db	'vqneg~~.s32',0x00
	dw	ARM_instruction_vqneg.s32-instruction_handler
	db	'vqrshl~~.s8',0x00
	dw	ARM_instruction_vqrshl.s8-instruction_handler
	db	'vqrshl~~.u8',0x00
	dw	ARM_instruction_vqrshl.u8-instruction_handler
	db	'vqrshrn.s16',0xe0
	dw	ARM_instruction_vqrshrn.s16-instruction_handler
	db	'vqrshrn.s32',0xe0
	dw	ARM_instruction_vqrshrn.s32-instruction_handler
	db	'vqrshrn.s64',0xe0
	dw	ARM_instruction_vqrshrn.s64-instruction_handler
	db	'vqrshrn.u16',0xe0
	dw	ARM_instruction_vqrshrn.u16-instruction_handler
	db	'vqrshrn.u32',0xe0
	dw	ARM_instruction_vqrshrn.u32-instruction_handler
	db	'vqrshrn.u64',0xe0
	dw	ARM_instruction_vqrshrn.u64-instruction_handler
	db	'vqshlu~~.s8',0x00
	dw	ARM_instruction_vqshlu.s8-instruction_handler
	db	'vqshl~~.s16',0x00
	dw	ARM_instruction_vqshl.s16-instruction_handler
	db	'vqshl~~.s32',0x00
	dw	ARM_instruction_vqshl.s32-instruction_handler
	db	'vqshl~~.s64',0x00
	dw	ARM_instruction_vqshl.s64-instruction_handler
	db	'vqshl~~.u16',0x00
	dw	ARM_instruction_vqshl.u16-instruction_handler
	db	'vqshl~~.u32',0x00
	dw	ARM_instruction_vqshl.u32-instruction_handler
	db	'vqshl~~.u64',0x00
	dw	ARM_instruction_vqshl.u64-instruction_handler
	db	'vqshrun.s16',0xe0
	dw	ARM_instruction_vqshrun.s16-instruction_handler
	db	'vqshrun.s32',0xe0
	dw	ARM_instruction_vqshrun.s32-instruction_handler
	db	'vqshrun.s64',0xe0
	dw	ARM_instruction_vqshrun.s64-instruction_handler
	db	'vqsub~~.s16',0x00
	dw	ARM_instruction_vqsub.s16-instruction_handler
	db	'vqsub~~.s32',0x00
	dw	ARM_instruction_vqsub.s32-instruction_handler
	db	'vqsub~~.s64',0x00
	dw	ARM_instruction_vqsub.s64-instruction_handler
	db	'vqsub~~.u16',0x00
	dw	ARM_instruction_vqsub.u16-instruction_handler
	db	'vqsub~~.u32',0x00
	dw	ARM_instruction_vqsub.u32-instruction_handler
	db	'vqsub~~.u64',0x00
	dw	ARM_instruction_vqsub.u64-instruction_handler
	db	'vraddhn.i16',0xe0
	dw	ARM_instruction_vraddhn.i16-instruction_handler
	db	'vraddhn.i32',0xe0
	dw	ARM_instruction_vraddhn.i32-instruction_handler
	db	'vraddhn.i64',0xe0
	dw	ARM_instruction_vraddhn.i64-instruction_handler
	db	'vrev32~~.16',0x00
	dw	ARM_instruction_vrev32.16-instruction_handler
	db	'vrev64~~.16',0x00
	dw	ARM_instruction_vrev64.16-instruction_handler
	db	'vrev64~~.32',0x00
	dw	ARM_instruction_vrev64.32-instruction_handler
	db	'vrhadd~~.s8',0x00
	dw	ARM_instruction_vrhadd.s8-instruction_handler
	db	'vrhadd~~.u8',0x00
	dw	ARM_instruction_vrhadd.u8-instruction_handler
	db	'vrshl~~.s16',0x00
	dw	ARM_instruction_vrshl.s16-instruction_handler
	db	'vrshl~~.s32',0x00
	dw	ARM_instruction_vrshl.s32-instruction_handler
	db	'vrshl~~.s64',0x00
	dw	ARM_instruction_vrshl.s64-instruction_handler
	db	'vrshl~~.u16',0x00
	dw	ARM_instruction_vrshl.u16-instruction_handler
	db	'vrshl~~.u32',0x00
	dw	ARM_instruction_vrshl.u32-instruction_handler
	db	'vrshl~~.u64',0x00
	dw	ARM_instruction_vrshl.u64-instruction_handler
	db	'vrshr~~.s16',0x00
	dw	ARM_instruction_vrshr.s16-instruction_handler
	db	'vrshr~~.s32',0x00
	dw	ARM_instruction_vrshr.s32-instruction_handler
	db	'vrshr~~.s64',0x00
	dw	ARM_instruction_vrshr.s64-instruction_handler
	db	'vrshr~~.u16',0x00
	dw	ARM_instruction_vrshr.u16-instruction_handler
	db	'vrshr~~.u32',0x00
	dw	ARM_instruction_vrshr.u32-instruction_handler
	db	'vrshr~~.u64',0x00
	dw	ARM_instruction_vrshr.u64-instruction_handler
	db	'vrsqrte.f32',0xe0
	dw	ARM_instruction_vrsqrte.f32-instruction_handler
	db	'vrsqrte.u32',0xe0
	dw	ARM_instruction_vrsqrte.u32-instruction_handler
	db	'vrsqrts.f32',0xe0
	dw	ARM_instruction_vrsqrts.f32-instruction_handler
	db	'vrsra~~.s16',0x00
	dw	ARM_instruction_vrsra.s16-instruction_handler
	db	'vrsra~~.s32',0x00
	dw	ARM_instruction_vrsra.s32-instruction_handler
	db	'vrsra~~.s64',0x00
	dw	ARM_instruction_vrsra.s64-instruction_handler
	db	'vrsra~~.u16',0x00
	dw	ARM_instruction_vrsra.u16-instruction_handler
	db	'vrsra~~.u32',0x00
	dw	ARM_instruction_vrsra.u32-instruction_handler
	db	'vrsra~~.u64',0x00
	dw	ARM_instruction_vrsra.u64-instruction_handler
	db	'vrsubhn.i16',0xe0
	dw	ARM_instruction_vrsubhn.i16-instruction_handler
	db	'vrsubhn.i32',0xe0
	dw	ARM_instruction_vrsubhn.i32-instruction_handler
	db	'vrsubhn.i64',0xe0
	dw	ARM_instruction_vrsubhn.i64-instruction_handler
	db	'vshll~~.i16',0x00
	dw	ARM_instruction_vshll.i16-instruction_handler
	db	'vshll~~.i32',0x00
	dw	ARM_instruction_vshll.i32-instruction_handler
	db	'vshll~~.s16',0x00
	dw	ARM_instruction_vshll.s16-instruction_handler
	db	'vshll~~.s32',0x00
	dw	ARM_instruction_vshll.s32-instruction_handler
	db	'vshll~~.u16',0x00
	dw	ARM_instruction_vshll.u16-instruction_handler
	db	'vshll~~.u32',0x00
	dw	ARM_instruction_vshll.u32-instruction_handler
	db	'vshrn~~.i16',0x00
	dw	ARM_instruction_vshrn.i16-instruction_handler
	db	'vshrn~~.i32',0x00
	dw	ARM_instruction_vshrn.i32-instruction_handler
	db	'vshrn~~.i64',0x00
	dw	ARM_instruction_vshrn.i64-instruction_handler
	db	'vsqrt~~.f32',0x00
	dw	ARM_instruction_vsqrt.f32-instruction_handler
	db	'vsqrt~~.f64',0x00
	dw	ARM_instruction_vsqrt.f64-instruction_handler
	db	'vstmdb~~.32',0x00
	dw	ARM_instruction_vstmdb.32-instruction_handler
	db	'vstmdb~~.64',0x00
	dw	ARM_instruction_vstmdb.64-instruction_handler
	db	'vstmea~~.32',0x00
	dw	ARM_instruction_vstmea.32-instruction_handler
	db	'vstmea~~.64',0x00
	dw	ARM_instruction_vstmea.64-instruction_handler
	db	'vstmfd~~.32',0x00
	dw	ARM_instruction_vstmfd.32-instruction_handler
	db	'vstmfd~~.64',0x00
	dw	ARM_instruction_vstmfd.64-instruction_handler
	db	'vstmia~~.32',0x00
	dw	ARM_instruction_vstmia.32-instruction_handler
	db	'vstmia~~.64',0x00
	dw	ARM_instruction_vstmia.64-instruction_handler
	db	'vsubl~~.s16',0x00
	dw	ARM_instruction_vsubl.s16-instruction_handler
	db	'vsubl~~.s32',0x00
	dw	ARM_instruction_vsubl.s32-instruction_handler
	db	'vsubl~~.u16',0x00
	dw	ARM_instruction_vsubl.u16-instruction_handler
	db	'vsubl~~.u32',0x00
	dw	ARM_instruction_vsubl.u32-instruction_handler
	db	'vsubw~~.s16',0x00
	dw	ARM_instruction_vsubw.s16-instruction_handler
	db	'vsubw~~.s32',0x00
	dw	ARM_instruction_vsubw.s32-instruction_handler
	db	'vsubw~~.u16',0x00
	dw	ARM_instruction_vsubw.u16-instruction_handler
	db	'vsubw~~.u32',0x00
	dw	ARM_instruction_vsubw.u32-instruction_handler
	db	'wabsdiffb~~',0x00
	dw	ARM_instruction_wabsdiffb-instruction_handler
	db	'wabsdiffh~~',0x00
	dw	ARM_instruction_wabsdiffh-instruction_handler
	db	'wabsdiffw~~',0x00
	dw	ARM_instruction_wabsdiffw-instruction_handler
	db	'waddsubhx~~',0x00
	dw	ARM_instruction_waddsubhx-instruction_handler
	db	'wsubaddhx~~',0x00
	dw	ARM_instruction_wsubaddhx-instruction_handler
	db	'wunpckihb~~',0x00
	dw	ARM_instruction_wunpckihb-instruction_handler
	db	'wunpckihh~~',0x00
	dw	ARM_instruction_wunpckihh-instruction_handler
	db	'wunpckihw~~',0x00
	dw	ARM_instruction_wunpckihw-instruction_handler
	db	'wunpckilb~~',0x00
	dw	ARM_instruction_wunpckilb-instruction_handler
	db	'wunpckilh~~',0x00
	dw	ARM_instruction_wunpckilh-instruction_handler
	db	'wunpckilw~~',0x00
	dw	ARM_instruction_wunpckilw-instruction_handler
	db	0
instructions_12:
	db	'cftruncd32~~',0x00
	dw	ARM_instruction_cftruncd32-instruction_handler
	db	'cftruncs32~~',0x00
	dw	ARM_instruction_cftruncs32-instruction_handler
	db	'vaddhn~~.i16',0x00
	dw	ARM_instruction_vaddhn.i16-instruction_handler
	db	'vaddhn~~.i32',0x00
	dw	ARM_instruction_vaddhn.i32-instruction_handler
	db	'vaddhn~~.i64',0x00
	dw	ARM_instruction_vaddhn.i64-instruction_handler
	db	'vcvt.f16.f32',0xe0
	dw	ARM_instruction_vcvt.f16.f32-instruction_handler
	db	'vcvt.f32.f16',0xe0
	dw	ARM_instruction_vcvt.f32.f16-instruction_handler
	db	'vcvt.f32.f64',0xe0
	dw	ARM_instruction_vcvt.f32.f64-instruction_handler
	db	'vcvt.f32.s16',0xe0
	dw	ARM_instruction_vcvt.f32.s16-instruction_handler
	db	'vcvt.f32.s32',0xe0
	dw	ARM_instruction_vcvt.f32.s32-instruction_handler
	db	'vcvt.f32.u16',0xe0
	dw	ARM_instruction_vcvt.f32.u16-instruction_handler
	db	'vcvt.f32.u32',0xe0
	dw	ARM_instruction_vcvt.f32.u32-instruction_handler
	db	'vcvt.f64.f32',0xe0
	dw	ARM_instruction_vcvt.f64.f32-instruction_handler
	db	'vcvt.f64.s16',0xe0
	dw	ARM_instruction_vcvt.f64.s16-instruction_handler
	db	'vcvt.f64.s32',0xe0
	dw	ARM_instruction_vcvt.f64.s32-instruction_handler
	db	'vcvt.f64.u16',0xe0
	dw	ARM_instruction_vcvt.f64.u16-instruction_handler
	db	'vcvt.f64.u32',0xe0
	dw	ARM_instruction_vcvt.f64.u32-instruction_handler
	db	'vcvt.s16.f32',0xe0
	dw	ARM_instruction_vcvt.s16.f32-instruction_handler
	db	'vcvt.s16.f64',0xe0
	dw	ARM_instruction_vcvt.s16.f64-instruction_handler
	db	'vcvt.s32.f32',0xe0
	dw	ARM_instruction_vcvt.s32.f32-instruction_handler
	db	'vcvt.s32.f64',0xe0
	dw	ARM_instruction_vcvt.s32.f64-instruction_handler
	db	'vcvt.u16.f32',0xe0
	dw	ARM_instruction_vcvt.u16.f32-instruction_handler
	db	'vcvt.u16.f64',0xe0
	dw	ARM_instruction_vcvt.u16.f64-instruction_handler
	db	'vcvt.u32.f32',0xe0
	dw	ARM_instruction_vcvt.u32.f32-instruction_handler
	db	'vcvt.u32.f64',0xe0
	dw	ARM_instruction_vcvt.u32.f64-instruction_handler
	db	'vpadal~~.s16',0x00
	dw	ARM_instruction_vpadal.s16-instruction_handler
	db	'vpadal~~.s32',0x00
	dw	ARM_instruction_vpadal.s32-instruction_handler
	db	'vpadal~~.u16',0x00
	dw	ARM_instruction_vpadal.u16-instruction_handler
	db	'vpadal~~.u32',0x00
	dw	ARM_instruction_vpadal.u32-instruction_handler
	db	'vpaddl~~.s16',0x00
	dw	ARM_instruction_vpaddl.s16-instruction_handler
	db	'vpaddl~~.s32',0x00
	dw	ARM_instruction_vpaddl.s32-instruction_handler
	db	'vpaddl~~.u16',0x00
	dw	ARM_instruction_vpaddl.u16-instruction_handler
	db	'vpaddl~~.u32',0x00
	dw	ARM_instruction_vpaddl.u32-instruction_handler
	db	'vqmovn~~.s16',0x00
	dw	ARM_instruction_vqmovn.s16-instruction_handler
	db	'vqmovn~~.s32',0x00
	dw	ARM_instruction_vqmovn.s32-instruction_handler
	db	'vqmovn~~.s64',0x00
	dw	ARM_instruction_vqmovn.s64-instruction_handler
	db	'vqmovn~~.u16',0x00
	dw	ARM_instruction_vqmovn.u16-instruction_handler
	db	'vqmovn~~.u32',0x00
	dw	ARM_instruction_vqmovn.u32-instruction_handler
	db	'vqmovn~~.u64',0x00
	dw	ARM_instruction_vqmovn.u64-instruction_handler
	db	'vqrdmulh.s16',0xe0
	dw	ARM_instruction_vqrdmulh.s16-instruction_handler
	db	'vqrdmulh.s32',0xe0
	dw	ARM_instruction_vqrdmulh.s32-instruction_handler
	db	'vqrshl~~.s16',0x00
	dw	ARM_instruction_vqrshl.s16-instruction_handler
	db	'vqrshl~~.s32',0x00
	dw	ARM_instruction_vqrshl.s32-instruction_handler
	db	'vqrshl~~.s64',0x00
	dw	ARM_instruction_vqrshl.s64-instruction_handler
	db	'vqrshl~~.u16',0x00
	dw	ARM_instruction_vqrshl.u16-instruction_handler
	db	'vqrshl~~.u32',0x00
	dw	ARM_instruction_vqrshl.u32-instruction_handler
	db	'vqrshl~~.u64',0x00
	dw	ARM_instruction_vqrshl.u64-instruction_handler
	db	'vqrshrun.s16',0xe0
	dw	ARM_instruction_vqrshrun.s16-instruction_handler
	db	'vqrshrun.s32',0xe0
	dw	ARM_instruction_vqrshrun.s32-instruction_handler
	db	'vqrshrun.s64',0xe0
	dw	ARM_instruction_vqrshrun.s64-instruction_handler
	db	'vqshlu~~.s16',0x00
	dw	ARM_instruction_vqshlu.s16-instruction_handler
	db	'vqshlu~~.s32',0x00
	dw	ARM_instruction_vqshlu.s32-instruction_handler
	db	'vqshlu~~.s64',0x00
	dw	ARM_instruction_vqshlu.s64-instruction_handler
	db	'vqshrn~~.s16',0x00
	dw	ARM_instruction_vqshrn.s16-instruction_handler
	db	'vqshrn~~.s32',0x00
	dw	ARM_instruction_vqshrn.s32-instruction_handler
	db	'vqshrn~~.s64',0x00
	dw	ARM_instruction_vqshrn.s64-instruction_handler
	db	'vqshrn~~.u16',0x00
	dw	ARM_instruction_vqshrn.u16-instruction_handler
	db	'vqshrn~~.u32',0x00
	dw	ARM_instruction_vqshrn.u32-instruction_handler
	db	'vqshrn~~.u64',0x00
	dw	ARM_instruction_vqshrn.u64-instruction_handler
	db	'vrecpe~~.f32',0x00
	dw	ARM_instruction_vrecpe.f32-instruction_handler
	db	'vrecpe~~.u32',0x00
	dw	ARM_instruction_vrecpe.u32-instruction_handler
	db	'vrecps~~.f32',0x00
	dw	ARM_instruction_vrecps.f32-instruction_handler
	db	'vrhadd~~.s16',0x00
	dw	ARM_instruction_vrhadd.s16-instruction_handler
	db	'vrhadd~~.s32',0x00
	dw	ARM_instruction_vrhadd.s32-instruction_handler
	db	'vrhadd~~.u16',0x00
	dw	ARM_instruction_vrhadd.u16-instruction_handler
	db	'vrhadd~~.u32',0x00
	dw	ARM_instruction_vrhadd.u32-instruction_handler
	db	'vrshrn~~.i16',0x00
	dw	ARM_instruction_vrshrn.i16-instruction_handler
	db	'vrshrn~~.i32',0x00
	dw	ARM_instruction_vrshrn.i32-instruction_handler
	db	'vrshrn~~.i64',0x00
	dw	ARM_instruction_vrshrn.i64-instruction_handler
	db	'vsubhn~~.i16',0x00
	dw	ARM_instruction_vsubhn.i16-instruction_handler
	db	'vsubhn~~.i32',0x00
	dw	ARM_instruction_vsubhn.i32-instruction_handler
	db	'vsubhn~~.i64',0x00
	dw	ARM_instruction_vsubhn.i64-instruction_handler
	db	'wunpckehsb~~',0x00
	dw	ARM_instruction_wunpckehsb-instruction_handler
	db	'wunpckehsh~~',0x00
	dw	ARM_instruction_wunpckehsh-instruction_handler
	db	'wunpckehsw~~',0x00
	dw	ARM_instruction_wunpckehsw-instruction_handler
	db	'wunpckehub~~',0x00
	dw	ARM_instruction_wunpckehub-instruction_handler
	db	'wunpckehuh~~',0x00
	dw	ARM_instruction_wunpckehuh-instruction_handler
	db	'wunpckehuw~~',0x00
	dw	ARM_instruction_wunpckehuw-instruction_handler
	db	'wunpckelsb~~',0x00
	dw	ARM_instruction_wunpckelsb-instruction_handler
	db	'wunpckelsh~~',0x00
	dw	ARM_instruction_wunpckelsh-instruction_handler
	db	'wunpckelsw~~',0x00
	dw	ARM_instruction_wunpckelsw-instruction_handler
	db	'wunpckelub~~',0x00
	dw	ARM_instruction_wunpckelub-instruction_handler
	db	'wunpckeluh~~',0x00
	dw	ARM_instruction_wunpckeluh-instruction_handler
	db	'wunpckeluw~~',0x00
	dw	ARM_instruction_wunpckeluw-instruction_handler
	db	0
instructions_13:
	db	'vcvtb.f16.f32',0xe0
	dw	ARM_instruction_vcvtb.f16.f32-instruction_handler
	db	'vcvtb.f32.f16',0xe0
	dw	ARM_instruction_vcvtb.f32.f16-instruction_handler
	db	'vcvtr.s32.f32',0xe0
	dw	ARM_instruction_vcvtr.s32.f32-instruction_handler
	db	'vcvtr.s32.f64',0xe0
	dw	ARM_instruction_vcvtr.s32.f64-instruction_handler
	db	'vcvtr.u32.f32',0xe0
	dw	ARM_instruction_vcvtr.u32.f32-instruction_handler
	db	'vcvtr.u32.f64',0xe0
	dw	ARM_instruction_vcvtr.u32.f64-instruction_handler
	db	'vcvtt.f16.f32',0xe0
	dw	ARM_instruction_vcvtt.f16.f32-instruction_handler
	db	'vcvtt.f32.f16',0xe0
	dw	ARM_instruction_vcvtt.f32.f16-instruction_handler
	db	'vqdmlal~~.s16',0x00
	dw	ARM_instruction_vqdmlal.s16-instruction_handler
	db	'vqdmlal~~.s32',0x00
	dw	ARM_instruction_vqdmlal.s32-instruction_handler
	db	'vqdmlsl~~.s16',0x00
	dw	ARM_instruction_vqdmlsl.s16-instruction_handler
	db	'vqdmlsl~~.s32',0x00
	dw	ARM_instruction_vqdmlsl.s32-instruction_handler
	db	'vqdmulh~~.s16',0x00
	dw	ARM_instruction_vqdmulh.s16-instruction_handler
	db	'vqdmulh~~.s32',0x00
	dw	ARM_instruction_vqdmulh.s32-instruction_handler
	db	'vqdmull~~.s16',0x00
	dw	ARM_instruction_vqdmull.s16-instruction_handler
	db	'vqdmull~~.s32',0x00
	dw	ARM_instruction_vqdmull.s32-instruction_handler
	db	'vqmovun~~.s16',0x00
	dw	ARM_instruction_vqmovun.s16-instruction_handler
	db	'vqmovun~~.s32',0x00
	dw	ARM_instruction_vqmovun.s32-instruction_handler
	db	'vqmovun~~.s64',0x00
	dw	ARM_instruction_vqmovun.s64-instruction_handler
	db	'vqrshrn~~.s16',0x00
	dw	ARM_instruction_vqrshrn.s16-instruction_handler
	db	'vqrshrn~~.s32',0x00
	dw	ARM_instruction_vqrshrn.s32-instruction_handler
	db	'vqrshrn~~.s64',0x00
	dw	ARM_instruction_vqrshrn.s64-instruction_handler
	db	'vqrshrn~~.u16',0x00
	dw	ARM_instruction_vqrshrn.u16-instruction_handler
	db	'vqrshrn~~.u32',0x00
	dw	ARM_instruction_vqrshrn.u32-instruction_handler
	db	'vqrshrn~~.u64',0x00
	dw	ARM_instruction_vqrshrn.u64-instruction_handler
	db	'vqshrun~~.s16',0x00
	dw	ARM_instruction_vqshrun.s16-instruction_handler
	db	'vqshrun~~.s32',0x00
	dw	ARM_instruction_vqshrun.s32-instruction_handler
	db	'vqshrun~~.s64',0x00
	dw	ARM_instruction_vqshrun.s64-instruction_handler
	db	'vraddhn~~.i16',0x00
	dw	ARM_instruction_vraddhn.i16-instruction_handler
	db	'vraddhn~~.i32',0x00
	dw	ARM_instruction_vraddhn.i32-instruction_handler
	db	'vraddhn~~.i64',0x00
	dw	ARM_instruction_vraddhn.i64-instruction_handler
	db	'vrsqrte~~.f32',0x00
	dw	ARM_instruction_vrsqrte.f32-instruction_handler
	db	'vrsqrte~~.u32',0x00
	dw	ARM_instruction_vrsqrte.u32-instruction_handler
	db	'vrsqrts~~.f32',0x00
	dw	ARM_instruction_vrsqrts.f32-instruction_handler
	db	'vrsubhn~~.i16',0x00
	dw	ARM_instruction_vrsubhn.i16-instruction_handler
	db	'vrsubhn~~.i32',0x00
	dw	ARM_instruction_vrsubhn.i32-instruction_handler
	db	'vrsubhn~~.i64',0x00
	dw	ARM_instruction_vrsubhn.i64-instruction_handler
	db	0
instructions_14:
	db	'vcvt~~.f16.f32',0x00
	dw	ARM_instruction_vcvt.f16.f32-instruction_handler
	db	'vcvt~~.f32.f16',0x00
	dw	ARM_instruction_vcvt.f32.f16-instruction_handler
	db	'vcvt~~.f32.f64',0x00
	dw	ARM_instruction_vcvt.f32.f64-instruction_handler
	db	'vcvt~~.f32.s16',0x00
	dw	ARM_instruction_vcvt.f32.s16-instruction_handler
	db	'vcvt~~.f32.s32',0x00
	dw	ARM_instruction_vcvt.f32.s32-instruction_handler
	db	'vcvt~~.f32.u16',0x00
	dw	ARM_instruction_vcvt.f32.u16-instruction_handler
	db	'vcvt~~.f32.u32',0x00
	dw	ARM_instruction_vcvt.f32.u32-instruction_handler
	db	'vcvt~~.f64.f32',0x00
	dw	ARM_instruction_vcvt.f64.f32-instruction_handler
	db	'vcvt~~.f64.s16',0x00
	dw	ARM_instruction_vcvt.f64.s16-instruction_handler
	db	'vcvt~~.f64.s32',0x00
	dw	ARM_instruction_vcvt.f64.s32-instruction_handler
	db	'vcvt~~.f64.u16',0x00
	dw	ARM_instruction_vcvt.f64.u16-instruction_handler
	db	'vcvt~~.f64.u32',0x00
	dw	ARM_instruction_vcvt.f64.u32-instruction_handler
	db	'vcvt~~.s16.f32',0x00
	dw	ARM_instruction_vcvt.s16.f32-instruction_handler
	db	'vcvt~~.s16.f64',0x00
	dw	ARM_instruction_vcvt.s16.f64-instruction_handler
	db	'vcvt~~.s32.f32',0x00
	dw	ARM_instruction_vcvt.s32.f32-instruction_handler
	db	'vcvt~~.s32.f64',0x00
	dw	ARM_instruction_vcvt.s32.f64-instruction_handler
	db	'vcvt~~.u16.f32',0x00
	dw	ARM_instruction_vcvt.u16.f32-instruction_handler
	db	'vcvt~~.u16.f64',0x00
	dw	ARM_instruction_vcvt.u16.f64-instruction_handler
	db	'vcvt~~.u32.f32',0x00
	dw	ARM_instruction_vcvt.u32.f32-instruction_handler
	db	'vcvt~~.u32.f64',0x00
	dw	ARM_instruction_vcvt.u32.f64-instruction_handler
	db	'vqrdmulh~~.s16',0x00
	dw	ARM_instruction_vqrdmulh.s16-instruction_handler
	db	'vqrdmulh~~.s32',0x00
	dw	ARM_instruction_vqrdmulh.s32-instruction_handler
	db	'vqrshrun~~.s16',0x00
	dw	ARM_instruction_vqrshrun.s16-instruction_handler
	db	'vqrshrun~~.s32',0x00
	dw	ARM_instruction_vqrshrun.s32-instruction_handler
	db	'vqrshrun~~.s64',0x00
	dw	ARM_instruction_vqrshrun.s64-instruction_handler
	db	0
instructions_15:
	db	'vcvtb~~.f16.f32',0x00
	dw	ARM_instruction_vcvtb.f16.f32-instruction_handler
	db	'vcvtb~~.f32.f16',0x00
	dw	ARM_instruction_vcvtb.f32.f16-instruction_handler
	db	'vcvtr~~.s32.f32',0x00
	dw	ARM_instruction_vcvtr.s32.f32-instruction_handler
	db	'vcvtr~~.s32.f64',0x00
	dw	ARM_instruction_vcvtr.s32.f64-instruction_handler
	db	'vcvtr~~.u32.f32',0x00
	dw	ARM_instruction_vcvtr.u32.f32-instruction_handler
	db	'vcvtr~~.u32.f64',0x00
	dw	ARM_instruction_vcvtr.u32.f64-instruction_handler
	db	'vcvtt~~.f16.f32',0x00
	dw	ARM_instruction_vcvtt.f16.f32-instruction_handler
	db	'vcvtt~~.f32.f16',0x00
	dw	ARM_instruction_vcvtt.f32.f16-instruction_handler
	db	0
instructions_end:
